      ***************************************************************
      *COPYBOOK NAME   : CSC0000                                    *
      *AUTHOR          : JIM HOLLINGSWORTH                          *
      *FILE DESCRIPTION: SYSTEM CONSTANTS                           *
      *REVISION DATE   : 02/26/99 CREATED                           *
      *REVISION NOTES  :                                            *
      ***************************************************************
           10  CSC-CONSTANTS.

               15  CSC-TRANSACTION-NAMES.
      *                USED IN GCATEP01 - GCA APPLICATION TABLE UPDATE
                   20  CSC-GCAAT000-TRANS PIC XXXX VALUE 'GCAT'.
                   20  CSC-GCAAT000-TRANL PIC XXXX VALUE 'GCAL'.
                   20  CSC-GCAAT000-TRANF pic XXXX VALUE 'GCAF'.
                   20  CSC-STYLT000-TRANS PIC XXXX VALUE 'STYL'.
                   20  CSC-STYLT000-TRANL PIC XXXX VALUE 'LSTY'.

               15  CSC-PROGRAM-NAMES.
      *                USED IN GCA00P00 - GCA GENERIC CONVERTER
                   20  CSC-DFHWBGC-PGM    PIC X(8) VALUE 'GCA00P00'.
      *                USED IN GCAAT000 - GCA APPLICATION TABLE UPDATE
                   20  CSC-GCAAT000-PGM   PIC X(8) VALUE 'GCATEP01'.
                   20  CSC-CONVERTER-PGM  PIC X(8) VALUE 'ATTRBCNV'.
                   20  CSC-BRIDGE-PGM     PIC X(8) VALUE 'THINBRDG'.
                   20  CSC-SECURITY-PGM   PIC X(8) VALUE 'SECURITY'.
                   20  CSC-STATE-MGMT-PGM PIC X(8) VALUE 'DFH#WBST'.
                   20  CSC-GRAPHIX-PGM    PIC X(8) VALUE 'GRAPHIX'.
                   20  CSC-CONVERSION-PGM PIC X(8) VALUE 'GCAUCNV'.

               15  CSC-PROGRAM-MSG-NAMES.
      *                USED IN GCA00P00
                   20  CSC-GCGC-MSG       PIC X(6) VALUE 'GCGCPM'.
      *                USED IN GCATEP01
                   20  CSC-GCAT-MSG       PIC X(6) VALUE 'GCATPM'.
      *                USED IN ATTRBCNV (ATTRIBUTE CONVERTER)
                   20  CSC-ACAC-MSG       PIC X(6) VALUE 'ACACPM'.
      *                USED IN GRAPHIX (GRAPHIX CONVERTER)
                   20  CSC-GCXX-MSG       PIC X(6) VALUE 'GCXXPM'.


               15  CSC-MAPSET-NAMES.
      *                USED IN GCATEP01
                   20  CSC-MAPSET         PIC X(7) VALUE 'GCAMS00'.

               15  CSC-MAP-NAMES.
      *                USED IN GCATEP01
                   20  CSC-GCAT-MAP       PIC X(7) VALUE 'GCATMAP'.
                   20  CSC-GCAL-MAP       PIC X(7) VALUE 'GCALMAP'.

               15  CSC-TD-QUEUE-NAMES.
      *                USED IN ALL PROGRAMS
                   20  CSC-ERROR-LOG      PIC XXXX VALUE 'CWBO'.
      *                USED IN ALL PROGRAMS
                   20  CSC-MAX-LOG-LEN    PIC S9(7) COMP-3
                                          VALUE 120.

               15  CSC-VSAM-FILE-NAMES.
      *                USED IN GCATEP01 AND GCA00P00
      *                CICS MAINTAINED DT (PHYSICAL UPDATES)
                   20  CSC-GCACDT-FILE    PIC X(8)
                                          VALUE 'GCACDT00'.
      *                CICS MAINTAINED DT (PHYSICAL UPDATES)
      *                for Cascading Style Sheets
                   20  CSC-STYLES-FILE    PIC X(8)
                                          VALUE 'CSTYLES0'.
                   20  CSC-GRAPHIX-FILE   PIC X(8)
                                          VALUE 'GRAcdt01'.
                   20  CSC-GRAPHIX-KEYLENGTH PIC S9(4) COMP VALUE 10.
      * The following switch determines if informational messages
      * are written to the error log destination (CWBO).
      * Any value > 0 will cause informational messages to display.
               15  CSC-TRACE-LEVEL        PIC 9    VALUE 1.
                   88 CSC-TRACE-LEVEL0    VALUE 0.
                   88 CSC-TRACE-LEVEL1    VALUE 1.
                   88 CSC-TRACE-LEVEL2    VALUE 2.
      * Check if envoked by Domino Webserver 05/23/99
      * The following switch determines if the Business Logic Interface
      * is being called from the CICS Web Interface or from the
      * Domino Go Webserver via EXCI.
      * Set to CSC-DOMINO-WEBSERVER for use with Lotus Domino Go
      * web server or when both interfaces are used in the same
      * CICS region.
      * Set to CSC-CWI when only the CICS Web Interface is used and
      * data lengths exceeding 32K are required.
               15  CSC-DOMINO-WEBSERVER-SW  PIC 9 VALUE 0.
                   88  CSC-CWI              VALUE 0.
                   88  CSC-DOMINO-WEBSERVER VALUE 1.
               15  CSC-SECURITY-VALUES.
      * The following switch determines the global setting for
      * optional user program security processing.
                   20 CSC-SECURITY-SW      PIC 9 VALUE 0.
                      88 CSC-NO-SECURITY   VALUE 0.
                      88 CSC-CALL-SECURITY VALUE 1.
      * Commarea passed to the user security program.
      * Maintained for compatibility with Generic Converter V1.1
                   20 CSC-SECURITY-CA      PIC 9(8) COMP VALUE 0.
               15  CSC-STATE-MGMT-VALUES.
      * The following switch determines the global setting for
      * State Management processing.
                   20 CSC-STATE-MGMT-SW      PIC 9 VALUE 1.
                      88 CSC-NO-STATE-MGMT   VALUE 0.
                      88 CSC-CALL-STATE-MGMT VALUE 1.
      * The following value is the maximum length of State data that
      * can be saved and restored.
      * It must match the length of the USERDATA field in the
      * State Management program (DFH#WBST).
      * If this value is set greater than 256 then a cooresponding
      * modification must be made to the values for STATE_USER_DATA
      * and USERDATA in program DFH#WBST.
                   20 CSC-MAX-STATE-LEN      PIC 999 VALUE 256.
               15  CSC-CORRELATION-ID-VALUES.
      * The following switch determines the global setting for
      * CORRELATION ID processing.
      * used for audit trail purposes to control correlation between
      * a userid and a specific transaction.
                   20 CSC-CORRELATION-ID-SW  PIC 9 VALUE 0.
                      88 CSC-CORRELATION-OFF VALUE 0.
                      88 CSC-CORRELATION-ON  VALUE 1.
      * The following switch determines the global setting for
      * CORRELATION ID Monitor record logging.
                   20 CSC-CORR-MONITOR-SW     PIC 9 VALUE 0.
                      88 CSC-CORR-MONITOR-OFF VALUE 0.
                      88 CSC-CORR-MONITOR-ON  VALUE 1.
      * The following value must match the Monitor Point number in the
      * MCT entry in the MCT table.
                   20 CSC-CORRELATION-MP     PIC 9(4) COMP VALUE 1.
      * The following switch determines the global setting for
      * allowing field underscores to be sent to the browser.
      * 3270 fields use them to show the available input positions.
      * However, in a browser the field must first be selected before
      * overtyping the underscores.
                   20 CSC-FIELD-UNDESCORE-SW  PIC 9  VALUE 1.
                      88 CSC-FIELD-UNDERSCORE-KEEP   VALUE 0.
                      88 CSC-FIELD-UNDERSCORE-DELETE VALUE 1.
               15  CSC-MISC-VALUES.
      * Maximum fields that can be defined for an application.
                   20 CSC-MAX-FIELDS      PIC 999 VALUE 100.
                   20 CSC-SEPERATOR-CHAR  PIC X   VALUE '&'.
      * The following 2 fields are used to define bracket values to
      * avoid JavaScript errors caused by code page problems 08/08/99
      * The begin bracket usually has a value of x'BA' or x'AD'
      * The end   bracket usually has a value of x'BB' or x'BD'
                   20 CSC-BEGIN-BRACKET-CHAR PIC X   VALUE x'BA'.
                   20 CSC-END-BRACKET-CHAR   PIC X   VALUE x'BB'.
      * The following value is formatted as the first line for system
      * error messages that are returned to the Web browser.
                   20 CSC-501-ERROR-MSG   PIC X(40)
                      VALUE 'The sky is falling! Call System Support!'.
      * The following switch determines the global setting for
      * resolving HTML links to Cascading Style Sheets.
      * The links must follow any JavaScript in the Header section.
      * Using DFHWBOUT will produce correct placement.
      * The links must be in the format:
      * <link rel="stylesheet" type="text/css"
      * href="http://.../STYLES/CWBA/stylename">
      * or
      * <link rel="stylesheet" type="text/css"
      * href="../../../../STYLES/CWBA/stylename">
      * or
      * <link rel="stylesheet" type="text/css"
      * href="http://.../STYLES/CSMI/stylename">
      * or
      * <link rel="stylesheet" type="text/css"
      * href="../../../../STYLES/CSMI/stylename">
                   20 CSC-STYLE-MGMT-SW      PIC 9 VALUE 0.
      *                  Resolve CICS Cascading Style Sheets
                      88 CSC-NO-STYLE-MGMT   VALUE 0.
      *                  Do not resolve Cacading Style Sheets
                      88 CSC-RESOLVE-STYLE-MGMT VALUE 1.
               15  CSC-HTML-SPECIAL-CHARACTERS.
      * If edited HTML templates include any HTML Special Characters
      * they must be defined in this table.
                   20 FILLER               PIC X(8) VALUE '&nbsp;'.
                   20 FILLER               PIC X(8) VALUE '&quot;'.
                   20 FILLER               PIC X(8) VALUE '&amp;'.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
                   20 FILLER               PIC X(8) VALUE SPACES.
      * The last entry must be spaces.
                   20 FILLER               PIC X(8) VALUE SPACES.
               15  CSC-HTML-SPECIAL-TABLE REDEFINES
                   CSC-HTML-SPECIAL-CHARACTERS.
                   20  CSC-HTML-SPECIAL-CHAR PIC X(8) OCCURS 20
                       INDEXED BY CSC-HTML-SPECIAL-IDX.








