
       PROCESS XOPTS(NOLINKAGE) TRUNC(BIN) NOSSRANGE
      *****************************************************************
      *                                                               *
      * MODULE NAME:  ATTRBCNV                                        *
      *                                                               *
      * VERSION: 1.2.7                                                *
      *                                                               *
      * DEPENDENCIES: CICS TS 1.2                                     *
      *               Thin Bridge Exit (THINBRDG)                     *
      *                                                               *
      * ASSUMPTIONS:  HTML templates are generated placing BMS fields *
      *               in an HTML table, where each field will have an *
      *               associated table data tag (<td).                *
      *                                                               *
      *                                                               *
      * PROGRAM NAME: AttrbCnv                                        *
      *                                                               *
      * Author: Jim Hollingsworth, IBM Global Services                *
      *                                                               *
      * Date Written: 10/25/1998                                      *
      *                                                               *
      * PROGRAM DESCRIPTION:                                          *
      *                                                               *
      * DESCRIPTIVE NAME: Attribute Converter                         *
      *                                                               *
      * The Attribute Converter (AttrbCnv) works in conjunction with  *
      * the thin bridge (ThinBrdg).                                   *
      * The thin bridge serves as a thin layer between the bridge     *
      * exit interface and the CICS Web Bridge exit (DFHWBLT).        *
      * This layer is used to extend the functionality of the supplied*
      * CICS Web Bridge exit without duplicating its existing logic.  *
      *                                                               *
      * This thin bridge specific implementation executes routines    *
      * when the application program issues a SEND MAP.               *
      * These routines write the BMS symbolic map,now refered to as   *
      * the Application Data Structure(ADS), and the ADS Descriptor   *
      * to temporary storage.                                         *
      * The State Management Token is used as the queue name.         *
      * The information in the TS queue can then be read by the       *
      * attribute converter encode logic to extend attribute byte     *
      * processing that is normally supplied by the CICS Web Bridge   *
      * exit.                                                         *
      *                                                               *
      *  The template manager is used to read the HTML template.      *
      *  Using the HTML template, ADS, and ADSD we will rebuild the   *
      *  body of the HTML output, processing attributes from the      *
      *  symbolic map(ADS) as we go.                                  *
      *                                                               *
      * The Attribute Converter currently processes the following:    *
      *  - Changes to base attribute PROTECT                          *
      *  - Changes to base attribute HIGH INTENSITY                   *
      *  - Changes to base attribute NONDISPLAY                       *
      *  - Changes to base attribute FSET                             *
      *  - Changes to extended COLOR attribute                        *
      *  - Changes to extended HILIGHT attribute                      *
      *                                                               *
      * The above is supported for BMS fields with the OCCURS         *
      * parameter.                                                    *
      *                                                               *
      * Installation Instructions:                                    *
      * 1. Examine CopyBook CSC0000 (System Constants).               *
      *    Shop standards may require changing the following:         *
      *    - CSC-ERROR-LOG (TD destination for messages),             *
      *      default is CWBO                                          *
      *    - CSC-TRACE-LEVEL the default causes informational         *
      *      messages to be written to the error log                  *
      * 2. Compile the Attribute Converter and Thin Bridge with the   *
      *    supplied copybooks:                                        *
      *    - CSC0000 (System Constants)                               *
      *    - CPEM000 (Error Messages)                                 *
      * 3. Define the Attribute Converter and Thin Bridge to CICS     *
      *    - The Attribute Converter program name=ATTRBCNV and is     *
      *      defined as a normal application program.                 *
      *    - The Thin Bridge program name=THINBRDG and is defined     *
      *      using the same parameters as the supplied Web Bridge Exit*
      *      (DFHWBLT).                                               *
      *    - The bridge transactions (CWB1 - CWB8) must be changed to *
      *      point to THINBRDG instead of DFHWBLT.                    *
      * 4. Apply PTF: UQ24008, superseded by PTF: UQ25867             *
      *                                                               *
      *                                                               *
      * OBJECT CHARACTERISTICS                    CICS RELEASE = 0520 *
      *  CEDA  View PROGram( ATTRBCNV )                               *
      *  PROGram        : ATTRBCNV                                    *
      *  Group          : CICSWEB                                     *
      *  DEscription    : CICS Web Interface Attribute Converter      *
      *  Language       : CObol                                       *
      *  RELoad         : No                 No | Yes                 *
      *  RESident       : No                 No | Yes                 *
      *  USAge          : Normal             Normal | Transient       *
      *  USElpacopy     : No                 No | Yes                 *
      *  Status         : Enabled            Enabled | Disabled       *
      *  RSl            : 00                 0-24 | Public            *
      *  Cedf           : No                 Yes | No                 *
      *  DAtalocation   : Any                Below | Any              *
      *  EXECKey        : User               User | Cics              *
      * REMOTE ATTRIBUTES                                             *
      *  REMOTESystem   :                                             *
      *  REMOTEName     :                                             *
      *  Transid        :                                             *
      *  Status         : Enabled            Enabled | Disabled       *
      *  RSl            : 00                 0-24 | Public            *
      *  Cedf           : No                 Yes | No                 *
      *  DAtalocation   : Any                Below | Any              *
      *  EXECKey        : User               User | Cics              *
      * REMOTE ATTRIBUTES                                             *
      *  REMOTESystem   :                                             *
      *  REMOTEName     :                                             *
      *  Transid        :                                             *
      *  EXECUtionset   : Fullapi            Fullapi | Dplsubset      *
      *                                                               *
      *                                                               *
      * OBJECT CHARACTERISTICS                                        *
      *  CEDA  View PROGram( THINBRDG )                               *
      *   PROGram        : THINBRDG                                   *
      *   Group          : CICSWEB                                    *
      *   DEscription    : CICS Web Interface Bridge Exit             *
      *   Language       : CObol              CObol | Assembler       *
      *   RELoad         : No                 No | Yes                *
      *   RESident       : No                 No | Yes                *
      *   USAge          : Normal             Normal | Transient      *
      *   USElpacopy     : No                 No | Yes                *
      *   Status         : Enabled            Enabled | Disabled      *
      *   RSl            : 00                 0-24 | Public           *
      *   Cedf           : No                 Yes | No                *
      *   DAtalocation   : Any                Below | Any             *
      *   EXECKey        : Cics               User | Cics             *
      *  REMOTE ATTRIBUTES                                            *
      *   REMOTESystem   :                                            *
      *   REMOTEName     :                                            *
      *   Transid        :                                            *
      *   Status         : Enabled                                    *
      *   RSl            : 00                                         *
      *   Cedf           : No                                         *
      *   DAtalocation   : Any                                        *
      *   EXECKey        : Cics                                       *
      *  REMOTE ATTRIBUTES                                            *
      *   REMOTESystem   :                                            *
      *   REMOTEName     :                                            *
      *   Transid        :                                            *
      *   EXECUtionset   : Fullapi                                    *
      *                                                               *
      *                                                               *
      *  OBJECT CHARACTERISTICS                                       *
      *   CEDA  View TRANSaction( CWB1 )                              *
      *    TRANSaction    : CWB1                                      *
      *    Group          : CICSWEB                                   *
      *    DEscription    : CICS Web Interface 3270 Emulation Transact*
      *    PROGram        :                                           *
      *    TWasize        : 00000              0-32767                *
      *    PROFile        : DFHCICST                                  *
      *    PArtitionset   :                                           *
      *    STAtus         : Enabled            Enabled | Disabled     *
      *    PRIMedsize     : 00000              0-65520                *
      *    TASKDATALoc    : Any                Below | Any            *
      *    TASKDATAKey    : User               User | Cics            *
      *    STOrageclear   : No                 No | Yes               *
      *    RUnaway        : System             System | 0-2700000     *
      *    SHutdown       : Enabled            Disabled | Enabled     *
      *    ISolate        : Yes                Yes | No               *
      *    Brexit         : THINBRDG                                  *
      *   REMOTE ATTRIBUTES                                           *
      *    DYnamic        : No                                        *
      *    REMOTESystem   :                                           *
      *    REMOTEName     :                                           *
      *    TRProf         :                                           *
      *    Localq         :                                           *
      *   SCHEDULING                                                  *
      *    PRIOrity       : 001                                       *
      *    TClass         : No                                        *
      *    TRANClass      : DFHTCL00                                  *
      *   ALIASES                                                     *
      *    ALias          :                                           *
      *    TASKReq        :                                           *
      *    XTRanid        :                                           *
      *    TPName         :                                           *
      *                   :                                           *
      *    XTPname        :                                           *
      *                   :                                           *
      *                   :                                           *
      *   RECOVERY                                                    *
      *    DTimout        : No                                        *
      *    RESTart        : No                                        *
      *    SPurge         : Yes                                       *
      *    TPUrge         : No                                        *
      *    DUmp           : Yes                                       *
      * +  TRACe          : Yes                                       *
      *    COnfdata       : No                                        *
      *   INDOUBT ATTRIBUTES                                          *
      *    ACtion         : Backout                                   *
      *    WAIT           : Yes                                       *
      *    WAITTime       : 00 , 00 , 00                              *
      *    INdoubt        : Backout                                   *
      *   SECURITY                                                    *
      *    RESSec         : No                                        *
      * +  CMdsec         : No                                        *
      *    Extsec         : No                                        *
      *    TRANSec        : 01                                        *
      *    RSl            : 00                                        *
      *                                                               *
      * Operation:                                                    *
      *  The URL normally used for the 3270 Bridge has the following  *
      *  format:                                                      *
      *  http://..../CICS/CWBA/DFHWBTTA/transid                       *
      *       where /CICS/ indicates that no converter is used.       *
      *  The URL used for the Attribute Converter is in the following *
      *  format:                                                      *
      *  http://..../ATTRBCNV/CWBA/DFHWBTTA/transid                   *
      *       which indicates that ATTRBCNV will be used as the       *
      *       converter program.                                      *
      *                                                               *
      *****************************************************************
      * Fix History:                                                  *
      * - Revise "hidden" field check, this fixes a problem of        *
      *   potentially inserting </strong, </u, </blink, and </font    *
      *   twice for a "password" field (UNPROT,FSET,DARK)    07/17/99 *
      * - Revise search for DFH_STATE_TOKEN value            08/02/99 *
      * - Revised to use correct bracket characters that              *
      *   correspond to local code page                      08/08/99 *
      * - Fix loop for input field after last </table        08/19/99 *
      * - Fix blank button suppression                       08/19/99 *
      * - Allow input field to follow last </table           08/19/99 *
      * - Fix loop if no map fields                          08/19/99 *
      * - Fix correct ADS field data location                08/19/99 *
      * - Fix to correctly format symbols after last </table 08/19/99 *
      * - Fix to use input field len in receive field merge  09/01/99 *
      * - Support HTML Special Characters                    09/08/99 *
      * - Fix (UNPROT,DRK) generating type="password"        09/08/99 *
      * - Delete unused code                                 09/15/99 *
      * - Improve diagnostics                                09/15/99 *
      * - Support TS 1.3 Doc Domain and concatenated datasets09/17/99 *
      * - Fix search indexes for AT END check                10/13/99 *
      * - Fix copy HTML header routines                      10/13/99 *
      * - Add missing field diagnostic message               10/15/99 *
      * - Fix Template Manager HTML buffer length            10/18/99 *
      * - Save last field name                               10/19/99 *
      * - Fix truncated ADSD on subsequent SEND MAP          10/22/99 *
      * - Fix potential storage violation                    11/19/99 *
      * - Fix multiple symbols (occurs) between <td's        01/07/00 *
      * - Log Token Missing                                  03/29/00 *
      * - Fix extra characters at EOTable                    04/24/00 *
      * - Freemain input HTML after PTF UQ38137              11/19/00 *
      * - Fix abend on move to short area                    01/17/01 *
      * - Fix abend on move to ADS-DESCRIPTOR                02/08/01 *
      * - Add NOSSRANGE compile option                       02/21/01 *
      * - Insure correct BRXA-BMS-COMMAND length             07/31/01 *
      *****************************************************************

       IDENTIFICATION DIVISION.
       PROGRAM-ID. ATTRBCNV.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       COPY DFHWBUCO.
       COPY DFHWBTLO.
       COPY DFHBMSCA.
       COPY DFHBRACO.

      ******
      *  Data items.
      ******
      *  Simple data types used for interaction with CICS.
      ******

       77  conv-pointer            POINTER.
       77  WS-ADS-PTR              POINTER.
       77  WS-ADSR-PTR             POINTER.
       77  WS-ADSD-PTR             POINTER.
       77  WS-ADSDR-PTR            POINTER.
       77  WS-ADSD-FIELD-PTR       POINTER.
       77  WS-ADSDR-FIRST-FIELD-PTR POINTER.
       77  WS-ADSDR-FIRST-FIELD-IDX REDEFINES
           WS-ADSDR-FIRST-FIELD-PTR PIC 9(8) COMP.
       77  WS-ENCODE-DATA-PTR      POINTER.
       77  WS-ENCODE-SAVE-DATA-PTR POINTER.
       77  WS-HTML-OUT-PTR         POINTER.
       77  WS-BMS-COMMAND-PTR      POINTER.
       77  WS-BMS-COMMANDR-PTR     POINTER.
       77  WS-TSQUEUE-PTR          POINTER.



       01  WS-WORK-AREA.
           05  WS-TSQUEUE-NAME         PIC X(8).
           05  WS-TSQUEUE-LENGTH       PIC S9(4) COMP.
      *    Length value now set in working storage to comply with
      *    max length of BLIO mode (32661) given by Mark Pocock
      *    06/06/99
           05  WS-RECLENGTH            PIC S9(4) COMP.
           05  WS-KEYLENGTH            PIC S9(4) COMP.
           05  WS-HTML-OUTPUT-LENGTH   PIC S9(8) COMP VALUE 32660.
           05  WS-ADS-IDX              PIC S9(4) COMP VALUE 1.
           05  WS-RECV-ADS-IDX         PIC S9(4) COMP VALUE 1.
           05  WS-ADSD-IDX             PIC S9(4) COMP VALUE 1.
           05  WS-HTML-IN-IDX          PIC S9(4) COMP VALUE 1.
           05  WS-SAVE-HTML-IN-IDX     PIC S9(4) COMP VALUE 1.
           05  WS-HTML-OUT-IDX         PIC S9(4) COMP VALUE 1.
           05  WS-SAVE-HTML-OUT-IDX    PIC S9(4) COMP VALUE 1.
           05  WS-HTML-TMPLT-IDX       PIC S9(4) COMP VALUE 1.
           05  WS-START-MOVE-IDX       PIC S9(4) COMP VALUE 1.
           05  WS-SYMBOL-IDX           PIC S9(4) COMP VALUE 1.
           05  WS-SYMBOL-END-IDX       PIC S9(4) COMP VALUE 1.
           05  WS-NAME-IDX             PIC S9(4) COMP VALUE 1.
           05  WS-NAME-END-IDX         PIC S9(4) COMP VALUE 1.
           05  WS-LAST-TABLE-IDX       PIC S9(4) COMP VALUE 1.
           05  WS-CONTENT-LENGTH-IDX   PIC S9(4) COMP VALUE 1.
           05  WS-HTTP-IDX             PIC S9(4) COMP VALUE 1.
           05  WS-HTTP-END-IDX         PIC S9(4) COMP VALUE 1.
           05  WS-TD-START-IDX         PIC S9(4) COMP VALUE 1.
           05  WS-TD-END-IDX           PIC S9(4) COMP VALUE 1.
           05  WS-PERIOD-IDX           PIC S9(4) COMP VALUE 1.
           05  WS-EOL-IDX              PIC S9(4) COMP VALUE 1.
           05  WS-SON-IDX              PIC S9(4) COMP VALUE 1.
           05  WS-EOF-IDX              PIC S9(4) COMP VALUE 1.
           05  WS-SAVE-EOF-IDX         PIC S9(4) COMP VALUE 1.
           05  WS-COLOR-IDX            PIC S9(4) COMP VALUE 1.
           05  WS-CNVNAME-IDX          PIC S9(4) COMP VALUE 1.
           05  WS-CNVNAME-END-IDX      PIC S9(4) COMP VALUE 1.
           05  WS-INITDATA-IDX         PIC S9(4) COMP VALUE 1.
           05  WS-INITDATA-END-IDX     PIC S9(4) COMP VALUE 1.
           05  WS-TSQUEUE-IDX          PIC S9(4) COMP VALUE 1.
           05  WS-LINE-IDX             PIC S9(4) COMP VALUE 1.
           05  WS-ADSD-MAP-INDEX       PIC S9(4) COMP VALUE 0.
           05  WS-MOVE-LEN             PIC S9(4) COMP VALUE 0.
           05  WS-HTML-TMPLT-LEN       PIC S9(8) COMP VALUE 32683.
           05  WS-LOG-LENGTH           PIC S9(4) COMP.
           05  WS-TEXT-LENGTH          PIC S9(8) COMP.
           05  WS-ADS-LENGTH           PIC S9(8) COMP VALUE 32000.
           05  WS-RECV-ADS-LENGTH      PIC S9(8) COMP VALUE 32000.
           05  WS-ADSD-LENGTH          PIC S9(8) COMP VALUE 32000.
           05  WS-ADSDR-LENGTH         PIC S9(8) COMP VALUE 32000.
           05  WS-EOF-LENGTH           PIC S9(8) COMP VALUE 32000.
           05  WS-FIELD-DATA-LEN       PIC S9(4) COMP.
           05  WS-FIELD-COUNT          PIC S9(4) COMP.
           05  WS-FIELDS-PER-LINE      PIC S9(4) COMP.
           05  WS-FIELDS-ON-LINE       PIC S9(4) COMP.
           05  WS-OCCURS-REMAINDER     PIC S9(4) COMP.
           05  WS-LEFT-TO-LOG          PIC S9(8) COMP.
           05  WS-ALREADY-LOGED-OFFSET PIC S9(8) COMP.
           05  WS-SHORT-LOG-LEN        PIC S9(8) COMP.
           05  WS-ITEM                 PIC S9(4) COMP VALUE 1.
           05  WS-RESP                 PIC S9(8) COMP.
           05  WS-SAVE-RESP            PIC S9(8) COMP.
           05  WS-RESP2                PIC S9(8) COMP.
           05  WS-RESP2-DSPLY          PIC ZZZZ9.
           05  WS-FIELD-NAME           PIC X(32).
           05  WS-SAVE-FIELD-NAME      PIC X(32) VALUE SPACES.
           05  WS-FIELD-INIT-NAME      PIC X(32).
           05  WS-FIELD-INIT-VALUE     PIC X(1000).
           05  WS-FIELD-INIT-LEN       PIC S9(4) COMP.
           05  WS-FIELD-LEN            PIC 9999.
           05  WS-CONTENT-LENGTH       PIC 9(8).
           05  WS-BRXA-MAPSET          PIC X(7).
           05  WS-FIRST-FIELD-OFFSET   PIC S9(4) COMP.
           05  WS-TEMPLATE-SUFFIX      PIC X.
           05  WS-COLOR-ATTRIBUTE      PIC X.
               88  WS-NO-COLOR-ATTRB   VALUE LOW-VALUES.
           05  WS-HILIGHT-ATTRIBUTE    PIC X.
               88  WS-NO-HILIGHT-ATTRB VALUE LOW-VALUES.
           05  WS-ATTRIBUTE            PIC X.
               88 WS-NO-BASE-ATTRB     VALUE LOW-VALUES.
               88 PROT   VALUES ARE '-' '/' 'U' 'V' 'Y' 'Z' '%' '_'
                         '0' '1' '4' '5' '8' '9' '@' ''''.
               88 UNPROT VALUES ARE ' ' 'A' 'D' 'E' 'H' 'I' '<' '('
                         '&' 'J' 'M' 'N' 'Q' 'R' '*' ')'.
               88 BRIGHT VALUES ARE 'H' 'I' 'Q' 'R' 'Y' 'Z' '8' '9'.
               88 DARK   VALUES ARE '<' '(' '*' ')' '%' '_' '@'
                                   ''''.
               88 FSET   VALUES ARE 'A' 'E' 'I' '(' 'J' 'N' 'R' ')'
                                    '/' 'V' 'Z' '_' '1' '5' '9' ''''.
           05  WS-TSQ-ERR-SW           PIC 9 VALUE 0.
               88  WS-TSQ-READ-OK      VALUE 0.
               88  WS-TSQ-READ-ERR     VALUE 1.
           05  WS-TEMPLATE-NAME-ERR-SW PIC 9 VALUE 0.
               88  WS-TEMPLATE-NAME-OK VALUE 0.
               88  WS-TEMPLATE-NAME-ERR VALUE 1.
           05  WS-TEMPLATE-READ-ERR-SW PIC 9 VALUE 0.
               88  WS-TEMPLATE-READ-OK VALUE 0.
               88  WS-TEMPLATE-READ-ERR VALUE 1.
           05  WS-STATE-TOKEN-ERR-SW   PIC 9 VALUE 0.
               88  WS-STATE-TOKEN-OK   VALUE 0.
               88  WS-STATE-TOKEN-ERR  VALUE 1.
           05  WS-TABLE-ERR-SW         PIC 9 VALUE 0.
               88  WS-TABLE-OK         VALUE 0.
               88  WS-TABLE-ERR        VALUE 1.
           05  WS-HTML-ERR-SW          PIC 9 VALUE 0.
               88  WS-HTML-OK          VALUE 0.
               88  WS-HTML-ERR         VALUE 1.
           05  WS-EOF-BUILT-SW         PIC 9 VALUE 0.
               88  WS-EOF-NOT-BUILT    VALUE 0.
               88  WS-EOF-BUILT        VALUE 1.
           05  WS-BUTTON-SW            PIC 9 VALUE 0.
               88  WS-NO-BUTTON        VALUE 0.
               88  WS-FOUND-BUTTON     VALUE 1.
           05  WS-GETMAIN-ERR-SW       PIC 9 VALUE 0.
               88  WS-GETMAIN-OK       VALUE 0.
               88  WS-GETMAIN-ERR      VALUE 1.
           05  WS-FOUND-OCCURS-SW      PIC 9 VALUE 0.
               88  WS-NO-OCCURS        VALUE 0.
               88  WS-FOUND-OCCURS     VALUE 1.
           05  WS-RECV-ADS-SW          PIC 9 VALUE 0.
               88  WS-RECV-ADS-FOUND   VALUE 0.
               88  WS-NO-RECV-ADS      VALUE 1.
           05  WS-HILIGHT-START-SW     PIC 9 VALUE 0.
               88  WS-HILIGHT-START-NOT-NEEDED VALUE 0.
               88  WS-HILIGHT-START-NEEDED VALUE 1.
               88  WS-HILIGHT-START-DONE   VALUE 2.
           05  WS-HILIGHT-INSERT-SW    PIC 9 VALUE 0.
               88  WS-HILIGHT-INSERT-NOT-NEEDED VALUE 0.
               88  WS-HILIGHT-INSERT-NEEDED     VALUE 1.
            05  WS-HILIGHT-END-SW       PIC 9 VALUE 0.
               88  WS-HILIGHT-END-NOT-NEEDED VALUE 0.
               88  WS-HILIGHT-END-NEEDED VALUE 1.
               88  WS-HILIGHT-END-DONE   VALUE 2.
           05  WS-COLOR-START-SW       PIC 9 VALUE 0.
               88  WS-COLOR-START-NOT-NEEDED VALUE 0.
               88  WS-COLOR-START-NEEDED VALUE 1.
               88  WS-COLOR-START-DONE   VALUE 2.
           05  WS-COLOR-INSERT-SW      PIC 9 VALUE 0.
               88  WS-COLOR-INSERT-NOT-NEEDED VALUE 0.
               88  WS-COLOR-INSERT-NEEDED     VALUE 1.
            05  WS-COLOR-END-SW         PIC 9 VALUE 0.
               88  WS-COLOR-END-NOT-NEEDED VALUE 0.
               88  WS-COLOR-END-NEEDED VALUE 1.
               88  WS-COLOR-END-DONE   VALUE 2.
           05  WS-STRONG-START-SW      PIC 9 VALUE 0.
               88  WS-STRONG-START-NOT-NEEDED VALUE 0.
               88  WS-STRONG-START-NEEDED VALUE 1.
               88  WS-STRONG-START-DONE   VALUE 2.
           05  WS-STRONG-INSERT-SW     PIC 9 VALUE 0.
               88  WS-STRONG-INSERT-NOT-NEEDED VALUE 0.
               88  WS-STRONG-INSERT-NEEDED     VALUE 1.
           05  WS-STRONG-END-SW        PIC 9 VALUE 0.
               88  WS-STRONG-END-NOT-NEEDED VALUE 0.
               88  WS-STRONG-END-NEEDED VALUE 1.
               88  WS-STRONG-END-DONE   VALUE 2.
           05  WS-SYMBOL-SW            PIC 9 VALUE 0.
               88  WS-SYMBOL-NOT-NEEDED    VALUE 0.
               88  WS-SYMBOL-NEEDED    VALUE 1.
               88  WS-SYMBOL-DONE      VALUE 2.
               88  WS-MULTIPLE-SYMBOLS VALUE 3.
           05  WS-INPUT-SW             PIC 9 VALUE 0.
               88  WS-INPUT-NOT-NEEDED     VALUE 0.
               88  WS-INPUT-NEEDED     VALUE 1.
               88  WS-INPUT-DONE       VALUE 2.
               88  WS-MULTIPLE-INPUTS  VALUE 3.
           05  WS-ONSIZE-SW            PIC 9 VALUE 0.
               88  WS-ONSIZE-NOT-NEEDED    VALUE 0.
               88  WS-ONSIZE-NEEDED    VALUE 1.
               88  WS-ONSIZE-DONE      VALUE 2.
           05  WS-MAP-TYPE-SW          PIC 9 VALUE 0.
               88  WS-SEND-MAP         VALUE 0.
               88  WS-RECEIVE-MAP      VALUE 1.
           05  WS-FIELD-TYPE-SW        PIC 9 VALUE 0.
               88  WS-TEXT             VALUE 0.
               88  WS-HIDDEN           VALUE 1.
           05  WS-END-OF-TABLE-SW      PIC 9 VALUE 0.
               88  WS-NOT-END-TABLE    VALUE 0.
               88  WS-TABLE-END        VALUE 1.
           05  WS-END-OF-FORM-SW       PIC 9 VALUE 0.
               88  WS-NOT-END-FORM     VALUE 0.
               88  WS-FORM-END         VALUE 1.
           05  WS-INITIAL-DATA-SW      PIC 9 VALUE 0.
               88  WS-INITIAL-DATA-MISSING VALUE 0.
               88  WS-INITIAL-DATA-FOUND   VALUE 1.
           05  WS-SYMBOL-FOUND-SW      PIC 9 VALUE 0.
               88  WS-SYMBOL-MISSING   VALUE 0.
               88  WS-SYMBOL-FOUND     VALUE 1.
           05  WS-NAME-FOUND-SW        PIC 9 VALUE 0.
               88  WS-NAME-MISSING     VALUE 0.
               88  WS-NAME-FOUND       VALUE 1.
           05  WS-LINK-STYLE-FOUND-SW  PIC 9 VALUE 0.
               88 WS-LINK-STYLE-MISSING VALUE 0.
               88 WS-LINK-STYLE-FOUND  VALUE 1.
           05  WS-TEMPLATE-ERR-SW      PIC 9 VALUE 0.
               88  WS-TEMPLATE-OK      VALUE 0.
               88  WS-TEMPLATE-ERR     VALUE 1.
           05  WS-MOVED-DATA-SW        PIC 9 VALUE 0.
               88  WS-NO-MOVE          VALUE 0.
               88  WS-MOVED-DATA       VALUE 1.
           05  WS-END-TAG-SW           PIC 9 VALUE 0.
               88  WS-NO-END-TAG       VALUE 0.
               88  WS-END-TAG          VALUE 1.
           05  WS-HTML-SPECIAL-SW      PIC 9 VALUE 0.
               88  WS-NO-HTML-SPECIAL  VALUE 0.
               88  WS-HTML-SPECIAL-FOUND VALUE 1.
           05  WS-MOVE-TD-LINE-SW      PIC 9 VALUE 0.
               88  WS-MOVE-TD-LINE        VALUE 0.
               88  WS-DO-NOT-MOVE-TD-LINE VALUE 1.
           05  WS-OCCURS-ELEMENT       PIC 999.
           05  FILLER REDEFINES WS-OCCURS-ELEMENT.
               10 FILLER               PIC 99.
               10 WS-ELEMENT-1         PIC 9.
           05  FILLER REDEFINES WS-OCCURS-ELEMENT.
               10 FILLER               PIC 9.
               10 WS-ELEMENT-2         PIC 99.
           05  WS-INPUT-FIELD-LEN      PIC S9(4) COMP.
           05  WS-INPUT-FIELD-LENX REDEFINES WS-INPUT-FIELD-LEN PIC XX.

           05  WS-ABSTIME              PIC S9(15) COMP-3.
           05  WS-TIMESTAMP-SW         PIC 9.
               88  WS-TIMESTAMP-OFF    VALUE 0.
               88  WS-TIMESTAMP-ON     VALUE 1.
           05  WS-TIME-LOG.
               10  WS-LOG-MSG-NUM.
                   15 WS-MSG-PGM-NUM   PIC X(6).
                   15 WS-MSG-NUM.
                      20  WS-MSG-NUMERIC PIC XX.
                      20  WS-MSG-LEVEL PIC X.
               10  FILLER              PIC X   VALUE SPACES.
               10  WS-LOG-TIME.
                   15  WS-LOG-HOUR     PIC 99.
                   15  FILLER          PIC X.
                   15  WS-LOG-MIN      PIC 99.
                   15  FILLER          PIC X.
                   15  WS-LOG-SEC      PIC 99.
               10  FILLER              PIC X   VALUE SPACES.
               10  WS-LOG-BUFFER       PIC X(600).
           05  WS-TIME-8.
               10  WS-TIME.
                   20  WS-HOUR         PIC 99.
                   20  WS-MINUTE       PIC 99.
                   20  WS-SECOND       PIC 99.
               10  FILLER              PIC 99.
           05  WS-DATE-10.
               10  WS-DATE.
                   15  WS-YEAR         PIC 9999.
                   15  WS-MONTH        PIC 99.
                   15  WS-DAY          PIC 99.
               10  FILLER              PIC 99.
           05  WS-WORK-TIME.
                   15  WS-WRK-HOUR     PIC 99.
                   15  FILLER          PIC X.
                   15  WS-WRK-MIN      PIC 99.
                   15  FILLER          PIC X.
                   15  WS-WRK-SEC      PIC 99.
           05  WS-CICS-SYSID           PIC XXXX.
           05  WS-ERROR-MSG            PIC X(113).
           05  WS-CICS-ERROR-MSG       PIC X(50).
           05  WS-CICS-RESP            PIC X(10).
           05  BRXAR-MAPSET            PIC X(7).
           05  WS-HTML-SPECIAL-CHAR    PIC X(8).
           05  WS-JAVASCRIPT.
      *
      * JavaScript to automatically select text fields 06/06/99
      * Revised to use correct bracket characters that
      * correspond to local code page         08/08/99
      *
               10 WS-JS-1              PIC X(60) VALUE
                 ' function dfhinqcursor(n)'.
               10 WS-JS-2.
                  15 WS-JS-2A      PIC X(17) VALUE
                     '  {document.forms'.
                  15 WS-JS-2B      PIC X VALUE '['.
                  15 WS-JS-2C      PIC X VALUE '0'.
                  15 WS-JS-2D      PIC X VALUE ']'.
                  15 WS-JS-2E      PIC X(20) VALUE
                     '.DFH_CURSOR.value=n;'.
               10 WS-JS-3.
                  15 WS-JS-3A          PIC X(20) VALUE
                     '  if (document.forms'.
                  15 WS-JS-3B      PIC X VALUE '['.
                  15 WS-JS-3C      PIC X VALUE '0'.
                  15 WS-JS-3D      PIC X VALUE ']'.
                  15 WS-JS-3E      PIC X(09) VALUE
                     '.elements'.
                  15 WS-JS-3F      PIC X VALUE '['.
                  15 WS-JS-3G      PIC X VALUE 'n'.
                  15 WS-JS-3H      PIC X VALUE ']'.
                  15 WS-JS-3I      PIC X(16) VALUE
                     '.type == "text")'.
               10 WS-JS-4.
                  15 WS-JS-4A          PIC X(20) VALUE
                     '     {document.forms'.
                  15 WS-JS-4B      PIC X VALUE '['.
                  15 WS-JS-4C      PIC X VALUE '0'.
                  15 WS-JS-4D      PIC X VALUE ']'.
                  15 WS-JS-4E      PIC X(09) VALUE
                     '.elements'.
                  15 WS-JS-4F      PIC X VALUE '['.
                  15 WS-JS-4G      PIC X VALUE 'n'.
                  15 WS-JS-4H      PIC X VALUE ']'.
                  15 WS-JS-4I      PIC X(12) VALUE
                     '.select();}}'.
      *
      * JavaScript to automatically select text fields 06/06/99
      *
      *        10 WS-JS-1              PIC X(60) VALUE
      *          ' function dfhinqcursor(n)'.
      *        10 WS-JS-2              PIC X(60) VALUE
      *          '  {document.forms[0].DFH_CURSOR.value=n;'.
      *        10 WS-JS-3              PIC X(60) VALUE
      *          '  if (document.forms[0].elements[n].type == "text")'.
      *        10 WS-JS-4              PIC X(60) VALUE
      *          '     {document.forms[0].elements[n].select();}}'.
           05  WS-TS-LEVEL.
              10 WS-TS-VERSION         PIC 99.
              10 WS-TS-RELEASE         PIC 99.
              10 WS-TS-MODIFICATION    PIC 99.
           05  WS-HH-ATTRIBUTE         PIC X.
           05  WS-HL-ATTRIBUTE         PIC X.
           05  WS-ATTRIBUTE-COMP     PIC 9(4) COMP.
           05  WS-ATTRIBUTE-WORK REDEFINES
               WS-ATTRIBUTE-COMP.
               10 FILLER               PIC X.
               10 WS-W1-ATTRIBUTE      PIC X.
       01  WS-SYSTEM-CONSTANTS.
           COPY CSC0000.
       01  WS-PGM-MESSAGE-NUMBERS.
           COPY CPEM000.
       01  WS-END-OF-FORM.
           05 WS-END-OF-FORM-CHAR PIC X
                                  OCCURS 32767 TIMES
                                  INDEXED BY EOF-IDX.

           COPY CSTYLES0.

       LINKAGE SECTION.

       COPY DFHEIBLK REPLACING ==EIBLK== BY ==DFHEIBLK==.
       COPY DFHWBCDO.
       COPY DFHBRARO.

      *   BRXAR-COMMAND-COMMON IN LONGER TS 1.3 FORMAT
      *   The only referenced fields are:
      *   - BRXAR-COMMAND-COMMON
      *   - BRXAR-COMMAND-AREA-EYECATCHER
      *   - BRXAR-COMMAND-CODE
       01 BRXAR-COMMAND-COMMON.
          02 BRXAR-COMMAND-AREA-EYECATCHER PIC X(8).
          02 BRXAR-FUNCTION-CODE PIC X(2).
          02 BRXAR-COMMAND-CODE PIC X(2).
          02 BRXAR-USER-ABEND-CODE PIC X(4).
          02 BRXAR-FROM-PTR POINTER.
          02 BRXAR-FROM-LEN PIC S9(8) COMP.
          02 BRXAR-INTO-PTR POINTER.
          02 BRXAR-INTO-LEN PIC S9(8) COMP.
          02 BRXAR-RESP PIC S9(4) COMP.
          02 BRXAR-RESP2 PIC S9(4) COMP.
          02 BRXAR-CPOSN PIC S9(4) COMP.
          02 BRXAR-AID PIC X(1).
          02 BRXAR-ERASE-INDICATOR PIC X(1).
          02 BRXAR-LAST-INDICATOR PIC X(1).
          02 BRXAR-WAIT-INDICATOR PIC X(1).
      *   NEW FOR TS 1.3
          02 BRXAR-FMT-RESPONSE   PIC X(1).
          02 BRXAR-READ-NOWAIT-ISSUED PIC X(1).
          02 BRXAR-REQUEST-NEXT-ISSUED PIC X(1).
      *   reserved
          02 FILLER PIC X(3).

      *   BRXAR-BMS-COMMAND IN LONGER TS 1.3 FORMAT
       01 BRXAR-BMS-COMMAND.
      *   TS RELEASE DEPENCIES DUE TO LENGTH OF BRXAR-COMMAND-COMMON.
          02 BRXAR-BMS-CMD-TS12.
             04 FILLER PIC X(44).
             04 BRXAR-MAPSET-TS12 PIC X(7).
             04 FILLER PIC X(4).
          02 BRXAR-BMS-CMD-TS13 REDEFINES BRXAR-BMS-CMD-TS12.
             04 FILLER PIC X(48).
             04 BRXAR-MAPSET-TS13 PIC X(7).
          02 FILLER    PIC X(26).

      *   The only referenced fields are:
      *   - ADSR-DESCRIPTOR
      *   - ADSDR-EYECATCHER
      *   - ADSDR-MAP-INDEX
      *   - ADSDR-FIRST-FIELD
       01 ADSR-DESCRIPTOR.
          02 ADSDR-LENGTH PIC S9(4) COMP.
          02 ADSDR-EYECATCHER PIC X(4).
          02 ADSDR-MAP-INDEX PIC S9(4) COMP.
          02 ADSDR-FIELD-COUNT PIC S9(4) COMP.
          02 ADSDR-STRUCTURE-LENGTH PIC S9(4) COMP.
          02 ADSDR-ATTRIBUTE-NUMBER PIC S9(4) COMP.
          02 ADSDR-ATTRIBUTE-TYPE-CODES PIC X(1) OCCURS 12.
          02 ADSDR-MAP-JUSTIFY-HOR PIC X(1).
          02 ADSDR-MAP-JUSTIFY-VER PIC X(1).
          02 ADSDR-MAP-STARTING-LINE PIC S9(4) COMP.
          02 ADSDR-MAP-STARTING-COLUMN PIC S9(4) COMP.
          02 ADSDR-MAP-LINES PIC S9(4) COMP.
          02 ADSDR-MAP-COLUMNS PIC S9(4) COMP.
          02 ADSDR-WRITE-CONTROL-CHAR PIC X(1).
          02 FILLER PIC X(1).
          02 ADSDR-FIRST-FIELD PIC X(1).

      *   The only referenced fields are:
      *   - ADSR-FIELD-DESCRIPTOR
        01 ADSR-FIELD-DESCRIPTOR.
          02 ADSDR-FIELD-NAME PIC X(32).
          02 ADSDR-FIELD-NAME-LEN PIC S9(4) COMP.
          02 ADSDR-OCCURS-INDEX PIC S9(4) COMP.
          02 ADSDR-FIELD-OFFSET PIC S9(4) COMP.
          02 ADSDR-FIELD-DATA-LEN PIC S9(4) COMP.
          02 ADSDR-FIELD-JUSTIFY PIC X(1).
          02 ADSDR-FIELD-FILL-CHAR PIC X(1).
          02 ADSDR-NEXT-FIELD PIC X(1).

       01 HTML-INPUT-AREA.
          05 HTML-INPUT-LEN      PIC 9(8) COMP.
          05 HTML-INPUT-CHAR     PIC X
                                 OCCURS 0 TO 32767 TIMES
                                 DEPENDING ON HTML-INPUT-LEN
                                 INDEXED BY HTML-IN-IDX.
       01 HTML-OUT-AREA.
          05 HTML-RESPONSE-LEN   PIC 9(8) COMP.
          05 HTML-OUTPUT-AREA.
             10 HTML-OUTPUT-CHAR PIC X
                                 OCCURS 0 TO 32660 TIMES
                                 DEPENDING ON WS-HTML-OUTPUT-LENGTH
                                 INDEXED BY HTML-OUT-IDX.

       01 HTML-TEMPLATE-AREA.
          05 HTML-TEMPLATE-CHAR PIC X
                                OCCURS 0 TO 32767 TIMES
                                DEPENDING ON WS-HTML-TMPLT-LEN
                                INDEXED BY HTML-TMPLT-IDX.

       01  WS-ADS-AREA.
           05 WS-ADS-CHAR        PIC X
                                 OCCURS 0 TO 32767 TIMES
                                 DEPENDING ON WS-ADS-LENGTH
                                 INDEXED BY ADS-IDX.

       01  WS-RECV-ADS-AREA.
           05 WS-RECV-ADS-CHAR   PIC X
                                 OCCURS 0 TO 32767 TIMES
                                 DEPENDING ON WS-RECV-ADS-LENGTH
                                 INDEXED BY RECV-ADS-IDX.
       01  WS-TSQUEUE-AREA.
           05 WS-TSQUEUE-CHAR    PIC X
                                 OCCURS 0 TO 32767 TIMES
                                 DEPENDING ON WS-TSQUEUE-LENGTH
                                 INDEXED BY WS-TSQUEUE-IDX.
       01  WS-ADS-DESCRIPTOR.
           05 FILLER             PIC X(32767).


       PROCEDURE DIVISION USING DFHEIBLK DFHCOMMAREA.

       100-MAINLINE.

      ******
      *  First part: set up the pointers and structures, perform
      *  sanity checks and the call the decode/encode functions.
      ******
      *  Just return if no COMMAREA because there's nowhere to work.
      ******

           IF EIBCALEN = 0
              EXEC CICS RETURN
              END-EXEC
           END-IF.

      ******
      *  Set up addressability to the COMMAREA.
      ******

           EXEC CICS ADDRESS COMMAREA(conv-pointer)
           END-EXEC.

           SET ADDRESS OF CONVERTER-PARMS TO conv-pointer.

      ******
      *  Validate the COMMAREA eyecatcher.
      ******

           IF (CONVERTER-EYECATCHER NOT = DECODE-EYECATCHER-INIT)
           AND (CONVERTER-EYECATCHER NOT = ENCODE-EYECATCHER-INIT)
               MOVE URP-INVALID TO CONVERTER-RESPONSE
               MOVE URP-CORRUPT-CLIENT-DATA TO CONVERTER-REASON

               EXEC CICS RETURN
               END-EXEC
           END-IF.

           IF CONVERTER-RESPONSE NOT = 0
               EXEC CICS RETURN
               END-EXEC
           END-IF.

           IF CONVERTER-REASON NOT = 0
               EXEC CICS RETURN
               END-EXEC
           END-IF.

           EVALUATE CONVERTER-FUNCTION
      ******
      *  If decode is set then do all the interesting stuff.
      ******

           WHEN URP-DECODE
               PERFORM 5000-DECODE
               THRU    5000-DECODE-EXIT

      ******
      *  If encode is set then return. (Encode is a null function)
      ******

           WHEN URP-ENCODE
               PERFORM 200-PROCESS-ATTRIBUTES
               THRU    200-PROCESS-ATTRIBUTES-EXIT
               IF WS-STATE-TOKEN-OK
                  EXEC CICS DELETEQ TS QUEUE(WS-TSQUEUE-NAME)
                                       RESP(WS-RESP)
                                       RESP2(WS-RESP2)
                  END-EXEC
               END-IF

      ******
      *  otherwise there is a problem
      ******

           WHEN OTHER
               MOVE URP-DISASTER TO CONVERTER-RESPONSE
               MOVE URP-CORRUPT-CLIENT-DATA TO CONVERTER-REASON
               MOVE CPEM-INVALID-CONV-FUNC-MSG TO WS-MSG-NUM
               MOVE CPEM-INVALID-CONV-FUNC-ERR TO WS-ERROR-MSG
               PERFORM 8000-LOG-ERROR
               THRU    8000-LOG-ERROR-EXIT
               EXEC CICS RETURN
               END-EXEC
           END-EVALUATE.

      ******
      *  Now we return.
      ******

           EXEC CICS RETURN
           END-EXEC.

       100-MAINLINE-EXIT.
           EXIT.

       200-PROCESS-ATTRIBUTES.

      *
      * If no input data then exit
      *
           IF ENCODE-INPUT-DATA-LEN = ZEROS
              SET WS-STATE-TOKEN-ERR TO TRUE
              MOVE URP-DISASTER TO CONVERTER-RESPONSE
              MOVE CPEM-NO-USER-DATA-MSG TO WS-MSG-NUM
              MOVE CPEM-NO-USER-DATA-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 200-PROCESS-ATTRIBUTES-EXIT
           END-IF.

           PERFORM 300-INIT
           THRU    300-INIT-EXIT.

      *
      * If State_Token not found in HTML then return
      *

           IF WS-STATE-TOKEN-ERR OR
              WS-GETMAIN-ERR
              SET ENCODE-DATA-PTR TO WS-ENCODE-SAVE-DATA-PTR
              GO TO 200-PROCESS-ATTRIBUTES-EXIT
           END-IF.

           MOVE 1 TO WS-ITEM.
           PERFORM 400-READ-TSQ
           THRU    400-READ-TSQ-EXIT.
      *
      * We will not have a TS queue if no RECEIVE MAP and
      * SEND MAP MAPONLY, so return.
      *
           IF WS-TSQ-READ-ERR
              SET ENCODE-DATA-PTR TO WS-ENCODE-SAVE-DATA-PTR
              GO TO 200-PROCESS-ATTRIBUTES-EXIT
           END-IF.
      *
      * If we have a RECEIVE MAP ADS and
      * if a SEND MAP DATAONLY without ERASE was issued
      * for the same mapset and map
      * then populate the SEND MAP ADS with data from
      * the RECEIVE MAP.
      *
           IF WS-RECV-ADS-FOUND AND
              BRXA-MAPSET = BRXAR-MAPSET AND
              ADSD-MAP-INDEX = ADSDR-MAP-INDEX AND
              BRXA-DATA-INDICATOR = BRXA-DATAONLY AND
              BRXA-ERASE-INDICATOR NOT = BRXA-ERASE
              PERFORM 4500-MERGE-RECV-ADS
              THRU    4500-MERGE-RECV-ADS-EXIT
              VARYING WS-FIELD-COUNT FROM 1 BY 1
              UNTIL   WS-FIELD-COUNT = ADSD-FIELD-COUNT
           END-IF.



      *
      * If we have a RECEIVE MAP ADS and
      * if a SEND MAP without ERASE was issued
      * for a different mapset or map
      * then generate the RECEIVE MAP and insert the SEND MAP as a
      * second HTML table using the PF key and NEXTTRANSID fields
      * from the RECEIVE MAP HTML template.
      *
           IF WS-RECV-ADS-FOUND AND
              (BRXA-MAPSET NOT = BRXAR-MAPSET OR
              ADSD-MAP-INDEX NOT = ADSDR-MAP-INDEX) AND
              BRXA-ERASE-INDICATOR NOT = BRXA-ERASE
              PERFORM 4600-BUILD-RECV-ADS
              THRU    4600-BUILD-RECV-ADS-EXIT
           END-IF.

      *
      * Read the SEND MAP HTML Template
      *
           MOVE BRXA-MAPSET TO WS-BRXA-MAPSET.
           MOVE ADSD-MAP-INDEX TO WS-ADSD-MAP-INDEX.
           PERFORM 600-READ-TEMPLATE
           THRU    600-READ-TEMPLATE-EXIT.

      *
      * If Template Read error then we can not
      * process, so return
      *
           IF WS-TEMPLATE-READ-ERR
              SET ENCODE-DATA-PTR TO WS-ENCODE-SAVE-DATA-PTR
              GO TO 200-PROCESS-ATTRIBUTES-EXIT
           END-IF.

      *
      * If we have a RECEIVE MAP ADS and
      * if a SEND MAP without ERASE was issued
      * for a different mapset or map
      * then we have already moved the HTML header, from the
      * RECEIVE MAP HTML template, to the HTML output area.
      * Else
      * we have a SEND MAP with ERASE
      * or a RECEIVE MAP followed by SEND MAP DATAONLY NOERASE
      *
           IF WS-RECV-ADS-FOUND AND
              (BRXA-MAPSET NOT = BRXAR-MAPSET OR
              ADSD-MAP-INDEX NOT = ADSDR-MAP-INDEX) AND
              BRXA-ERASE-INDICATOR NOT = BRXA-ERASE
              PERFORM 240-FORMAT-SENDOVERLAY
              THRU    240-FORMAT-SENDOVERLAY-EXIT
              IF WS-TABLE-ERR
                 SET ENCODE-DATA-PTR TO WS-ENCODE-SAVE-DATA-PTR
                 GO TO 200-PROCESS-ATTRIBUTES-EXIT
              END-IF
           ELSE
              PERFORM 260-FORMAT-SEND-ERASE
              THRU    260-FORMAT-SEND-ERASE-EXIT
              IF WS-TABLE-ERR
                 SET ENCODE-DATA-PTR TO WS-ENCODE-SAVE-DATA-PTR
                 GO TO 200-PROCESS-ATTRIBUTES-EXIT
              END-IF
           END-IF.

      *
      * Append the saved PF Key and NEXTTRANSID area.
      *
           IF WS-FORM-END
              SUBTRACT 1 FROM WS-EOF-IDX
              MOVE WS-END-OF-FORM(1:WS-EOF-IDX) TO
                   HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-EOF-IDX)
              ADD WS-EOF-IDX TO WS-HTML-OUT-IDX
           END-IF.
      *
      * Append the </body></html>
      * area before freeing the input area
      *
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
      *     MOVE '</form>' TO
      *          HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:7).
      *     ADD 7 TO WS-HTML-OUT-IDX.
      *     MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
      *     ADD 2 TO WS-HTML-OUT-IDX.
           MOVE '</body></html>' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:14).
           ADD 14 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           COMPUTE HTML-RESPONSE-LEN = WS-HTML-OUT-IDX + 3.
           COMPUTE WS-CONTENT-LENGTH =
                   WS-HTML-OUT-IDX - WS-HTTP-END-IDX.
           MOVE WS-CONTENT-LENGTH TO
                HTML-OUTPUT-AREA(WS-CONTENT-LENGTH-IDX:8).

      *
      * Check to make sure we have a new output
      * area before freeing the input area
      *
           IF HTML-RESPONSE-LEN = 0
              SET ENCODE-DATA-PTR TO WS-ENCODE-SAVE-DATA-PTR
              GO TO 200-PROCESS-ATTRIBUTES-EXIT
           END-IF.


      * Freemain input HTML after PTF UQ38137              11/19/00
      * Check if CICS TS V1.3 or above
            IF WS-TS-VERSION < 2 AND
               WS-TS-RELEASE > 2
      *
      * Now free the input HTML area and
      * point to the new one
      *
               EXEC CICS FREEMAIN
                         DATAPOINTER(WS-ENCODE-SAVE-DATA-PTR)
                         RESP(WS-RESP)
                         RESP2(WS-RESP2)
               END-EXEC

               IF WS-RESP NOT = DFHRESP(NORMAL)
                  MOVE CPEM-FREEMAIN-MSG TO WS-MSG-NUM
                  MOVE CPEM-FREEMAIN-ERR TO WS-CICS-ERROR-MSG
                  PERFORM 8800-EXEC-CICS-ERROR
                  THRU    8800-EXEC-CICS-ERROR-EXIT
               END-IF
            END-IF.

      * Check if envoked by Domino Webserver 05/23/99
               IF CSC-CWI
                  SET ENCODE-DATA-PTR TO WS-HTML-OUT-PTR
               ELSE
                  MOVE HTML-OUT-AREA TO HTML-INPUT-AREA
               END-IF.

       200-PROCESS-ATTRIBUTES-EXIT.
           EXIT.

       240-FORMAT-SENDOVERLAY.
      *
      * Format a RECEIVE MAP followed by a SEND MAP DATAONLY
      * for the same Mapset and Map
      *
      * If we have a RECEIVE MAP ADS and
      * if a SEND MAP without ERASE was issued
      * for a different mapset or map
      * then we have already moved the HTML header, from the
      * RECEIVE MAP HTML template, to the HTML output area.
      *
           MOVE '</table>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:8).
           ADD 8 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE 1 TO WS-HTML-TMPLT-IDX.
           PERFORM 4750-FIND-HTML-TABLE
           THRU    4750-FIND-HTML-TABLE-EXIT.
           MOVE HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN) TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN).
           ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX.
           ADD WS-MOVE-LEN TO WS-START-MOVE-IDX.
      *    MOVE '<table>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:7).
      *    ADD 7 TO WS-HTML-OUT-IDX.
      *    MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
      *    ADD 2 TO WS-HTML-OUT-IDX.
      *
      * Scan the HTML template and check the fields for
      * attribute overides from the application
      *
           MOVE 0 TO HTML-RESPONSE-LEN.
           SET WS-NOT-END-TABLE TO TRUE.
           PERFORM 500-HTML-SCAN
           THRU    500-HTML-SCAN-EXIT
           UNTIL   WS-TABLE-END OR
                   WS-TEMPLATE-ERR.

      *
      * If no template errors build the end of the template
      * (between end of table and end of form) for the PF Keys
      * and NEXTTRANSID area
      *
           IF WS-TEMPLATE-OK AND
              WS-EOF-NOT-BUILT
              PERFORM 550-BUILD-END-OF-FORM
              THRU    550-BUILD-END-OF-FORM-EXIT
              SET WS-EOF-BUILT TO TRUE
           END-IF.


      *
      * See if there are any more SEND MAPS to append
      *
           IF WS-TEMPLATE-OK
              PERFORM 430-TSQ-READNEXT
              THRU    430-TSQ-READNEXT-EXIT
           END-IF.
           IF WS-TEMPLATE-READ-OK AND
              WS-TEMPLATE-OK AND
              WS-TSQ-READ-OK
              IF BRXA-ERASE-INDICATOR NOT = BRXA-ERASE
                 GO TO 240-FORMAT-SENDOVERLAY
              END-IF
              IF BRXA-ERASE-INDICATOR = BRXA-ERASE
      *
      * We must format a new PF Key and NEXTTRANSID area
      * and hope the supplied bridge exit (DFHWBLT) is using
      * the correct form name (map name) that should match this
      * SEND MAP ERASE.
      * We must also re-position the HTML-OUT-AREA index and
      * overlay any previosly generated output maps
      *
                 MOVE WS-SAVE-HTML-OUT-IDX TO WS-HTML-OUT-IDX
      *           PERFORM 550-BUILD-END-OF-FORM
      *           THRU    550-BUILD-END-OF-FORM-EXIT
                 SET WS-EOF-NOT-BUILT TO TRUE
                 GO TO   240-FORMAT-SENDOVERLAY
              END-IF
           END-IF.

       240-FORMAT-SENDOVERLAY-EXIT.
           EXIT.

       260-FORMAT-SEND-ERASE.
      *
      * Format a SEND MAP ERASE
      *
           PERFORM 4700-COPY-HTML-HEADER
           THRU    4700-COPY-HTML-HEADER-EXIT.
           IF WS-TABLE-ERR
              GO TO 260-FORMAT-SEND-ERASE-EXIT
           END-IF.

       260-HEADER-ALREADY-BUILT.
      *
      * Scan the HTML template and check the fields for
      * attribute overides from the application
      *
           MOVE 0 TO HTML-RESPONSE-LEN.
           SET WS-NOT-END-TABLE TO TRUE.
           PERFORM 500-HTML-SCAN
           THRU    500-HTML-SCAN-EXIT
           UNTIL   WS-TABLE-END OR
                   WS-TEMPLATE-ERR.

      *
      * If no template errors build the end of the template
      * (between end of table and end of form) for the PF Keys
      * and NEXTTRANSID area
      *
           IF WS-TEMPLATE-OK AND
              WS-EOF-NOT-BUILT
              PERFORM 550-BUILD-END-OF-FORM
              THRU    550-BUILD-END-OF-FORM-EXIT
              SET WS-EOF-BUILT TO TRUE
           END-IF.


      *
      * See if there are any more SEND MAPS to append
      *
           IF WS-TEMPLATE-OK
              PERFORM 430-TSQ-READNEXT
              THRU    430-TSQ-READNEXT-EXIT
           END-IF.
           IF WS-TEMPLATE-READ-OK AND
              WS-TEMPLATE-OK AND
              WS-TSQ-READ-OK
              IF BRXA-ERASE-INDICATOR NOT = BRXA-ERASE
                 MOVE 1 TO WS-HTML-TMPLT-IDX
                 PERFORM 4750-FIND-HTML-TABLE
                 THRU    4750-FIND-HTML-TABLE-EXIT
                 MOVE HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                      TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
                 ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
                 ADD WS-MOVE-LEN TO WS-START-MOVE-IDX
      *          MOVE '<table>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:7)
      *          ADD 7 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
                 GO TO 260-HEADER-ALREADY-BUILT
              END-IF
              IF BRXA-ERASE-INDICATOR = BRXA-ERASE
      *
      * We must format a new PF Key and NEXTTRANSID area
      * and hope the supplied bridge exit (DFHWBLT) is using
      * the correct form name (map name) that should match this
      * SEND MAP ERASE.
      * We must also re-position the HTML-OUT-AREA index and
      * overlay any previosly generated output maps
      *
                 MOVE WS-HTML-IN-IDX TO WS-HTML-OUT-IDX
                 MOVE 1 TO WS-HTML-TMPLT-IDX
                 PERFORM 4750-FIND-HTML-TABLE
                 THRU    4750-FIND-HTML-TABLE-EXIT
                 MOVE HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                      TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
                 ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
                 ADD WS-MOVE-LEN TO WS-START-MOVE-IDX
      *          MOVE '<table>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:7)
      *          ADD 7 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
      *           PERFORM 550-BUILD-END-OF-FORM
      *           THRU    550-BUILD-END-OF-FORM-EXIT
                 SET WS-EOF-NOT-BUILT TO TRUE
                 GO TO   260-FORMAT-SEND-ERASE
              END-IF
           END-IF.

       260-FORMAT-SEND-ERASE-EXIT.
           EXIT.

       300-INIT.

      *****************************************************************
      * Get Transaction Server Version                                *
      *****************************************************************
           EXEC CICS INQUIRE SYSTEM
                             CICSTSLEVEL(WS-TS-LEVEL)
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           MOVE LOW-VALUES TO DFHWBTL-ARG.
           MOVE CSC-CONVERTER-PGM TO WS-MSG-PGM-NUM.
           SET WS-ENCODE-SAVE-DATA-PTR TO ENCODE-DATA-PTR.
           SET WS-ENCODE-DATA-PTR TO ENCODE-DATA-PTR.
           SET ADDRESS OF HTML-INPUT-AREA TO WS-ENCODE-DATA-PTR.

           MOVE URP-OK TO CONVERTER-RESPONSE.

      *
      * Now getmain storage for the new HTML output area.
      * Make it long enough to insert extra HTML
      *
           PERFORM 4650-GETMAIN-HTML-OUTPUT
           THRU    4650-GETMAIN-HTML-OUTPUT-EXIT.

           IF WS-GETMAIN-ERR
              GO TO 300-INIT-EXIT
           END-IF.

      *
      * Move input HTML to output area in case we exit
      * before generating output.
      *
      *    MOVE HTML-INPUT-AREA(1:ENCODE-INPUT-DATA-LEN) TO
      *         HTML-OUTPUT-AREA(1:ENCODE-INPUT-DATA-LEN).
      *    MOVE ENCODE-INPUT-DATA-LEN TO HTML-RESPONSE-LEN.


      *
      * Find the State Token
      * that is used for the TSQ name
      *

           MOVE 1 TO WS-HTML-IN-IDX.
      * Fix search indexes for AT END check                10/13/99
           SET HTML-IN-IDX TO WS-HTML-IN-IDX.
           SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
                       SET WS-STATE-TOKEN-ERR TO TRUE
      *    Log Token Missing   03/29/00
                       MOVE 1 TO CPEM-STATE-TOKEN-ERRID
                       MOVE CPEM-STATE-TOKEN-MSG TO WS-MSG-NUM
                       MOVE CPEM-STATE-TOKEN-ERR TO WS-ERROR-MSG
                       PERFORM 8000-LOG-ERROR
                       THRU    8000-LOG-ERROR-EXIT
                       GO TO 300-INIT-EXIT
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 20
                       SET WS-STATE-TOKEN-ERR TO TRUE
      *    Log Token Missing   03/29/00
                       MOVE 2 TO CPEM-STATE-TOKEN-ERRID
                       MOVE CPEM-STATE-TOKEN-MSG TO WS-MSG-NUM
                       MOVE CPEM-STATE-TOKEN-ERR TO WS-ERROR-MSG
                       PERFORM 8000-LOG-ERROR
                       THRU    8000-LOG-ERROR-EXIT
                       GO TO 300-INIT-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:15) =
                            'DFH_STATE_TOKEN'
      *     Find value= before moving TSQUEUE name    08/02/99
                       MOVE HTML-INPUT-AREA(WS-HTML-IN-IDX + 24:8) TO
                            WS-TSQUEUE-NAME
           END-SEARCH.

      *     This search looks for the value= associated with
      *     DFH_STATE_TOKEN
      *     Find value= before moving TSQUEUE name    08/02/99
           SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
                       SET WS-STATE-TOKEN-ERR TO TRUE
      *    Log Token Missing   03/29/00
                       MOVE 4 TO CPEM-STATE-TOKEN-ERRID
                       MOVE CPEM-STATE-TOKEN-MSG TO WS-MSG-NUM
                       MOVE CPEM-STATE-TOKEN-ERR TO WS-ERROR-MSG
                       PERFORM 8000-LOG-ERROR
                       THRU    8000-LOG-ERROR-EXIT
                       GO TO 300-INIT-EXIT
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 20
                       SET WS-STATE-TOKEN-ERR TO TRUE
      *    Log Token Missing   03/29/00
                       MOVE 5 TO CPEM-STATE-TOKEN-ERRID
                       MOVE CPEM-STATE-TOKEN-MSG TO WS-MSG-NUM
                       MOVE CPEM-STATE-TOKEN-ERR TO WS-ERROR-MSG
                       PERFORM 8000-LOG-ERROR
                       THRU    8000-LOG-ERROR-EXIT
                       GO TO 300-INIT-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:6) =
                            '<input'
                       SET WS-STATE-TOKEN-ERR TO TRUE
      *    Log Token Missing   03/29/00
                       MOVE 6 TO CPEM-STATE-TOKEN-ERRID
                       MOVE CPEM-STATE-TOKEN-MSG TO WS-MSG-NUM
                       MOVE CPEM-STATE-TOKEN-ERR TO WS-ERROR-MSG
                       PERFORM 8000-LOG-ERROR
                       THRU    8000-LOG-ERROR-EXIT
                       GO TO 300-INIT-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:7) =
                            'value="'
                       MOVE HTML-INPUT-AREA(WS-HTML-IN-IDX + 7:8) TO
                            WS-TSQUEUE-NAME
           END-SEARCH.


      *
      * Now getmain storage for the HTML Template area.
      *
           MOVE 32767 TO WBTL-TEMPLATE-BUFFER-LEN.
           MOVE WBTL-TEMPLATE-BUFFER-LEN TO WS-HTML-TMPLT-LEN.
           EXEC CICS GETMAIN SET(WBTL-TEMPLATE-BUFFER-PTR)
                             FLENGTH(WBTL-TEMPLATE-BUFFER-LEN)
                             NOSUSPEND
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-GETMAIN-ERR TO TRUE
              MOVE CPEM-GETMAIN-MSG TO WS-MSG-NUM
              MOVE CPEM-GETMAIN-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 300-INIT-EXIT
           END-IF.

       300-INIT-EXIT.
           EXIT.

       400-READ-TSQ.

      *
      * The application program issued a SEND MAP and the
      * BRXA-BMS-COMMAND area, symbolic map, now called the
      * Application Data Structure(ADS), and the ADS Descriptor(ADSD)
      * were written to TS by the thin bridge exit, using the
      * State Token as the Queue name.
      * If the application program issued a RECEIVE MAP the
      * BRXA-BMS-COMMAND area, the ADS, and the ADSD that
      * was generated by the bridge exit for the application program
      * is also written to this queue. It will be used to restore
      * screen data if the application did a SEND MAP DATAONLY without
      * specifying ERASE.
      * Read these TSQ records here and then delete the queue.
      *

      *    MOVE ENCODE-USER-TOKEN TO WS-TSQUEUE-NAME.

      *
      * Now getmain storage for the BRXAR-BMS-COMMAND area.
      *
           EXEC CICS GETMAIN SET(WS-BMS-COMMANDR-PTR)
                             FLENGTH(LENGTH OF BRXAR-BMS-COMMAND)
                             NOSUSPEND
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-TSQ-READ-ERR TO TRUE
              SET WS-GETMAIN-ERR TO TRUE
              MOVE CPEM-GETMAIN-MSG TO WS-MSG-NUM
              MOVE CPEM-GETMAIN-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           MOVE LENGTH OF BRXAR-BMS-COMMAND TO WS-TSQUEUE-LENGTH.
           MOVE 1 TO WS-ITEM.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                              ITEM(WS-ITEM)
                              SET(WS-TSQUEUE-PTR)
                              LENGTH(WS-TSQUEUE-LENGTH)
                              RESP(WS-RESP)
                              RESP2(WS-RESP2)
           END-EXEC.


           IF WS-RESP NOT = DFHRESP(NORMAL)
      * We will not have a TS queue if no RECEIVE MAP and
      * SEND MAP MAPONLY.
      *        MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
      *        MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
      *        PERFORM 8800-EXEC-CICS-ERROR
      *        THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           SET ADDRESS OF BRXAR-COMMAND-COMMON TO WS-BMS-COMMANDR-PTR.
           SET ADDRESS OF BRXAR-BMS-COMMAND TO WS-BMS-COMMANDR-PTR.
           SET ADDRESS OF BRXA-COMMAND-COMMON TO WS-BMS-COMMANDR-PTR.
           SET ADDRESS OF BRXA-BMS-COMMAND TO WS-BMS-COMMANDR-PTR.
           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.

      * Insure correct BRXA-BMS-COMMAND length 07/31/01
           MOVE WS-TSQUEUE-AREA TO
                BRXAR-BMS-COMMAND(1:WS-TSQUEUE-LENGTH).
      *    MOVE WS-TSQUEUE-AREA TO BRXAR-BMS-COMMAND.

      * CHECK TS VERSION 06/03/99
           IF WS-TS-VERSION < 2 AND
              WS-TS-RELEASE < 3
              MOVE BRXAR-MAPSET-TS12 TO BRXAR-MAPSET
           ELSE
              MOVE BRXAR-MAPSET-TS13 TO BRXAR-MAPSET
           END-IF.
      *
      * Check for BRXA-EYECATCHER to insure we have a valid record.
      *
           IF BRXAR-COMMAND-AREA-EYECATCHER NOT = BRXA-COMMAND-AREA-EYE
              SET WS-TSQ-READ-ERR TO TRUE
              MOVE 'RECV' TO CPEM-BRXA-CMD-TYPE
              MOVE CPEM-BRXA-CMD-EYE-MSG TO WS-MSG-NUM
              MOVE CPEM-BRXA-CMD-EYE-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           IF CSC-TRACE-LEVEL > 0
              PERFORM 420-COMMAND-MSG
              THRU    420-COMMAND-MSG-EXIT
           END-IF.

      *
      * Check if this is for a RECEIVE MAP or SEND MAP.
      * If SEND MAP then skip the ADS and ADSD for the
      * RECEIVE MAP.
      *
           IF BRXAR-COMMAND-CODE = BRXA-SEND-MAP
              SET WS-BMS-COMMAND-PTR TO WS-BMS-COMMANDR-PTR
              SET ADDRESS OF BRXA-COMMAND-COMMON TO WS-BMS-COMMAND-PTR
              SET ADDRESS OF BRXA-BMS-COMMAND TO WS-BMS-COMMAND-PTR
              SET WS-NO-RECV-ADS TO TRUE
              GO TO 400-SEND-MAP
           END-IF.

      *
      * Now getmain storage for the ADS RECEIVE area.
      *

      * Fix abend on move to short area  01/17/01
           MOVE 32000 TO WS-RECV-ADS-LENGTH.

           EXEC CICS GETMAIN SET(WS-ADSR-PTR)
                             FLENGTH(WS-RECV-ADS-LENGTH)
                             NOSUSPEND
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-TSQ-READ-ERR TO TRUE
              SET WS-GETMAIN-ERR TO TRUE
              MOVE CPEM-GETMAIN-MSG TO WS-MSG-NUM
              MOVE CPEM-GETMAIN-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.


           ADD 1 TO WS-ITEM.
           MOVE 32000 TO WS-TSQUEUE-LENGTH.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                                 ITEM(WS-ITEM)
                                 SET(WS-TSQUEUE-PTR)
                                 LENGTH(WS-TSQUEUE-LENGTH)
                                 RESP(WS-RESP)
                                 RESP2(WS-RESP2)
           END-EXEC.

           MOVE WS-TSQUEUE-LENGTH TO WS-RECV-ADS-LENGTH.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
              MOVE WS-ITEM TO CPEM-READ-ADSQ-ITEM
              MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           SET ADDRESS OF WS-RECV-ADS-AREA TO WS-ADSR-PTR.
           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.
           MOVE WS-TSQUEUE-AREA TO WS-RECV-ADS-AREA.

      *
      * Now getmain storage for the ADSDR area.
      *

      * Fix abend on move to short area  01/17/01
           MOVE 32000 TO WS-ADSDR-LENGTH.

           EXEC CICS GETMAIN SET(WS-ADSDR-PTR)
                             FLENGTH(WS-ADSDR-LENGTH)
                             NOSUSPEND
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-TSQ-READ-ERR TO TRUE
              SET WS-GETMAIN-ERR TO TRUE
              MOVE CPEM-GETMAIN-MSG TO WS-MSG-NUM
              MOVE CPEM-GETMAIN-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           ADD 1 TO WS-ITEM.
           MOVE 32000 TO WS-TSQUEUE-LENGTH.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                               ITEM(WS-ITEM)
                               SET(WS-TSQUEUE-PTR)
                               LENGTH(WS-TSQUEUE-LENGTH)
                               RESP(WS-RESP)
                               RESP2(WS-RESP2)
           END-EXEC.

           MOVE WS-TSQUEUE-LENGTH TO WS-ADSDR-LENGTH.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
              MOVE WS-ITEM TO CPEM-READ-ADSQ-ITEM
              MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           SET ADDRESS OF ADSR-DESCRIPTOR TO WS-ADSDR-PTR.
           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.
           MOVE WS-TSQUEUE-AREA TO
                ADSR-DESCRIPTOR(1:WS-TSQUEUE-LENGTH).
      *    Compute address of ADSDR-FIRST-FIELD to avoid problems if
      *    changes are made to the DFHBRARO copybook. 06/04/99
           SET WS-ADSDR-FIRST-FIELD-PTR TO WS-ADSDR-PTR.
           COMPUTE WS-FIRST-FIELD-OFFSET =
               LENGTH OF ADS-DESCRIPTOR - 1.
           ADD WS-FIRST-FIELD-OFFSET TO WS-ADSDR-FIRST-FIELD-IDX.
           SET ADDRESS OF ADSR-FIELD-DESCRIPTOR TO
               WS-ADSDR-FIRST-FIELD-PTR.
      *    SET ADDRESS OF ADSR-FIELD-DESCRIPTOR TO
      *        ADDRESS OF ADSDR-FIRST-FIELD.


      *
      * Check for BRXA-EYECATCHER to insure we have a valid record.
      *
           IF ADSDR-EYECATCHER NOT = 'ADSD'
              SET WS-TSQ-READ-ERR TO TRUE
              MOVE 'RECV' TO CPEM-BRXA-ADSD-TYPE
              MOVE CPEM-BRXA-ADSD-MSG TO WS-MSG-NUM
              MOVE CPEM-BRXA-ADSD-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.




      *
      * Done with the RECEIVE MAP, now for the SEND MAP.
      *

      *
      * Now getmain storage for the BRXA-BMS-COMMAND area.
      *
           EXEC CICS GETMAIN SET(WS-BMS-COMMAND-PTR)
                             FLENGTH(LENGTH OF BRXA-BMS-COMMAND)
                             NOSUSPEND
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-TSQ-READ-ERR TO TRUE
              SET WS-GETMAIN-ERR TO TRUE
              MOVE CPEM-GETMAIN-MSG TO WS-MSG-NUM
              MOVE CPEM-GETMAIN-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           MOVE LENGTH OF BRXA-BMS-COMMAND TO WS-TSQUEUE-LENGTH.
           ADD 1 TO WS-ITEM.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                              ITEM(WS-ITEM)
                              SET(WS-TSQUEUE-PTR)
                              LENGTH(WS-TSQUEUE-LENGTH)
                              RESP(WS-RESP)
                              RESP2(WS-RESP2)
           END-EXEC.


           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
              MOVE WS-ITEM TO CPEM-READ-ADSQ-ITEM
              MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           SET ADDRESS OF BRXA-COMMAND-COMMON TO WS-BMS-COMMAND-PTR.
           SET ADDRESS OF BRXA-BMS-COMMAND TO WS-BMS-COMMAND-PTR.
           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.
      * Insure correct BRXA-BMS-COMMAND length 07/31/01
           MOVE WS-TSQUEUE-AREA TO
                BRXA-BMS-COMMAND(1:WS-TSQUEUE-LENGTH).
      *    MOVE WS-TSQUEUE-AREA TO BRXA-BMS-COMMAND.

      *
      * Check for BRXA-EYECATCHER to insure we have a valid record.
      *
           IF BRXA-COMMAND-AREA-EYECATCHER NOT = BRXA-COMMAND-AREA-EYE
              SET WS-TSQ-READ-ERR TO TRUE
              MOVE 'SEND' TO CPEM-BRXA-CMD-TYPE
              MOVE CPEM-BRXA-CMD-EYE-MSG TO WS-MSG-NUM
              MOVE CPEM-BRXA-CMD-EYE-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           IF CSC-TRACE-LEVEL > 0
              PERFORM 420-COMMAND-MSG
              THRU    420-COMMAND-MSG-EXIT
           END-IF.

       400-SEND-MAP.

      *
      * Now getmain storage for the ADS area.
      *

      * Fix abend on move to short area  01/17/01
           MOVE 32000 TO WS-ADS-LENGTH.

           EXEC CICS GETMAIN SET(WS-ADS-PTR)
                             FLENGTH(WS-ADS-LENGTH)
                             NOSUSPEND
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-TSQ-READ-ERR TO TRUE
              SET WS-GETMAIN-ERR TO TRUE
              MOVE CPEM-GETMAIN-MSG TO WS-MSG-NUM
              MOVE CPEM-GETMAIN-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.


           ADD 1 TO WS-ITEM.
           MOVE 32000 TO WS-TSQUEUE-LENGTH.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                               ITEM(WS-ITEM)
                               SET(WS-TSQUEUE-PTR)
                               LENGTH(WS-TSQUEUE-LENGTH)
                               RESP(WS-RESP)
                               RESP2(WS-RESP2)
           END-EXEC.

           MOVE WS-TSQUEUE-LENGTH TO WS-ADS-LENGTH.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
              MOVE WS-ITEM TO CPEM-READ-ADSQ-ITEM
              MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           SET ADDRESS OF WS-ADS-AREA TO WS-ADS-PTR.
           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.
           MOVE WS-TSQUEUE-AREA TO WS-ADS-AREA.

      *
      * Now getmain storage for the ADSD area.
      *

      * Fix abend on move to short area  01/17/01
           MOVE 32000 TO WS-ADSD-LENGTH.

           EXEC CICS GETMAIN SET(WS-ADSD-PTR)
                             FLENGTH(WS-ADSD-LENGTH)
                             NOSUSPEND
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-TSQ-READ-ERR TO TRUE
              SET WS-GETMAIN-ERR TO TRUE
              MOVE CPEM-GETMAIN-MSG TO WS-MSG-NUM
              MOVE CPEM-GETMAIN-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.

           ADD 1 TO WS-ITEM.
           MOVE 32000 TO WS-TSQUEUE-LENGTH.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                               ITEM(WS-ITEM)
                               SET(WS-TSQUEUE-PTR)
                               LENGTH(WS-TSQUEUE-LENGTH)
                               RESP(WS-RESP)
                               RESP2(WS-RESP2)
           END-EXEC.

           MOVE WS-TSQUEUE-LENGTH TO WS-ADSD-LENGTH.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
              MOVE WS-ITEM TO CPEM-READ-ADSQ-ITEM
              MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 400-READ-TSQ-EXIT
           END-IF.


           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.
      * Fix abend on move to ADS-DESCRIPTOR  02/08/01
           SET ADDRESS OF WS-ADS-DESCRIPTOR TO WS-ADSD-PTR.
           MOVE WS-TSQUEUE-AREA TO
                WS-ADS-DESCRIPTOR(1:WS-TSQUEUE-LENGTH).
      *    MOVE WS-TSQUEUE-AREA TO ADS-DESCRIPTOR(1:WS-TSQUEUE-LENGTH).
           SET ADDRESS OF ADS-DESCRIPTOR TO WS-ADSD-PTR.
           SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
               ADDRESS OF ADSD-FIRST-FIELD.


      *
      * Check for BRXA-EYECATCHER to insure we have a valid record.
      *
           IF ADSD-EYECATCHER NOT = 'ADSD'
              SET WS-TSQ-READ-ERR TO TRUE
              MOVE 'SEND' TO CPEM-BRXA-ADSD-TYPE
              MOVE CPEM-BRXA-ADSD-MSG TO WS-MSG-NUM
              MOVE CPEM-BRXA-ADSD-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 400-READ-TSQ-EXIT
           END-IF.

       400-READ-TSQ-EXIT.
           EXIT.

       420-COMMAND-MSG.
      *
      * Format BRXA Command fields
      *

           MOVE SPACES TO CPEM-BRXAC-CMD.
           EVALUATE BRXA-COMMAND-CODE
             WHEN BRXA-RECEIVE-MAP
                  MOVE 'RECV MAP' TO CPEM-BRXAC-CMD
             WHEN BRXA-SEND-MAP
                  MOVE 'SEND MAP' TO CPEM-BRXAC-CMD
             WHEN BRXA-SEND-TEXT
                  MOVE 'SEND TEXT' TO CPEM-BRXAC-CMD
             WHEN BRXA-SEND-CONTROL
                  MOVE 'SEND CNTL' TO CPEM-BRXAC-CMD
             WHEN OTHER
                  MOVE BRXA-COMMAND-CODE TO CPEM-BRXAC-CMD
           END-EVALUATE.

           MOVE SPACES TO CPEM-BRXAC-ERASE.
           EVALUATE BRXA-ERASE-INDICATOR
             WHEN BRXA-ERASE
                  MOVE 'ERASE' TO CPEM-BRXAC-ERASE
             WHEN BRXA-ERASE-ALTERNATE
                  MOVE 'ERASE ALT' TO CPEM-BRXAC-ERASE
             WHEN BRXA-ERASE-DEFAULT
                  MOVE 'ERASE DEF' TO CPEM-BRXAC-ERASE
             WHEN OTHER
                  MOVE BRXA-ERASE-INDICATOR TO CPEM-BRXAC-ERASE
           END-EVALUATE.

           MOVE BRXA-LAST-INDICATOR TO CPEM-BRXAC-LAST.
           MOVE BRXA-WAIT-INDICATOR TO CPEM-BRXAC-WAIT.
           MOVE BRXA-MAPSET TO CPEM-BRXAC-MAPS.
           MOVE BRXA-MAP TO CPEM-BRXAC-MAP.
           MOVE BRXA-CURSOR TO CPEM-BRXAC-CURSOR.

           EVALUATE  BRXA-DATA-INDICATOR
             WHEN BRXA-DATAONLY
                  MOVE 'DATAONLY' TO CPEM-BRXAC-DATA
             WHEN BRXA-MAPONLY
                  MOVE 'MAPONLY' TO CPEM-BRXAC-DATA
             WHEN BRXA-NEITHER
                  MOVE 'NEITHER' TO CPEM-BRXAC-DATA
             WHEN OTHER
                  MOVE BRXA-DATA-INDICATOR TO CPEM-BRXAC-DATA
           END-EVALUATE.

           MOVE BRXA-FRSET-INDICATOR TO CPEM-BRXAC-FRSET.
           MOVE CPEM-BRXA-CMD-FIELDS-MSG TO WS-MSG-NUM.
           MOVE CPEM-BRXA-CMD-FIELDS-ERR TO WS-ERROR-MSG.

           PERFORM 8000-LOG-ERROR
           THRU    8000-LOG-ERROR-EXIT.

       420-COMMAND-MSG-EXIT.
           EXIT.

       430-TSQ-READNEXT.
      *
      * Read any additional SEND MAP triplets of
      * Command, ADS, and ADSD
      *

           MOVE LENGTH OF BRXA-BMS-COMMAND TO WS-TSQUEUE-LENGTH.
           ADD 1 TO WS-ITEM.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                              ITEM(WS-ITEM)
                              SET(WS-TSQUEUE-PTR)
                              LENGTH(WS-TSQUEUE-LENGTH)
                              RESP(WS-RESP)
                              RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP = DFHRESP(ITEMERR)
      * We will have a TS queue ITEMERR if no additional
      * SEND MAP records are present.
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 430-TSQ-READNEXT-EXIT
           END-IF.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
              MOVE WS-ITEM TO CPEM-READ-ADSQ-ITEM
              MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 430-TSQ-READNEXT-EXIT
           END-IF.

           SET ADDRESS OF BRXA-COMMAND-COMMON TO WS-BMS-COMMAND-PTR.
           SET ADDRESS OF BRXA-BMS-COMMAND TO WS-BMS-COMMAND-PTR.
           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.
      * Insure correct BRXA-BMS-COMMAND length 07/31/01
           MOVE WS-TSQUEUE-AREA TO
                BRXA-BMS-COMMAND(1:WS-TSQUEUE-LENGTH).
      *    MOVE WS-TSQUEUE-AREA TO BRXA-BMS-COMMAND.

      *
      * Check for BRXA-EYECATCHER to insure we have a valid record.
      *
           IF BRXA-COMMAND-AREA-EYECATCHER NOT = BRXA-COMMAND-AREA-EYE
              SET WS-TSQ-READ-ERR TO TRUE
              MOVE 'SEND' TO CPEM-BRXA-CMD-TYPE
              MOVE CPEM-BRXA-CMD-EYE-MSG TO WS-MSG-NUM
              MOVE CPEM-BRXA-CMD-EYE-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 430-TSQ-READNEXT-EXIT
           END-IF.

           IF CSC-TRACE-LEVEL > 0
              PERFORM 420-COMMAND-MSG
              THRU    420-COMMAND-MSG-EXIT
           END-IF.

           ADD 1 TO WS-ITEM.
           MOVE 32000 TO WS-TSQUEUE-LENGTH.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                               ITEM(WS-ITEM)
                               SET(WS-TSQUEUE-PTR)
                               LENGTH(WS-TSQUEUE-LENGTH)
                               RESP(WS-RESP)
                               RESP2(WS-RESP2)
           END-EXEC.

           MOVE WS-TSQUEUE-LENGTH TO WS-ADS-LENGTH.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
              MOVE WS-ITEM TO CPEM-READ-ADSQ-ITEM
              MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 430-TSQ-READNEXT-EXIT
           END-IF.

           SET ADDRESS OF WS-ADS-AREA TO WS-ADS-PTR.
           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.
           MOVE WS-TSQUEUE-AREA TO WS-ADS-AREA.

           ADD 1 TO WS-ITEM.
           MOVE 32000 TO WS-TSQUEUE-LENGTH.

           EXEC CICS READQ TS QUEUE(WS-TSQUEUE-NAME)
                               ITEM(WS-ITEM)
                               SET(WS-TSQUEUE-PTR)
                               LENGTH(WS-TSQUEUE-LENGTH)
                               RESP(WS-RESP)
                               RESP2(WS-RESP2)
           END-EXEC.

           MOVE WS-TSQUEUE-LENGTH TO WS-ADSD-LENGTH.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE CPEM-READ-ADSQ-MSG TO WS-MSG-NUM
              MOVE WS-ITEM TO CPEM-READ-ADSQ-ITEM
              MOVE CPEM-READ-ADSQ-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              SET WS-TSQ-READ-ERR TO TRUE
              GO TO 430-TSQ-READNEXT-EXIT
           END-IF.

           SET ADDRESS OF ADS-DESCRIPTOR TO WS-ADSD-PTR.
           SET ADDRESS OF WS-TSQUEUE-AREA TO WS-TSQUEUE-PTR.
      * Fix truncated ADSD on subsequent SEND MAP 10/22/99
      *    MOVE WS-TSQUEUE-AREA TO ADS-DESCRIPTOR.
           MOVE WS-TSQUEUE-AREA TO ADS-DESCRIPTOR(1:WS-TSQUEUE-LENGTH).
           SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
               ADDRESS OF ADSD-FIRST-FIELD.


      *
      * Check for BRXA-EYECATCHER to insure we have a valid record.
      *
           IF ADSD-EYECATCHER NOT = 'ADSD'
              SET WS-TSQ-READ-ERR TO TRUE
              MOVE 'SEND' TO CPEM-BRXA-ADSD-TYPE
              MOVE CPEM-BRXA-ADSD-MSG TO WS-MSG-NUM
              MOVE CPEM-BRXA-ADSD-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 430-TSQ-READNEXT-EXIT
           END-IF.

      *
      * Read the SEND MAP HTML Template
      *
           MOVE BRXA-MAPSET TO WS-BRXA-MAPSET.
           MOVE ADSD-MAP-INDEX TO WS-ADSD-MAP-INDEX.
           PERFORM 600-READ-TEMPLATE
           THRU    600-READ-TEMPLATE-EXIT.

      *
      * If Template Read error then we can not
      * process, so return
      *

           IF WS-TEMPLATE-READ-ERR
              GO TO 430-TSQ-READNEXT-EXIT
           END-IF.


       430-TSQ-READNEXT-EXIT.
           EXIT.

       500-HTML-SCAN.
      *
      * Indicate no symbol or name found.
      *
           SET WS-SYMBOL-MISSING TO TRUE.
           SET WS-NAME-MISSING TO TRUE.

      *
      * Fix multiple symbols (occurs) between <td's 01/07/00
      *
           SET WS-MOVE-TD-LINE TO TRUE.
      *
      * Find begining of next field in the HTML template
      *
           SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-HTML-TMPLT-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 10 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN WS-HTML-TMPLT-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-HTML-TMPLT-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 11 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:3) =
                     '<td'
                     MOVE WS-HTML-TMPLT-IDX TO WS-TD-START-IDX
                     ADD 3 TO WS-HTML-TMPLT-IDX
                     MOVE WS-HTML-TMPLT-IDX TO WS-SYMBOL-IDX
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:7) =
                     '</table' AND
                     WS-HTML-TMPLT-IDX = WS-LAST-TABLE-IDX
                     SET WS-TABLE-END TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
           END-SEARCH.
      *
      * Move everything to HTML output up to <td
      *
           COMPUTE WS-MOVE-LEN = WS-HTML-TMPLT-IDX -
                   WS-START-MOVE-IDX - 3.
      * Fix potential storage violation 11/19/99
      *    IF WS-MOVE-LEN NOT = 0
           IF WS-MOVE-LEN NOT > 0
              COMPUTE WS-START-MOVE-IDX = WS-HTML-TMPLT-IDX - 3
      *       MOVE WS-HTML-TMPLT-IDX TO WS-START-MOVE-IDX
           ELSE
              MOVE HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                   TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
              ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
              ADD WS-MOVE-LEN TO WS-START-MOVE-IDX
           END-IF.
      *
      * Find end of <td line. We may need to use this line later
      * if the BMS field was defined with the OCCURS parameter
      * and the HTML template did not insert <td lines between
      * the elements.
      *
           SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-HTML-TMPLT-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 20 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN WS-HTML-TMPLT-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-HTML-TMPLT-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 21 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:2) =
                     x'0D25'
                     ADD 2 TO WS-HTML-TMPLT-IDX
                     MOVE WS-HTML-TMPLT-IDX TO WS-TD-END-IDX
           END-SEARCH.

      *
      *    If a DFHWBOUT macro was used to insert a <!--CnvName for
      *    an initial value then it also inserted a <td line
      *    immediately before which throws off the cell spacing.
      *    So, do not copy the extra <td or the <!--CnvName line.
      *               06/08/99
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:13) =
              '<!--CnvName="'
              MOVE WS-HTML-TMPLT-IDX TO WS-CNVNAME-END-IDX
              SET HTML-TMPLT-IDX TO WS-CNVNAME-END-IDX
              SEARCH HTML-TEMPLATE-CHAR VARYING WS-CNVNAME-END-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 22 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN WS-CNVNAME-END-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-HTML-TMPLT-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 23 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:2) =
                     x'0D25'
                     ADD 2 TO WS-CNVNAME-END-IDX
                     IF HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:3) =
                        '<td'
                        MOVE WS-CNVNAME-END-IDX TO WS-START-MOVE-IDX
                        MOVE WS-CNVNAME-END-IDX TO WS-HTML-TMPLT-IDX
                        GO TO 500-HTML-SCAN
                     END-IF
              END-SEARCH

           END-IF.

           MOVE SPACES TO WS-FIELD-NAME.

      *
      * Find the 1st character of the symbol for this field
      *

           SET HTML-TMPLT-IDX TO WS-SYMBOL-IDX.
      * Support HTML Special Characters 09/08/99
       500-SYMBOL-SEARCH.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-SYMBOL-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 30 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN WS-SYMBOL-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-SYMBOL-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 31 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:1) = '&'
      * Support HTML Special Characters 09/08/99
                     PERFORM 4800-FIND-HTML-SPECIAL
                     THRU    4800-FIND-HTML-SPECIAL-EXIT
                     IF WS-HTML-SPECIAL-FOUND
                        ADD 1 TO WS-SYMBOL-IDX
                        GO TO 500-SYMBOL-SEARCH
                     ELSE
                        ADD 1 TO WS-SYMBOL-IDX
                        MOVE WS-SYMBOL-IDX TO WS-SYMBOL-END-IDX
                        SET WS-SYMBOL-FOUND TO TRUE
                     END-IF
      * Added for (UNPROT,DRK) generating type="password" 06/05/99
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:6) = 'name="'
                     ADD 6 TO WS-SYMBOL-IDX
                     MOVE WS-SYMBOL-IDX TO WS-NAME-IDX
                     MOVE WS-NAME-IDX TO WS-NAME-END-IDX
                     SET WS-NAME-FOUND TO TRUE
      * Fix (UNPROT,DRK) generating type="password" 09/08/99
      *              CONTINUE
                     GO TO 500-SYMBOL-SEARCH
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:3) = '<td'
      * Added for (UNPROT,DRK) generating type="password" 06/05/99
                     IF WS-NAME-MISSING
                        GO TO 500-HTML-SCAN
                     END-IF
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:7) = '</table'
      * Added for (UNPROT,DRK) generating type="password" 06/05/99
                     IF WS-NAME-MISSING AND
                        WS-SYMBOL-IDX = WS-LAST-TABLE-IDX
                        SET WS-TABLE-END TO TRUE
                        GO TO 500-HTML-SCAN-EXIT
                     END-IF
                     IF WS-NAME-MISSING
                        GO TO 500-HTML-SCAN
                     END-IF
                  END-SEARCH.

      *
      * The only time we should have a name without a symbol is for
      * an (UNPROT,DRK) which generates a type="password".
      * So, if a symbol has been found then we do not need to do any
      * special processing for the name, so set it off.
      * 06/05/99
      *
                  IF WS-SYMBOL-FOUND
                     SET WS-NAME-MISSING TO TRUE
                  END-IF.
      *
      * Find the last character of the symbol for this field
      *
           IF WS-SYMBOL-FOUND
              SET WS-NO-OCCURS TO TRUE
              MOVE ZEROS TO WS-OCCURS-ELEMENT
              SET HTML-TMPLT-IDX TO WS-SYMBOL-END-IDX
              SEARCH HTML-TEMPLATE-CHAR VARYING WS-SYMBOL-END-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 40 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN WS-SYMBOL-END-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-SYMBOL-END-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 41 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = ';'
                     SUBTRACT WS-SYMBOL-IDX FROM WS-SYMBOL-END-IDX
                              GIVING WS-MOVE-LEN
                     MOVE HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:WS-MOVE-LEN)
                          TO WS-FIELD-NAME
      * Save last field name 10/19/99
                     MOVE WS-FIELD-NAME TO WS-SAVE-FIELD-NAME
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = '<'
                     GO TO 500-HTML-SCAN
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = x'0D'
                     GO TO 500-HTML-SCAN
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = '.'
                     SUBTRACT WS-SYMBOL-IDX FROM WS-SYMBOL-END-IDX
                              GIVING WS-MOVE-LEN
                     MOVE HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:WS-MOVE-LEN)
                          TO WS-FIELD-NAME
      * Save last field name 10/19/99
                     MOVE WS-FIELD-NAME TO WS-SAVE-FIELD-NAME
                     ADD 1 TO WS-SYMBOL-END-IDX
                     MOVE WS-SYMBOL-END-IDX TO WS-PERIOD-IDX
                     SET WS-FOUND-OCCURS TO TRUE
              END-SEARCH
           END-IF.

      *
      * If found occurs element then get element number
      *
           IF WS-FOUND-OCCURS
           SET HTML-TMPLT-IDX TO WS-SYMBOL-END-IDX
              SEARCH HTML-TEMPLATE-CHAR VARYING WS-SYMBOL-END-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 50 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN WS-SYMBOL-END-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-SYMBOL-END-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 51 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = ';'
                     SUBTRACT WS-PERIOD-IDX FROM WS-SYMBOL-END-IDX
                              GIVING WS-MOVE-LEN
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = '<'
                     GO TO 500-HTML-SCAN
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = x'0D'
                     GO TO 500-HTML-SCAN
              END-SEARCH

              MOVE ZEROS TO WS-OCCURS-ELEMENT
              IF WS-MOVE-LEN = 1
                 MOVE HTML-TEMPLATE-AREA(WS-PERIOD-IDX:WS-MOVE-LEN)
                      TO WS-ELEMENT-1
              END-IF
              IF WS-MOVE-LEN = 2
                 MOVE HTML-TEMPLATE-AREA(WS-PERIOD-IDX:WS-MOVE-LEN)
                      TO WS-ELEMENT-2
              END-IF
              IF WS-MOVE-LEN = 3
                 MOVE HTML-TEMPLATE-AREA(WS-PERIOD-IDX:WS-MOVE-LEN)
                      TO WS-OCCURS-ELEMENT
              END-IF
              IF WS-MOVE-LEN > 3
                 GO TO 500-HTML-SCAN
              END-IF
           END-IF.

      *
      * Find the last character of the name for this field
      * Added for (UNPROT,DRK) generating type="password" 06/05/99
      *
           IF WS-NAME-FOUND
              SET WS-NO-OCCURS TO TRUE
              MOVE ZEROS TO WS-OCCURS-ELEMENT
              SET HTML-TMPLT-IDX TO WS-NAME-END-IDX
              SEARCH HTML-TEMPLATE-CHAR VARYING WS-NAME-END-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 42 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN WS-NAME-END-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-NAME-END-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 43 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-NAME-END-IDX:1) = '"'
                     SUBTRACT WS-NAME-IDX FROM WS-NAME-END-IDX
                              GIVING WS-MOVE-LEN
                     MOVE HTML-TEMPLATE-AREA(WS-NAME-IDX:WS-MOVE-LEN)
                          TO WS-FIELD-NAME
      * Save last field name 10/19/99
                     MOVE WS-FIELD-NAME TO WS-SAVE-FIELD-NAME
                  WHEN HTML-TEMPLATE-AREA(WS-NAME-END-IDX:1) = '<'
                     GO TO 500-HTML-SCAN
                  WHEN HTML-TEMPLATE-AREA(WS-NAME-END-IDX:1) = x'0D'
                     GO TO 500-HTML-SCAN
                  WHEN HTML-TEMPLATE-AREA(WS-NAME-END-IDX:1) = '.'
                     SUBTRACT WS-NAME-IDX FROM WS-NAME-END-IDX
                              GIVING WS-MOVE-LEN
                     MOVE HTML-TEMPLATE-AREA(WS-NAME-IDX:WS-MOVE-LEN)
                          TO WS-FIELD-NAME
      * Save last field name 10/19/99
                     MOVE WS-FIELD-NAME TO WS-SAVE-FIELD-NAME
                     ADD 1 TO WS-NAME-END-IDX
                     MOVE WS-NAME-END-IDX TO WS-PERIOD-IDX
                     SET WS-FOUND-OCCURS TO TRUE
              END-SEARCH
           END-IF.

      *
      * Check if there are any fields in the map.
      *
           IF ADSD-FIELD-COUNT NOT > 0
      * Add missing field diagnostic message 10/15/99
              MOVE WS-SAVE-FIELD-NAME TO CPEM-NO-ADSD-FIELD-NAME
              MOVE CPEM-NO-ADSD-FIELD-MSG TO WS-MSG-NUM
              MOVE CPEM-NO-ADSD-FIELD-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 500-HTML-SCAN.


      *
      * Now match the HTML field name in the ADSD.
      *
           PERFORM 1000-FIELD-CHECK
           THRU    1000-FIELD-CHECK-EXIT.
           IF WS-FIELD-NAME NOT = ADSD-FIELD-NAME
      * Add missing field diagnostic message 10/15/99
              MOVE WS-SAVE-FIELD-NAME TO CPEM-MISSING-FIELD-NAME
              MOVE CPEM-MISSING-FIELD-MSG TO WS-MSG-NUM
              MOVE CPEM-MISSING-FIELD-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 500-HTML-SCAN
           END-IF.

      *
      * Indicate that there is no initial data for this field.
      * If there is it will be found later in a <!--CnvName line
      * after the field symbol.
      *
           SET WS-INITIAL-DATA-MISSING TO TRUE.
           MOVE SPACES TO WS-FIELD-INIT-NAME.
           MOVE SPACES TO WS-FIELD-INIT-VALUE.
           MOVE WS-HTML-TMPLT-IDX TO WS-CNVNAME-IDX.

      *
      * Check if <!--CnvName="name" init="value"--> line.
      * This line will supply initial field data if
      * the ADS field is null.
      * Save the name and value for later.
      *
           SET HTML-TMPLT-IDX TO WS-CNVNAME-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-CNVNAME-IDX
                  WHEN WS-CNVNAME-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-CNVNAME-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 55 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-IDX:13) =
                     '<!--CnvName="'
                     ADD 13 TO WS-CNVNAME-IDX
                     MOVE WS-CNVNAME-IDX TO WS-CNVNAME-END-IDX
                     SET WS-INITIAL-DATA-FOUND TO TRUE
      * DFHWBOUT generates a <td before it 06/07/99
      *           WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-IDX:3) = '<td'
      *              NEXT SENTENCE
                  WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-IDX:7) = '</table'
                     NEXT SENTENCE
           END-SEARCH.
      *
      * If found <!--CnvName="name" init="value"--> line.
      * Isolate the name and value.
      *
           IF WS-INITIAL-DATA-FOUND
              SET HTML-TMPLT-IDX TO WS-CNVNAME-END-IDX
              SEARCH HTML-TEMPLATE-CHAR VARYING WS-CNVNAME-END-IDX
                  AT END
                     SET WS-INITIAL-DATA-MISSING TO TRUE
                  WHEN WS-CNVNAME-END-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-CNVNAME-END-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 56 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     SET WS-INITIAL-DATA-MISSING TO TRUE
                     GO TO 500-HTML-SCAN-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:8) =
                        '" init="'
                        SUBTRACT WS-CNVNAME-IDX FROM WS-CNVNAME-END-IDX
                                 GIVING WS-MOVE-LEN
                        MOVE
                         HTML-TEMPLATE-AREA(WS-CNVNAME-IDX:WS-MOVE-LEN)
                             TO WS-FIELD-INIT-NAME
                        ADD 8 TO WS-CNVNAME-END-IDX
                  WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:3) = '<td'
                        SET WS-INITIAL-DATA-MISSING TO TRUE
                  WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:7) =
                        '</table'
                        SET WS-INITIAL-DATA-MISSING TO TRUE
              END-SEARCH
              IF WS-FIELD-NAME NOT = WS-FIELD-INIT-NAME
                 SET WS-INITIAL-DATA-MISSING TO TRUE
      *          CONTINUE
              ELSE
                 MOVE WS-CNVNAME-END-IDX TO WS-CNVNAME-IDX
              END-IF
              IF WS-INITIAL-DATA-FOUND
                 SET HTML-TMPLT-IDX TO WS-CNVNAME-END-IDX
              SEARCH HTML-TEMPLATE-CHAR VARYING WS-CNVNAME-END-IDX
                     AT END
                        SET WS-INITIAL-DATA-MISSING TO TRUE
                     WHEN WS-CNVNAME-END-IDX >
                        WBTL-TEMPLATE-BUFFER-LEN - 10
                        MOVE WS-CNVNAME-END-IDX TO
                             CPEM-TEMPLATE-INDEX
                        MOVE 57 TO CPEM-TEMPLATE-CODE
                        MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                        MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                        MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                        PERFORM 8000-LOG-ERROR
                        THRU    8000-LOG-ERROR-EXIT
                        SET WS-TEMPLATE-ERR TO TRUE
                        SET WS-INITIAL-DATA-MISSING TO TRUE
                        GO TO 500-HTML-SCAN-EXIT
                     WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:1) =
                        '"'
                        SUBTRACT WS-CNVNAME-IDX FROM
                                 WS-CNVNAME-END-IDX
                                 GIVING WS-FIELD-INIT-LEN
                        MOVE HTML-TEMPLATE-AREA
                             (WS-CNVNAME-IDX:WS-FIELD-INIT-LEN)
                             TO WS-FIELD-INIT-VALUE
                     WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:1) =
                        x'0D'
                        SET WS-INITIAL-DATA-MISSING TO TRUE
                     WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:3) =
                        '<td'
                        SET WS-INITIAL-DATA-MISSING TO TRUE
                     WHEN HTML-TEMPLATE-AREA(WS-CNVNAME-END-IDX:7) =
                        '</table'
                        SET WS-INITIAL-DATA-MISSING TO TRUE
              END-SEARCH
              END-IF
            END-IF.


      *
      * Now format this field into the HTML output area
      *

      *
      * Move the <td line
      *
      *
      * Fix multiple symbols (occurs) between <td's 01/07/00
      *
           IF WS-MOVE-TD-LINE
              SUBTRACT WS-TD-START-IDX FROM WS-TD-END-IDX
                       GIVING WS-MOVE-LEN
              MOVE HTML-TEMPLATE-AREA(WS-TD-START-IDX:WS-MOVE-LEN)
                   TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
              ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
              ADD WS-MOVE-LEN TO WS-START-MOVE-IDX
              MOVE WS-TD-END-IDX TO WS-HTML-TMPLT-IDX
           END-IF.

      *
      * Format all the lines that compose this field
      *
           PERFORM 1200-FORMAT-FIELD
           THRU    1200-FORMAT-FIELD-EXIT.

      *
      * Check if end of template reached unexpectedly
      *
           IF WS-TEMPLATE-ERR
              GO TO 500-HTML-SCAN-EXIT
           END-IF.

      *
      * Check if DFHMDI specified the OCCURS clause
      *
           IF ADSD-OCCURS-INDEX NOT = 0
              PERFORM 3600-OCCURS-COMPUTE
              THRU    3600-OCCURS-COMPUTE-EXIT
           END-IF.

      *
      * Fix multiple symbols (occurs) between <td's 01/07/00
      *
      *    IF WS-MULTIPLE-SYMBOLS
      *       SET WS-SYMBOL-DONE TO TRUE
      *       SET WS-DO-NOT-MOVE-TD-LINE TO TRUE
      *       GO TO 500-SYMBOL-SEARCH
      *    END-IF.
      *    IF WS-MULTIPLE-INPUTS
      *       SET WS-INPUT-DONE TO TRUE
      *       SET WS-DO-NOT-MOVE-TD-LINE TO TRUE
      *       GO TO 500-SYMBOL-SEARCH
      *    END-IF.

           IF WS-DO-NOT-MOVE-TD-LINE
              GO TO 500-SYMBOL-SEARCH
           END-IF.

       500-HTML-SCAN-EXIT.
           EXIT.

       550-BUILD-END-OF-FORM.
      *
      * If RECEIVE MAP followed by SEND MAP without ERASE
      *    then build and save the PF Key and NEXTRANSID area
      *    from the RECEIVE MAP HTML template.
      * If SEND MAP ERASE
      *    then build and save the PF Key and NEXTRANSID area
      *    from the last SEND MAP HTML template.
      *
      *
      * Move anything not yet moved in HTML template up to and
      * including the end of table
      *
      *     COMPUTE WS-MOVE-LEN = WS-HTML-TMPLT-IDX -
      *             WS-START-MOVE-IDX.
      *     MOVE HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN) TO
      *          HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN).
      *     ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX.
      *     MOVE '</table>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:8).
      *     ADD 8 TO WS-HTML-OUT-IDX.
      *     MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
      *     ADD 2 TO WS-HTML-OUT-IDX.
      *     ADD 10 TO WS-HTML-TMPLT-IDX.
      *     MOVE WS-HTML-TMPLT-IDX TO WS-START-MOVE-IDX.
           MOVE 1 TO WS-EOF-IDX.

       550-EOTABLE-FORMATTED.
      * Move anything not yet moved in HTML template up to and
      * including the end of table
      *
           COMPUTE WS-MOVE-LEN = WS-HTML-TMPLT-IDX -
                   WS-START-MOVE-IDX.
      * Fix potential storage violation 11/19/99
      *    IF WS-MOVE-LEN NOT = 0
           IF WS-MOVE-LEN NOT > 0
      * Fix extra characters at EOTable 04/24/00
      *       COMPUTE WS-START-MOVE-IDX = WS-HTML-TMPLT-IDX - 3
              MOVE WS-HTML-TMPLT-IDX TO WS-START-MOVE-IDX
           ELSE
              MOVE HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                   TO WS-END-OF-FORM(WS-EOF-IDX:WS-MOVE-LEN)
              ADD WS-MOVE-LEN TO WS-EOF-IDX
      *          HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN).
      *     ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX.
              MOVE WS-HTML-TMPLT-IDX TO WS-START-MOVE-IDX
           END-IF.

      *
      * Find begining of next <input field in the HTML template
      *
           SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-HTML-TMPLT-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 60 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 550-BUILD-END-OF-FORM-EXIT
                  WHEN WS-HTML-TMPLT-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-HTML-TMPLT-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 61 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 550-BUILD-END-OF-FORM-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:13) =
                     '<input type="'
      *               MOVE WS-HTML-TMPLT-IDX TO WS-TD-START-IDX
      * FIX BLANK BUTTON SUPRESSION  08/19/99
      *              ADD 6 TO WS-HTML-TMPLT-IDX
                     ADD 13 TO WS-HTML-TMPLT-IDX
                     MOVE WS-EOF-IDX TO WS-SAVE-EOF-IDX
                     MOVE WS-HTML-TMPLT-IDX TO WS-SYMBOL-IDX

      * Move everything up to start of <input line
                     COMPUTE WS-MOVE-LEN = WS-HTML-TMPLT-IDX -
                             WS-START-MOVE-IDX
                     MOVE
                      HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                       TO WS-END-OF-FORM(WS-EOF-IDX:WS-MOVE-LEN)
                      ADD WS-MOVE-LEN TO WS-EOF-IDX
      *                TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
      *               ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
                     MOVE WS-HTML-TMPLT-IDX TO WS-START-MOVE-IDX
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:4) =
                     '<!--'
      *               MOVE WS-HTML-TMPLT-IDX TO WS-TD-START-IDX
                     ADD 4 TO WS-HTML-TMPLT-IDX
                     GO TO 550-EOTABLE-FORMATTED
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:7) =
                     '</form>'
                     SET WS-FORM-END TO TRUE
                     COMPUTE WS-MOVE-LEN = WS-HTML-TMPLT-IDX -
                             WS-START-MOVE-IDX + 7
                     MOVE
                      HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                      TO WS-END-OF-FORM(WS-EOF-IDX:WS-MOVE-LEN)
                     ADD WS-MOVE-LEN TO WS-EOF-IDX
                     GO TO 550-BUILD-END-OF-FORM-EXIT
           END-SEARCH.

      * FIX BLANK BUTTON SUPRESSION  08/19/99
           SET WS-NO-BUTTON TO TRUE.
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:6) = 'submit'
              SET WS-FOUND-BUTTON TO TRUE
           END-IF.

      *
      * Find end of this line.
      *
           MOVE WS-HTML-TMPLT-IDX TO WS-EOL-IDX.
           SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-EOL-IDX
                  AT END
                     MOVE WS-EOL-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 85 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 550-BUILD-END-OF-FORM-EXIT
                  WHEN WS-EOL-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-EOL-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 86 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 550-BUILD-END-OF-FORM-EXIT
      * ALLOW INPUT FIELD TO FOLLOW LAST </table  08/19/99
      *           WHEN HTML-TEMPLATE-AREA(WS-EOL-IDX:2) =
      *              x'0D25'
      *              ADD 2 TO WS-EOL-IDX
                  WHEN HTML-TEMPLATE-AREA(WS-EOL-IDX:3) =
                     x'7F0D25'
                     ADD 3 TO WS-EOL-IDX
                     SET WS-NO-END-TAG TO TRUE
                  WHEN HTML-TEMPLATE-AREA(WS-EOL-IDX:3) =
                     x'6E0D25'
                     ADD 3 TO WS-EOL-IDX
                     SET WS-END-TAG TO TRUE
           END-SEARCH.



           MOVE SPACES TO WS-FIELD-NAME.

      *
      * Find the 1st character of the symbol for this field
      *
           SET HTML-TMPLT-IDX TO WS-SYMBOL-IDX.
       550-SYMBOL-SCAN.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-SYMBOL-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 70 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 550-BUILD-END-OF-FORM-EXIT
                  WHEN WS-SYMBOL-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-SYMBOL-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 71 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 550-BUILD-END-OF-FORM-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:1) = '&'
      * Support HTML Special Characters 09/08/99
                     PERFORM 4800-FIND-HTML-SPECIAL
                     THRU    4800-FIND-HTML-SPECIAL-EXIT
                     IF WS-HTML-SPECIAL-FOUND
                        ADD 1 TO WS-SYMBOL-IDX
                        GO TO 550-SYMBOL-SCAN
                     ELSE
                        ADD 1 TO WS-SYMBOL-IDX
                        MOVE WS-SYMBOL-IDX TO WS-SYMBOL-END-IDX
                     END-IF
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:2) = '">'
                     ADD 2 TO WS-SYMBOL-IDX
                     MOVE WS-SYMBOL-IDX TO WS-HTML-TMPLT-IDX
                     GO TO 550-EOTABLE-FORMATTED
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:7) = '</form>'
                     SET WS-FORM-END TO TRUE
                     COMPUTE WS-MOVE-LEN = WS-SYMBOL-IDX -
                             WS-START-MOVE-IDX + 7
                     MOVE
                      HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                      TO WS-END-OF-FORM(WS-EOF-IDX:WS-MOVE-LEN)
                     ADD WS-MOVE-LEN TO WS-EOF-IDX
                     GO TO 550-BUILD-END-OF-FORM-EXIT
           END-SEARCH.
      *
      * Find the last character of the symbol for this field
      *
           SET HTML-TMPLT-IDX TO WS-SYMBOL-END-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-SYMBOL-END-IDX
                  AT END
                     MOVE WS-START-MOVE-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 80 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 550-BUILD-END-OF-FORM-EXIT
                  WHEN WS-SYMBOL-END-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-SYMBOL-END-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 81 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 550-BUILD-END-OF-FORM-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = ';'
                     SUBTRACT WS-SYMBOL-IDX FROM WS-SYMBOL-END-IDX
                              GIVING WS-MOVE-LEN
                     MOVE HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:WS-MOVE-LEN)
                          TO WS-FIELD-NAME
      * Save last field name 10/19/99
                     MOVE WS-FIELD-NAME TO WS-SAVE-FIELD-NAME
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:2) = '">'
      * Fix potential storage violation 11/19/99
      *              ADD 2 TO WS-SYMBOL-IDX
      *              MOVE WS-SYMBOL-IDX TO WS-HTML-TMPLT-IDX
                     ADD 2 TO WS-SYMBOL-END-IDX
                     MOVE WS-SYMBOL-END-IDX TO WS-HTML-TMPLT-IDX
                     GO TO 550-EOTABLE-FORMATTED
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:7) =
                     '</form>'
                     SET WS-FORM-END TO TRUE
                     COMPUTE WS-MOVE-LEN = WS-SYMBOL-END-IDX -
                             WS-START-MOVE-IDX + 7
                     MOVE
                      HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                      TO WS-END-OF-FORM(WS-EOF-IDX:WS-MOVE-LEN)
                     ADD WS-MOVE-LEN TO WS-EOF-IDX
                     GO TO 550-BUILD-END-OF-FORM-EXIT
           END-SEARCH.

      *
      * Check if there are any fields in the map.
      *
           IF ADSD-FIELD-COUNT NOT > 0
      * FIX LOOP IF NO MAP FIELDS 08/19/99
      *       GO TO 550-BUILD-END-OF-FORM.
              GO TO 550-BUILD-END-OF-FORM-EXIT.


      *
      * Now match the HTML field name in the ADSD.
      *
           SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
               ADDRESS OF ADSD-FIRST-FIELD.

           PERFORM 4000-FIND-FIELD-NAME
           THRU    4000-FIND-FIELD-NAME-EXIT
           VARYING WS-FIELD-COUNT FROM 1 BY 1
           UNTIL   WS-FIELD-COUNT = ADSD-FIELD-COUNT.
           IF WS-FIELD-NAME NOT = ADSD-FIELD-NAME
      * Do not move input line
      *        MOVE SPACE TO WS-END-OF-FORM(WS-EOF-IDX:1)
      *        ADD 1 TO WS-EOF-IDX
      *        MOVE '">' TO WS-END-OF-FORM(WS-EOF-IDX:2)
      *        ADD 2 TO WS-EOF-IDX
      *        MOVE x'0D25' TO WS-END-OF-FORM(WS-EOF-IDX:2)
      *        ADD 2 TO WS-EOF-IDX
              MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
              MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              GO TO 550-EOTABLE-FORMATTED
           END-IF.
      *
      * Check if field data supplied from program.
      * The CICS Programmers Guide says only the 1st byte
      * need be checked.
      * If ADS field is NULL or contains spaces do not move input line
      * this avoids having a blank button appear on the screen
      *
      * FIX CORRECT ADS FIELD DATA LOCATION 08/19/99
           COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 4 +
                   ADSD-ATTRIBUTE-NUMBER.
           IF WS-FOUND-BUTTON AND
              (WS-ADS-AREA(WS-ADS-IDX:1) = LOW-VALUES OR
               WS-ADS-AREA(WS-ADS-IDX:ADSD-FIELD-DATA-LEN) = SPACES)
              MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
      * FIX BLANK BUTTON SUPRESSION  08/19/99
              MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              MOVE WS-SAVE-EOF-IDX TO WS-EOF-IDX
              GO TO 550-EOTABLE-FORMATTED

      *        MOVE SPACES TO WS-END-OF-FORM
      *             (WS-EOF-IDX:ADSD-FIELD-DATA-LEN)
           ELSE
      * Move everything up to start of &symbol
      * Fix to correctly format symbols after last </table
      * by not moving '&'  08/19/99
      *       COMPUTE WS-MOVE-LEN = WS-SYMBOL-IDX -
      *               WS-START-MOVE-IDX
              COMPUTE WS-MOVE-LEN = WS-SYMBOL-IDX -
                      WS-START-MOVE-IDX - 1
              MOVE HTML-TEMPLATE-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                   TO WS-END-OF-FORM(WS-EOF-IDX:WS-MOVE-LEN)
              ADD WS-MOVE-LEN TO WS-EOF-IDX

      *             TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
      *        ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX

              MOVE WS-ADS-AREA(WS-ADS-IDX:ADSD-FIELD-DATA-LEN)
                   TO WS-END-OF-FORM
                      (WS-EOF-IDX:ADSD-FIELD-DATA-LEN)
           END-IF.
           ADD ADSD-FIELD-DATA-LEN TO WS-EOF-IDX.

      * ALLOW INPUT FIELD TO FOLLOW LAST </table  08/19/99
           IF WS-END-TAG
              MOVE '">' TO WS-END-OF-FORM(WS-EOF-IDX:2)
              ADD 2 TO WS-EOF-IDX
           ELSE
              MOVE '"' TO WS-END-OF-FORM(WS-EOF-IDX:1)
              ADD 1 TO WS-EOF-IDX
           END-IF.
           MOVE x'0D25' TO WS-END-OF-FORM(WS-EOF-IDX:2).
           ADD 2 TO WS-EOF-IDX.
           MOVE WS-EOL-IDX TO WS-START-MOVE-IDX.
      * FIX LOOP FOR INPUT TEXT FIELD AFTER LAST </table 08/19/99
           MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX.
           GO TO 550-EOTABLE-FORMATTED.

       550-BUILD-END-OF-FORM-EXIT.
           EXIT.

       600-READ-TEMPLATE.
      ******
      *  Set up and run the template manager. We will use it
      *  to read the HTML template. Using the template, ADS,
      *  and ADSD we will rebuild the body of the HTML output.
      ******

      *
      * Find the HTML Template name
      *
           MOVE 32767 TO WBTL-TEMPLATE-BUFFER-LEN.
           MOVE SPACES TO WBTL-TEMPLATE-NAME.
           MOVE WS-BRXA-MAPSET TO WBTL-TEMPLATE-NAME.

           PERFORM 620-MAPSET-SUFFIX
           THRU    620-MAPSET-SUFFIX-EXIT.

           MOVE 0 TO WBTL-VERSION-NO.

      * Support TS 1.3 Doc Domain and concatenated datasets 09/17/99
      *    MOVE WBTL-READ-HTML-TEMPLATE TO WBTL-FUNCTION.
           MOVE WBTL-BUILD-HTML-PAGE TO WBTL-FUNCTION.
           SET WBTL-HTML-BUFFER-PTR TO WBTL-TEMPLATE-BUFFER-PTR.
      * Fix Template Manager HTML buffer length 10/18/99
      *    MOVE WS-HTML-TMPLT-LEN TO WBTL-HTML-BUFFER-LEN.
           MOVE WBTL-TEMPLATE-BUFFER-LEN TO WBTL-HTML-BUFFER-LEN.
           MOVE 'Build' TO CPEM-WBTL-FUNCTION.
           MOVE ZEROS TO WBTL-SYMBOL-LIST-LEN.
           SET WBTL-SYMBOL-LIST-PTR TO NULL.

           EXEC CICS
                LINK PROGRAM('DFHWBTL')
                COMMAREA(DFHWBTL-ARG)
                LENGTH(WBTL-PARAMETER-LEN)
                RESP(WS-RESP)
                RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-TEMPLATE-READ-ERR TO TRUE
              MOVE 'DFHWBTL' TO CPEM-LINK-PROG
              MOVE WBTL-PARAMETER-LEN TO CPEM-LINK-LEN
              MOVE CPEM-LINK-MSG TO WS-MSG-NUM
              MOVE CPEM-LINK-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 600-READ-TEMPLATE-EXIT
           END-IF.

           IF WBTL-RESPONSE NOT = WBTL-OK
              SET WS-TEMPLATE-READ-ERR TO TRUE
              PERFORM 650-WBTL-ERROR
              THRU    650-WBTL-ERROR-EXIT
              MOVE CPEM-WBTL-MSG TO WS-MSG-NUM
              MOVE CPEM-WBTL-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
              GO TO 600-READ-TEMPLATE-EXIT
           END-IF.


           SET ADDRESS OF HTML-TEMPLATE-AREA TO WBTL-TEMPLATE-BUFFER-PTR.
           MOVE 1 TO WS-HTML-TMPLT-IDX.
      * Support TS 1.3 Doc Domain and concatenated datasets 09/17/99
           COMPUTE WBTL-TEMPLATE-BUFFER-LEN = WS-HTML-TMPLT-LEN -
                   WBTL-HTML-BUFFER-LEN.

      *    MOVE WBTL-TEMPLATE-BUFFER-LEN TO WS-HTML-TMPLT-LEN.


       600-READ-TEMPLATE-EXIT.
           EXIT.

       620-MAPSET-SUFFIX.
      * Append template suffix
           EVALUATE WS-ADSD-MAP-INDEX
                    WHEN  1 MOVE 'A' TO WS-TEMPLATE-SUFFIX
                    WHEN  2 MOVE 'B' TO WS-TEMPLATE-SUFFIX
                    WHEN  3 MOVE 'C' TO WS-TEMPLATE-SUFFIX
                    WHEN  4 MOVE 'D' TO WS-TEMPLATE-SUFFIX
                    WHEN  5 MOVE 'E' TO WS-TEMPLATE-SUFFIX
                    WHEN  6 MOVE 'F' TO WS-TEMPLATE-SUFFIX
                    WHEN  7 MOVE 'G' TO WS-TEMPLATE-SUFFIX
                    WHEN  8 MOVE 'H' TO WS-TEMPLATE-SUFFIX
                    WHEN  9 MOVE 'I' TO WS-TEMPLATE-SUFFIX
                    WHEN 10 MOVE 'J' TO WS-TEMPLATE-SUFFIX
                    WHEN 11 MOVE 'K' TO WS-TEMPLATE-SUFFIX
                    WHEN 12 MOVE 'L' TO WS-TEMPLATE-SUFFIX
                    WHEN 13 MOVE 'M' TO WS-TEMPLATE-SUFFIX
                    WHEN 14 MOVE 'N' TO WS-TEMPLATE-SUFFIX
                    WHEN 15 MOVE 'O' TO WS-TEMPLATE-SUFFIX
                    WHEN 16 MOVE 'P' TO WS-TEMPLATE-SUFFIX
                    WHEN 17 MOVE 'Q' TO WS-TEMPLATE-SUFFIX
                    WHEN 18 MOVE 'R' TO WS-TEMPLATE-SUFFIX
                    WHEN 19 MOVE 'S' TO WS-TEMPLATE-SUFFIX
                    WHEN 20 MOVE 'T' TO WS-TEMPLATE-SUFFIX
                    WHEN 21 MOVE 'U' TO WS-TEMPLATE-SUFFIX
                    WHEN 22 MOVE 'V' TO WS-TEMPLATE-SUFFIX
                    WHEN 23 MOVE 'W' TO WS-TEMPLATE-SUFFIX
                    WHEN 24 MOVE 'X' TO WS-TEMPLATE-SUFFIX
                    WHEN 25 MOVE 'Y' TO WS-TEMPLATE-SUFFIX
                    WHEN 26 MOVE 'Z' TO WS-TEMPLATE-SUFFIX
                    WHEN OTHER MOVE '1' TO WS-TEMPLATE-SUFFIX
           END-EVALUATE.

           STRING WBTL-TEMPLATE-NAME DELIMITED BY SPACE
                  WS-TEMPLATE-SUFFIX DELIMITED BY SIZE
                  INTO WBTL-TEMPLATE-NAME
           END-STRING.

       620-MAPSET-SUFFIX-EXIT.
           EXIT.

       650-WBTL-ERROR.
      *
      *  Evaluate the WBTL error response and reason.
      *
           MOVE SPACES TO CPEM-WBTL-RESP.
           MOVE SPACES TO CPEM-WBTL-REASON.
           MOVE WBTL-TEMPLATE-NAME TO CPEM-WBTL-TNAME.
           EVALUATE WBTL-RESPONSE
              WHEN WBTL-EXCEPTION
                   MOVE 'EXCEPTION' TO CPEM-WBTL-RESP
              WHEN WBTL-INVALID
                   MOVE 'INVALID' TO CPEM-WBTL-RESP
              WHEN WBTL-DISASTER
                   MOVE 'DIASTER' TO CPEM-WBTL-RESP
           END-EVALUATE.

           EVALUATE WBTL-REASON
              WHEN WBTL-INVALID-FUNCTION
                   MOVE 'INVALID FUNCTION' TO CPEM-WBTL-REASON
              WHEN WBTL-INVALID-TOKEN
                   MOVE 'INVALID TOKEN' TO CPEM-WBTL-REASON
              WHEN WBTL-INVALID-SYMBOL-LIST
                   MOVE 'INVALID SYMBOL LIST' TO CPEM-WBTL-REASON
              WHEN WBTL-INVALID-BUFFER-PTR
                   MOVE 'INVALID BUFFER PTR' TO CPEM-WBTL-REASON
              WHEN WBTL-FEATURE-INACTIVE
                   MOVE 'FEATURE INACTIVE' TO CPEM-WBTL-REASON
              WHEN WBTL-TEMPLATE-NOT-FOUND
                   MOVE 'TEMPLATE NOT FOUND' TO CPEM-WBTL-REASON
              WHEN WBTL-TEMPLATE-TRUNCATED
                   MOVE 'TEMPLATE TRUNCATED' TO CPEM-WBTL-REASON
              WHEN WBTL-PAGE-TRUNCATED
                   MOVE 'PAGE TRUNCATED' TO CPEM-WBTL-REASON
              WHEN WBTL-GETMAIN-ERROR
                   MOVE 'GETMAIN ERROR' TO CPEM-WBTL-REASON
              WHEN WBTL-FREEMAIN-ERROR
                   MOVE 'FREEMAIN ERROR' TO CPEM-WBTL-REASON
              WHEN WBTL-INVALID-VERSION
                   MOVE 'INVALID VERSION' TO CPEM-WBTL-REASON
           END-EVALUATE.
       650-WBTL-ERROR-EXIT.
           EXIT.

       1000-FIELD-CHECK.
      *
      * Find the HTML field name in the ADSD
      *

           SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
               ADDRESS OF ADSD-FIRST-FIELD.

           PERFORM 4000-FIND-FIELD-NAME
           THRU    4000-FIND-FIELD-NAME-EXIT
           VARYING WS-FIELD-COUNT FROM 1 BY 1
           UNTIL   WS-FIELD-COUNT > ADSD-FIELD-COUNT OR
                   (WS-FIELD-NAME = ADSD-FIELD-NAME AND
                    WS-OCCURS-ELEMENT = ADSD-OCCURS-INDEX).

           IF WS-FIELD-NAME NOT = ADSD-FIELD-NAME
              GO TO 1000-FIELD-CHECK-EXIT.

      *
      * Check if their is a supplied base attribute in the ADS
      *
           PERFORM 1100-BASE-ATTRIBUTE
           THRU    1100-BASE-ATTRIBUTE-EXIT.

           SET WS-HILIGHT-START-NOT-NEEDED TO TRUE.
           SET WS-HILIGHT-END-NOT-NEEDED TO TRUE.
           SET WS-HILIGHT-INSERT-NOT-NEEDED TO TRUE.
           SET WS-COLOR-START-NOT-NEEDED TO TRUE.
           SET WS-COLOR-END-NOT-NEEDED TO TRUE.
           SET WS-COLOR-INSERT-NOT-NEEDED TO TRUE.

      *
      * If procesing RECEIVE MAP there are no input attributes in the ADS
      *
           IF WS-RECEIVE-MAP
              GO TO 1000-FIELD-CHECK-EXIT
           END-IF.

      *
      * Check if their is a supplied color attribute in the ADS
      *


           IF ADSD-ATTRIBUTE-NUMBER > 0 AND
              ADSD-ATTRIBUTE-TYPE-CODES(1) = 'C'
              COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 4
              MOVE WS-ADS-CHAR(WS-ADS-IDX) TO WS-COLOR-ATTRIBUTE
      * LOW-VALUES means application did not supply attribute
      * HIGH-VALUES means application request reset to default
      * so use HTML template value
              IF WS-COLOR-ATTRIBUTE NOT = LOW-VALUES AND
                 WS-COLOR-ATTRIBUTE NOT = HIGH-VALUES
                 SET WS-COLOR-START-NEEDED TO TRUE
                 SET WS-COLOR-END-NEEDED TO TRUE
              END-IF
           END-IF.

      *
      * Check if their is a supplied hilight attribute in the ADS
      *

           IF ADSD-ATTRIBUTE-NUMBER > 0
              MOVE 0 TO WS-ADS-IDX
              IF ADSD-ATTRIBUTE-TYPE-CODES(1) = 'H'
                 COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 4
              END-IF
              IF ADSD-ATTRIBUTE-TYPE-CODES(2) = 'H'
                 COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 5
              END-IF
              IF ADSD-ATTRIBUTE-TYPE-CODES(3) = 'H'
                 COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 6
              END-IF
              IF WS-ADS-IDX NOT = 0
                 MOVE WS-ADS-CHAR(WS-ADS-IDX) TO WS-HILIGHT-ATTRIBUTE
      * LOW-VALUES means application did not supply attribute
      * HIGH-VALUES means application request reset to off
      * so use HTML template value
                 IF WS-HILIGHT-ATTRIBUTE NOT = LOW-VALUES
                    SET WS-HILIGHT-START-NEEDED TO TRUE
                    SET WS-HILIGHT-END-NEEDED TO TRUE
                 END-IF
              END-IF
           END-IF.

       1000-FIELD-CHECK-EXIT.
           EXIT.

       1100-BASE-ATTRIBUTE.
      *
      * Check if there is a supplied base attribute in the ADS
      *
           SET WS-STRONG-START-NOT-NEEDED TO TRUE.
           SET WS-STRONG-END-NOT-NEEDED TO TRUE.
           SET WS-STRONG-INSERT-NOT-NEEDED TO TRUE.
           SET WS-SYMBOL-NOT-NEEDED TO TRUE.
           SET WS-INPUT-NOT-NEEDED TO TRUE.
           SET WS-ONSIZE-NOT-NEEDED TO TRUE.



      * If processing a RECEIVE MAP then
      * set default base attribute to PROT.
           IF WS-RECEIVE-MAP
              MOVE '-' TO WS-ATTRIBUTE
              SET WS-SYMBOL-NEEDED TO TRUE
              GO TO 1100-BASE-ATTRIBUTE-EXIT
           END-IF.

           COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 3.
           MOVE WS-ADS-CHAR(WS-ADS-IDX) TO WS-ATTRIBUTE.

           IF WS-ATTRIBUTE = LOW-VALUES
              GO TO 1100-BASE-ATTRIBUTE-EXIT
           END-IF.
      *
      * Do we need an HTML <strong> ?
      *
           IF BRIGHT
      *       OR (PROT AND DARK)
              SET WS-STRONG-START-NEEDED TO TRUE
              SET WS-STRONG-END-NEEDED TO TRUE
           END-IF.
      *
      * Do we need an HTML stand alone &symbol ?
      *
           IF PROT AND NOT
              (PROT AND DARK)
      *        (PROT AND DARK AND FSET)
              SET WS-SYMBOL-NEEDED TO TRUE
           END-IF.
      *
      * Do we need an HTML <input ?
      *
           IF UNPROT OR
              (PROT AND FSET) OR
      *       Generate Hidden Field 5/21/99
              (PROT AND DARK)
              SET WS-INPUT-NEEDED TO TRUE
           END-IF.
      *
      * Do we need an HTML onFocus and size ?
      *
           IF UNPROT
      *       Generate Password field with onsize instead 05/29/99
      *       (UNPROT AND FSET AND DARK)
              SET WS-ONSIZE-NEEDED TO TRUE
           END-IF.

      * Check for invalid attribute 09/15/99
           IF NOT WS-NO-BASE-ATTRB AND
              NOT PROT AND
              NOT UNPROT AND
              NOT BRIGHT AND
              NOT DARK AND
              NOT FSET
              MOVE ZEROS TO WS-ATTRIBUTE-COMP
              MOVE WS-ATTRIBUTE TO WS-W1-ATTRIBUTE
              PERFORM 1150-XLATE-ATTRIBUTE
              THRU    1150-XLATE-ATTRIBUTE-EXIT
              MOVE WS-HH-ATTRIBUTE TO CPEM-BASE-ATTTRIBUTE-H
              MOVE WS-HL-ATTRIBUTE TO CPEM-BASE-ATTTRIBUTE-L
              MOVE WS-FIELD-NAME TO CPEM-BA-FIELD-NAME
              MOVE CPEM-INVALID-BASE-ATTR-MSG TO WS-MSG-NUM
              MOVE CPEM-INVALID-BASE-ATTR-ERR TO WS-ERROR-MSG
              PERFORM 8000-LOG-ERROR
              THRU    8000-LOG-ERROR-EXIT
      * USE DEFAULT ATTRIBUTE IF INVALID
              SET WS-NO-BASE-ATTRB TO TRUE
           END-IF.


       1100-BASE-ATTRIBUTE-EXIT.
           EXIT.

      * Check for invalid attribute 09/15/99
       1150-XLATE-ATTRIBUTE.
           MOVE '0' TO WS-HH-ATTRIBUTE.
           MOVE '0' TO WS-HL-ATTRIBUTE.
           IF WS-ATTRIBUTE-COMP > 239
              SUBTRACT 240 FROM WS-ATTRIBUTE-COMP
              MOVE 'F' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 223
              SUBTRACT 224 FROM WS-ATTRIBUTE-COMP
              MOVE 'E' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 207
              SUBTRACT 208 FROM WS-ATTRIBUTE-COMP
              MOVE 'D' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 191
              SUBTRACT 192 FROM WS-ATTRIBUTE-COMP
              MOVE 'C' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 175
              SUBTRACT 176 FROM WS-ATTRIBUTE-COMP
              MOVE 'B' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 159
              SUBTRACT 160 FROM WS-ATTRIBUTE-COMP
              MOVE 'A' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 143
              SUBTRACT 144 FROM WS-ATTRIBUTE-COMP
              MOVE '9' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 127
              SUBTRACT 128 FROM WS-ATTRIBUTE-COMP
              MOVE '8' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 111
              SUBTRACT 112 FROM WS-ATTRIBUTE-COMP
              MOVE '7' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 95
              SUBTRACT 96 FROM WS-ATTRIBUTE-COMP
              MOVE '6' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 79
              SUBTRACT 80 FROM WS-ATTRIBUTE-COMP
              MOVE '5' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 63
              SUBTRACT 64 FROM WS-ATTRIBUTE-COMP
              MOVE '4' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 47
              SUBTRACT 48 FROM WS-ATTRIBUTE-COMP
              MOVE '3' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 31
              SUBTRACT 32 FROM WS-ATTRIBUTE-COMP
              MOVE '2' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
           IF WS-ATTRIBUTE-COMP > 15
              SUBTRACT 16 FROM WS-ATTRIBUTE-COMP
              MOVE '1' TO WS-HH-ATTRIBUTE
              GO TO 1150-XLATEL-ATTRIBUTE
           END-IF.
       1150-XLATEL-ATTRIBUTE.
           IF WS-ATTRIBUTE-COMP = 15
              MOVE 'F' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 14
              MOVE 'E' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 13
              MOVE 'D' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 12
              MOVE 'C' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 11
              MOVE 'B' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 10
              MOVE 'A' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 9
              MOVE '9' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 8
              MOVE '8' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 7
              MOVE '7' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 6
              MOVE '6' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 5
              MOVE '5' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 4
              MOVE '4' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 3
              MOVE '3' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 2
              MOVE '2' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.
           IF WS-ATTRIBUTE-COMP = 1
              MOVE '1' TO WS-HL-ATTRIBUTE
              GO TO 1150-XLATE-ATTRIBUTE-EXIT
           END-IF.

       1150-XLATE-ATTRIBUTE-EXIT.
           EXIT.

       1200-FORMAT-FIELD.

      *
      * Find end of this line.
      *
           MOVE WS-HTML-TMPLT-IDX TO WS-EOL-IDX.
           SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-EOL-IDX
                  AT END
                     MOVE WS-EOL-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 87 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 1200-FORMAT-FIELD-EXIT
                  WHEN WS-EOL-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     MOVE WS-EOL-IDX TO CPEM-TEMPLATE-INDEX
                     MOVE 88 TO CPEM-TEMPLATE-CODE
                     MOVE WS-SAVE-FIELD-NAME TO CPEM-TE-FIELD-NAME
                     MOVE CPEM-TEMPLATE-MSG TO WS-MSG-NUM
                     MOVE CPEM-TEMPLATE-ERR TO WS-ERROR-MSG
                     PERFORM 8000-LOG-ERROR
                     THRU    8000-LOG-ERROR-EXIT
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 1200-FORMAT-FIELD-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-EOL-IDX:2) =
                     x'0D25'
                     ADD 2 TO WS-EOL-IDX
           END-SEARCH.

      *
      * Check if <font color line.
      * Always move and then modify if necessary.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:11) = '<font color'
              MOVE WS-HTML-OUT-IDX TO WS-COLOR-IDX
              ADD 13 TO WS-COLOR-IDX
              PERFORM 3500-MOVE-LINE
              THRU    3500-MOVE-LINE-EXIT
              IF WS-COLOR-START-NEEDED
                 PERFORM 1400-COLOR
                 THRU    1400-COLOR-EXIT
              END-IF
              GO TO 1200-FORMAT-FIELD
           END-IF.

      *
      * Check if </font color line.
      * Always move.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:7) = '</font>'
              PERFORM 3500-MOVE-LINE
              THRU    3500-MOVE-LINE-EXIT
              SET WS-COLOR-END-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.


      *
      * Check if <u> underline line.
      * Always move unless it is set off.
      * Check if need to change from underline to blink.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:3) = '<u>'
              IF WS-HILIGHT-START-NOT-NEEDED OR
                 WS-NO-HILIGHT-ATTRB OR
                 (WS-HILIGHT-START-NEEDED AND
                 WS-HILIGHT-ATTRIBUTE NOT = HIGH-VALUES)
      * HIGH-VALUES means turn it off, so do not move it
                 PERFORM 3500-MOVE-LINE
                 THRU    3500-MOVE-LINE-EXIT
              ELSE
                 MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
                 MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              END-IF
              IF WS-HILIGHT-START-NEEDED AND
                 WS-HILIGHT-ATTRIBUTE = DFHBLINK
                 SUBTRACT 4 FROM WS-HTML-OUT-IDX
                 MOVE 'blink>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:6)
                 ADD 6 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
              END-IF
              SET WS-HILIGHT-START-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.

      *
      * Check if </u> underline line.
      * Always move unless it is set off.
      * Check if need to change from underline to blink.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:4) = '</u>'
              IF WS-HILIGHT-END-NOT-NEEDED OR
                 WS-NO-HILIGHT-ATTRB OR
                 (WS-HILIGHT-END-NEEDED AND
                 WS-HILIGHT-ATTRIBUTE NOT = HIGH-VALUES)
      * HIGH-VALUES means turn it off, so do not move it
                 PERFORM 3500-MOVE-LINE
                 THRU    3500-MOVE-LINE-EXIT
              ELSE
                 MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
                 MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              END-IF
              IF WS-HILIGHT-END-NEEDED AND
                 WS-HILIGHT-ATTRIBUTE = DFHBLINK
                 SUBTRACT 4 FROM WS-HTML-OUT-IDX
                 MOVE 'blink>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:6)
                 ADD 6 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
              END-IF
              SET WS-HILIGHT-END-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.



      *
      * Check if <blink> line.
      * Always move unless it is set off.
      * Check if need to change from blink to underline.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:7) = '<blink>'
              IF WS-HILIGHT-START-NOT-NEEDED OR
                 WS-NO-HILIGHT-ATTRB OR
                 (WS-HILIGHT-START-NEEDED AND
                 WS-HILIGHT-ATTRIBUTE NOT = HIGH-VALUES)
      * HIGH-VALUES means turn it off, so do not move it
                 PERFORM 3500-MOVE-LINE
                 THRU    3500-MOVE-LINE-EXIT
              ELSE
                 MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
                 MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              END-IF
              IF WS-HILIGHT-START-NEEDED AND
      *       Check for underline or underscore 05/21/99
                (WS-HILIGHT-ATTRIBUTE = DFHUNDER OR
                 WS-HILIGHT-ATTRIBUTE = DFHUNDLN)
                 SUBTRACT 8 FROM WS-HTML-OUT-IDX
                 MOVE 'u>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
              END-IF
              SET WS-HILIGHT-START-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.



      *
      * Check if </blink> line.
      * Always move unless it is set off.
      * Check if need to change from blink to underline.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:8) = '</blink>'
              IF WS-HILIGHT-END-NOT-NEEDED OR
                 WS-NO-HILIGHT-ATTRB OR
                 (WS-HILIGHT-END-NEEDED AND
                 WS-HILIGHT-ATTRIBUTE NOT = HIGH-VALUES)
      * HIGH-VALUES means turn it off, so do not move it
                 PERFORM 3500-MOVE-LINE
                 THRU    3500-MOVE-LINE-EXIT
              ELSE
                 MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
                 MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              END-IF
              IF WS-HILIGHT-END-NEEDED AND
      *       Check for underline or underscore 05/21/99
                (WS-HILIGHT-ATTRIBUTE = DFHUNDER OR
                 WS-HILIGHT-ATTRIBUTE = DFHUNDLN)
                 SUBTRACT 8 FROM WS-HTML-OUT-IDX
                 MOVE 'u>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
              END-IF
              SET WS-HILIGHT-END-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.



      *
      * Check if <strong> line.
      * Move if no attribute supplied.
      * If attribute supplied then move if BRIGHT.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:8) = '<strong>'
      *       IF WS-STRONG-START-NOT-NEEDED OR  06/15/99
              IF WS-STRONG-START-NEEDED OR
                 WS-NO-BASE-ATTRB
      *          (WS-STRONG-START-NEEDED AND BRIGHT) 06/15/99
      *           OR (WS-STRONG-START-NEEDED AND DARK AND PROT)
                 PERFORM 3500-MOVE-LINE
                 THRU    3500-MOVE-LINE-EXIT
              ELSE
                 MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
                 MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              END-IF
              SET WS-STRONG-START-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.

      *
      * Check if </strong> line.
      * Move if no attribute supplied.
      * If attribute supplied then move if BRIGHT.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:9) = '</strong>'
      *       IF WS-STRONG-END-NOT-NEEDED OR  06/15/99
              IF WS-STRONG-END-NEEDED OR
                 WS-NO-BASE-ATTRB
      *          (WS-STRONG-END-NEEDED AND BRIGHT) 06/15/99
      *           OR (WS-STRONG-END-NEEDED AND DARK AND PROT)
                 PERFORM 3500-MOVE-LINE
                 THRU    3500-MOVE-LINE-EXIT
              ELSE
                 MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
                 MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              END-IF
              SET WS-STRONG-END-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.


      *
      * Check if stand alone &symbol; line.
      * If PROT but not (PROT,DARK) then substitute symbol value.
      * Replace symbol name with value from ADS.
      *
      * But first, if we found this line and we
      * needed color, hilighting, or strong we
      * must insert them first.
      *
      * Finally, if this &symbol line is not followed by <input line,
      * and if it is needed and if we need onFocus and size lines,
      * they must be inserted now. We will also insert ending color,
      * hilighting and strong lines if needed.
      * <input is needed if UNPROT or (PROT,FSET).
      *
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:1) = '&'
      *
      * Fix multiple symbols (occurs) between <td's 01/07/00
      *
              IF WS-SYMBOL-DONE
      *          SET WS-MULTIPLE-SYMBOLS TO TRUE
                 SET WS-DO-NOT-MOVE-TD-LINE TO TRUE
                 GO TO 1200-FORMAT-FIELD-EXIT
              END-IF

              IF WS-COLOR-START-NEEDED
                 PERFORM 1500-INSERT-COLOR-START
                 THRU    1500-INSERT-COLOR-START-EXIT
              END-IF
              IF WS-HILIGHT-START-NEEDED AND
                 WS-HILIGHT-ATTRIBUTE NOT = HIGH-VALUES
      * HIGH-VALUES means turn it off, so don't insert it.
                 PERFORM 1600-INSERT-HI-START
                 THRU    1600-INSERT-HI-START-EXIT
              END-IF
              IF WS-STRONG-START-NEEDED
                 PERFORM 1700-INSERT-STRONG-STRT
                 THRU    1700-INSERT-STRONG-STRT-EXIT
              END-IF
              IF WS-NO-BASE-ATTRB OR
                 WS-SYMBOL-NEEDED
                 PERFORM 2000-INSERT-SYMBOL
                 THRU    2000-INSERT-SYMBOL-EXIT
              END-IF
              MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
              MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
      * Next, if this &symbol line is not followed by <input line,
      * and if it is needed and if we need onFocus and size lines,
      * they must be inserted now.
      * <input is needed if UNPROT, (PROT,DARK) or (PROT,FSET).
              IF HTML-TEMPLATE-AREA(WS-EOL-IDX:6) NOT = '<input' AND
                 WS-INPUT-NEEDED
                 PERFORM 1900-INSERT-INPUT
                 THRU    1900-INSERT-INPUT-EXIT
                 IF WS-ONSIZE-NEEDED
                    PERFORM 1800-INSERT-ONSIZE
                    THRU    1800-INSERT-ONSIZE-EXIT
                 END-IF
              END-IF

      * Now we must check to see if </font, </u, </blink,
      * or </strong need to be inserted
              IF WS-STRONG-INSERT-NEEDED
                 PERFORM 1750-INSERT-STRONG-END
                 THRU    1750-INSERT-STRONG-END-EXIT
              END-IF
              IF WS-HILIGHT-INSERT-NEEDED
                 PERFORM 1650-INSERT-HI-END
                 THRU    1650-INSERT-HI-END-EXIT
              END-IF
              IF WS-COLOR-INSERT-NEEDED
                 PERFORM 1550-INSERT-COLOR-END
                 THRU    1550-INSERT-COLOR-END-EXIT
              END-IF
              SET WS-SYMBOL-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.

      *
      * Check if input line.
      *
      * First, if we found this line and we
      * needed color, hilighting, strong, or &symbol we
      * must insert them first.
      *
      * Now, move the line if UNPROT or (PROT,FSET).
      * Replace symbol name with value from ADS.
      * Type="text" for UNPROT but not (UNPROT,DARK)
      * Type="hidden" for (PROT,FSET)
      * Type="password" for (UNPROT,DARK)
      *
      * Note: the template manager currently generates
      *       type="hidden" for (UNPROT,FSET,DARK)
      *       We will generate type="password" instead
      *
      * Next, if this input line is not followed by onFocus and
      * size lines, and if we need them they must be inserted
      * now.
      *
      * Finally, if this input line is not followed by
      * a pair of onFocus and size lines
      * (This is true if (PROT,FSET) )
      * Then we must check to see if </font, </u, </blink,
      * or </strong need to be inserted
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:6) = '<input'
      *
      * Fix multiple inputs (occurs) between <td's 01/07/00
      *
              IF WS-INPUT-DONE
      *          SET WS-MULTIPLE-INPUTS TO TRUE
                 SET WS-DO-NOT-MOVE-TD-LINE TO TRUE
                 GO TO 1200-FORMAT-FIELD-EXIT
              END-IF

      * Check if color, hilighting, or strong need to be inserted
              IF WS-COLOR-START-NEEDED
                 PERFORM 1500-INSERT-COLOR-START
                 THRU    1500-INSERT-COLOR-START-EXIT
              END-IF
              IF WS-HILIGHT-START-NEEDED AND
                 WS-HILIGHT-ATTRIBUTE NOT = HIGH-VALUES
      * HIGH-VALUES means turn it off, so don't insert it.
                 PERFORM 1600-INSERT-HI-START
                 THRU    1600-INSERT-HI-START-EXIT
              END-IF
              IF WS-STRONG-START-NEEDED
                 PERFORM 1700-INSERT-STRONG-STRT
                 THRU    1700-INSERT-STRONG-STRT-EXIT
              END-IF
              IF WS-SYMBOL-NEEDED
                 PERFORM 2000-INSERT-SYMBOL
                 THRU    2000-INSERT-SYMBOL-EXIT
              END-IF
      * Now, build and insert an <input line if UNPROT or (PROT,FSET).
              IF WS-NO-BASE-ATTRB OR
                 WS-INPUT-NEEDED
                 PERFORM 1900-INSERT-INPUT
                 THRU    1900-INSERT-INPUT-EXIT
              END-IF
      * Skip over the template <input line
              MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
              MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
      * Next, this input line is not followed by onFocus and
      * size lines, and if we need them they must be inserted
      * now. They are needed if UNPROT.
              IF HTML-TEMPLATE-AREA(WS-EOL-IDX:7) NOT = 'onFocus' AND
                 WS-ONSIZE-NEEDED
                    PERFORM 1800-INSERT-ONSIZE
                    THRU    1800-INSERT-ONSIZE-EXIT
      * Now we must check to see if </font, </u, </blink,
      * or </strong need to be inserted
                    IF WS-STRONG-INSERT-NEEDED
                       PERFORM 1750-INSERT-STRONG-END
                       THRU    1750-INSERT-STRONG-END-EXIT
                    END-IF
                    IF WS-HILIGHT-INSERT-NEEDED
                       PERFORM 1650-INSERT-HI-END
                       THRU    1650-INSERT-HI-END-EXIT
                    END-IF
                    IF WS-COLOR-INSERT-NEEDED
                       PERFORM 1550-INSERT-COLOR-END
                       THRU    1550-INSERT-COLOR-END-EXIT
                    END-IF
              END-IF
      * Check if a "hidden" field
              IF HTML-TEMPLATE-AREA(WS-EOL-IDX:7) NOT = 'onFocus' AND
      * Revise "hidden" field check, this fixes a problem of potentially
      * inserting </strong, </u, </blink, and </font twice for
      * a "password" field (UNPROT,FSET,DARK) 07/17/99
                 WS-ONSIZE-NOT-NEEDED
      *         ((PROT AND FSET) OR
      *         (UNPROT AND FSET AND DARK) OR
      *         WS-NO-BASE-ATTRB)

      * Now we must check to see if </font, </u, </blink,
      * or </strong need to be inserted
                    IF WS-STRONG-INSERT-NEEDED
                       PERFORM 1750-INSERT-STRONG-END
                       THRU    1750-INSERT-STRONG-END-EXIT
                    END-IF
                    IF WS-HILIGHT-INSERT-NEEDED
                       PERFORM 1650-INSERT-HI-END
                       THRU    1650-INSERT-HI-END-EXIT
                    END-IF
                    IF WS-COLOR-INSERT-NEEDED
                       PERFORM 1550-INSERT-COLOR-END
                       THRU    1550-INSERT-COLOR-END-EXIT
                    END-IF
              END-IF
              SET WS-INPUT-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.

      *
      * Check if onFocus line.
      * Move the line if UNPROT.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:7) = 'onFocus'

      * Now, move the line if UNPROT.
              IF WS-ONSIZE-NEEDED OR
                 WS-NO-BASE-ATTRB
                 PERFORM 3500-MOVE-LINE
                 THRU    3500-MOVE-LINE-EXIT
              ELSE
                 MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
                 MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              END-IF
              GO TO 1200-FORMAT-FIELD
           END-IF.

      *
      * Check if size line.
      * Move the line if UNPROT.
      *
      * Then we must check to see if </font, </u, </blink,
      * or </strong need to be inserted
      *

           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:4) = 'size'
      * Now, move the line if UNPROT.
              IF WS-ONSIZE-NEEDED OR
                 WS-NO-BASE-ATTRB
                 PERFORM 3500-MOVE-LINE
                 THRU    3500-MOVE-LINE-EXIT
              ELSE
                 MOVE WS-EOL-IDX TO WS-START-MOVE-IDX
                 MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX
              END-IF
      * Now we must check to see if </font, </u, </blink,
      * or </strong need to be inserted
              IF WS-STRONG-INSERT-NEEDED
                 PERFORM 1750-INSERT-STRONG-END
                 THRU    1750-INSERT-STRONG-END-EXIT
              END-IF
              IF WS-HILIGHT-INSERT-NEEDED
                 PERFORM 1650-INSERT-HI-END
                 THRU    1650-INSERT-HI-END-EXIT
              END-IF
              IF WS-COLOR-INSERT-NEEDED
                 PERFORM 1550-INSERT-COLOR-END
                 THRU    1550-INSERT-COLOR-END-EXIT
              END-IF
              SET WS-ONSIZE-DONE TO TRUE
              GO TO 1200-FORMAT-FIELD
           END-IF.

      *
      * If new field line (table data tag) we are done.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:3) = '<td'
              GO TO 1200-FORMAT-FIELD-EXIT
           END-IF.

      *
      * If end table row line we are done.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:3) = '<tr'
              GO TO 1200-FORMAT-FIELD-EXIT
           END-IF.

      *
      * If end row line we are done.
      * This should not happen in a table.
      *
      *    IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:3) = '<br'
      *       GO TO 1200-FORMAT-FIELD-EXIT
      *    END-IF.

      *
      * If end table line we are done.
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:7) = '</table' AND
              WS-HTML-TMPLT-IDX >= WS-LAST-TABLE-IDX
              SET WS-TABLE-END TO TRUE
              GO TO 1200-FORMAT-FIELD-EXIT
           END-IF.

      *
      * If line not recognized, move it anyway.
      *
           PERFORM 3500-MOVE-LINE
           THRU    3500-MOVE-LINE-EXIT.
           GO TO 1200-FORMAT-FIELD.

       1200-FORMAT-FIELD-EXIT.
           EXIT.

       1400-COLOR.
      *
      *  Set the color
      *
            EVALUATE WS-COLOR-ATTRIBUTE
              WHEN DFHBLUE
                   MOVE '#0000FF' TO HTML-OUTPUT-AREA(WS-COLOR-IDX:7)
              WHEN DFHRED
                   MOVE '#FF0000' TO HTML-OUTPUT-AREA(WS-COLOR-IDX:7)
              WHEN DFHGREEN
                   MOVE '#008000' TO HTML-OUTPUT-AREA(WS-COLOR-IDX:7)
              WHEN DFHTURQ
                   MOVE '#00FFFF' TO HTML-OUTPUT-AREA(WS-COLOR-IDX:7)
              WHEN DFHYELLO
                   MOVE '#FFFF00' TO HTML-OUTPUT-AREA(WS-COLOR-IDX:7)
              WHEN DFHPINK
                   MOVE '#FF00FF' TO HTML-OUTPUT-AREA(WS-COLOR-IDX:7)
              WHEN DFHNEUTR
                   MOVE '#000000' TO HTML-OUTPUT-AREA(WS-COLOR-IDX:7)

            END-EVALUATE.
            SET WS-COLOR-START-DONE TO TRUE.
       1400-COLOR-EXIT.
           EXIT.

       1500-INSERT-COLOR-START.
      *
      *  A color line is needed but the HTML template did not
      *  contain one, so insert it.
      *
           MOVE WS-HTML-OUT-IDX TO WS-COLOR-IDX.
           ADD 13 TO WS-COLOR-IDX.
           MOVE '<font color="#FF0000">' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:22).
           ADD 22 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           PERFORM 1400-COLOR
           THRU    1400-COLOR-EXIT.
           SET WS-COLOR-START-DONE TO TRUE.
           SET WS-COLOR-INSERT-NEEDED TO TRUE.
       1500-INSERT-COLOR-START-EXIT.
           EXIT.

       1550-INSERT-COLOR-END.
      *
      *  A </color> line is needed
      *  but the HTML template did not contain one, so insert it.
      *
           MOVE '</color>' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:8).
           ADD 8 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           SET WS-COLOR-END-DONE TO TRUE.
           SET WS-COLOR-INSERT-NOT-NEEDED TO TRUE.
       1550-INSERT-COLOR-END-EXIT.
           EXIT.

       1600-INSERT-HI-START.
      *
      *  A hilight line (either underline or blink) is needed
      *  but the HTML template did not contain one, so insert it.
      *
           IF WS-HILIGHT-ATTRIBUTE = DFHBLINK
              MOVE '<blink>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:7)
              ADD 7 TO WS-HTML-OUT-IDX
              MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
              ADD 2 TO WS-HTML-OUT-IDX
           END-IF.
           IF WS-HILIGHT-ATTRIBUTE = DFHUNDER OR
      *       Check for underline or underscore
              WS-HILIGHT-ATTRIBUTE = DFHUNDLN
              MOVE '<u>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:3)
              ADD 3 TO WS-HTML-OUT-IDX
              MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
              ADD 2 TO WS-HTML-OUT-IDX
           END-IF.
           SET WS-HILIGHT-START-DONE TO TRUE.
           SET WS-HILIGHT-INSERT-NEEDED TO TRUE.
       1600-INSERT-HI-START-EXIT.
           EXIT.

       1650-INSERT-HI-END.
      *
      *  A hilight line (either </u> or </blink>) is needed
      *  but the HTML template did not contain one, so insert it.
      *
           IF WS-HILIGHT-ATTRIBUTE = DFHBLINK
              MOVE '</blink>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:8)
              ADD 8 TO WS-HTML-OUT-IDX
              MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
              ADD 2 TO WS-HTML-OUT-IDX
           END-IF.
           IF WS-HILIGHT-ATTRIBUTE = DFHUNDER OR
      *       Check for underline or underscore
              WS-HILIGHT-ATTRIBUTE = DFHUNDLN
              MOVE '</u>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:4)
              ADD 4 TO WS-HTML-OUT-IDX
              MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
              ADD 2 TO WS-HTML-OUT-IDX
           END-IF.
           SET WS-HILIGHT-END-DONE TO TRUE.
           SET WS-HILIGHT-INSERT-NOT-NEEDED TO TRUE.
       1650-INSERT-HI-END-EXIT.
           EXIT.

       1700-INSERT-STRONG-STRT.
      *
      *  A <strong> line is needed
      *  but the HTML template did not contain one, so insert it.
      *
           MOVE '<strong>' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:8).
           ADD 8 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           SET WS-STRONG-START-DONE TO TRUE.
           SET WS-STRONG-INSERT-NEEDED TO TRUE.
       1700-INSERT-STRONG-STRT-EXIT.
           EXIT.

       1750-INSERT-STRONG-END.
      *
      *  A </strong> line is needed
      *  but the HTML template did not contain one, so insert it.
      *
           MOVE '</strong>' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:9).
           ADD 9 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           SET WS-STRONG-END-DONE TO TRUE.
           SET WS-STRONG-INSERT-NOT-NEEDED TO TRUE.
       1750-INSERT-STRONG-END-EXIT.
           EXIT.

       1800-INSERT-ONSIZE.
      *
      *  onFocus and size lines are needed
      *  but the HTML template did not contain them, so insert.
      *
           MOVE 'onFocus="dfhinqcursor(''' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:23).
           ADD 23 TO WS-HTML-OUT-IDX.
           MOVE ADSD-FIELD-NAME(1:ADSD-FIELD-NAME-LEN) TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:ADSD-FIELD-NAME-LEN).
           ADD ADSD-FIELD-NAME-LEN TO WS-HTML-OUT-IDX.
           IF ADSD-OCCURS-INDEX NOT = 0
              MOVE '.' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:1)
              ADD 1 TO WS-HTML-OUT-IDX
              MOVE WS-OCCURS-ELEMENT TO
                   HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:3)
              ADD 3 TO WS-HTML-OUT-IDX
           END-IF.
           MOVE ''')"' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:3).
           ADD 3 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE 'size="' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:6).
           ADD 6 TO WS-HTML-OUT-IDX.
           MOVE ADSD-FIELD-DATA-LEN TO WS-FIELD-LEN.
           MOVE WS-FIELD-LEN TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:4).
           ADD 4 TO WS-HTML-OUT-IDX.
           MOVE '" maxlength="' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:13).
           ADD 13 TO WS-HTML-OUT-IDX.
           MOVE WS-FIELD-LEN TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:4).
           ADD 4 TO WS-HTML-OUT-IDX.
           MOVE '">' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           SET WS-ONSIZE-DONE TO TRUE.
       1800-INSERT-ONSIZE-EXIT.
           EXIT.

       1900-INSERT-INPUT.
           IF UNPROT AND NOT
              (UNPROT AND DARK)
              MOVE '<input type="text" name="' TO
                   HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:25)
              ADD 25 TO WS-HTML-OUT-IDX
           END-IF.
           IF (PROT AND FSET) OR
      *       Generate Hidden Field 05/21/99
              (PROT AND DARK)
      *       Generate Password field instead 05/29/99
      *       (UNPROT AND FSET AND DARK)
              MOVE '<input type="hidden" name="' TO
                   HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:27)
              ADD 27 TO WS-HTML-OUT-IDX
           END-IF.
           IF (UNPROT AND DARK)
              MOVE '<input type="password" name="' TO
                   HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:29)
              ADD 29 TO WS-HTML-OUT-IDX
           END-IF.
           IF WS-NO-BASE-ATTRB
      *
      * Find name operand in this line.
      *
              MOVE WS-HTML-TMPLT-IDX TO WS-SON-IDX
              SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX
              SEARCH HTML-TEMPLATE-CHAR VARYING WS-SON-IDX
                AT END
                   SET WS-TEMPLATE-ERR TO TRUE
                   GO TO 1900-INSERT-INPUT-EXIT
                WHEN WS-SON-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     SET WS-TEMPLATE-ERR TO TRUE
                     GO TO 1900-INSERT-INPUT-EXIT
                WHEN HTML-TEMPLATE-AREA(WS-SON-IDX:6) =
                   'name="'
                   ADD 6 TO WS-SON-IDX
                   SUBTRACT WS-HTML-TMPLT-IDX FROM WS-SON-IDX
                            GIVING WS-MOVE-LEN
                   MOVE
                    HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:WS-MOVE-LEN)
                    TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
                    ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
              END-SEARCH
           END-IF.
           MOVE ADSD-FIELD-NAME(1:ADSD-FIELD-NAME-LEN) TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:ADSD-FIELD-NAME-LEN).
           ADD ADSD-FIELD-NAME-LEN TO WS-HTML-OUT-IDX.
           IF ADSD-OCCURS-INDEX NOT = 0
              MOVE '.' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:1)
              ADD 1 TO WS-HTML-OUT-IDX
              MOVE WS-OCCURS-ELEMENT TO
                   HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:3)
              ADD 3 TO WS-HTML-OUT-IDX
           END-IF.
           MOVE '" value="' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:9).
           ADD 9 TO WS-HTML-OUT-IDX.
           COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 1.
           MOVE WS-ADS-AREA(WS-ADS-IDX:2) TO WS-INPUT-FIELD-LENX.
           COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 4 +
                   ADSD-ATTRIBUTE-NUMBER.
      *
      * Check if field data supplied from program.
      * The CICS Programmers Guide says only the 1st byte
      * need be checked. If data not supplied by program and we have
      * initial data from BMS source then use it.
      *
      * Do not move all spaces or all underscores to an input field
      * to avoid having to mouse select the entire field contents
      * to overtype.
      *
           IF WS-ADS-AREA(WS-ADS-IDX:1) = LOW-VALUES OR
             (WS-RECEIVE-MAP AND WS-INPUT-FIELD-LEN = 0)
              IF WS-INITIAL-DATA-FOUND
                 IF WS-FIELD-INIT-VALUE(1:ADSD-FIELD-DATA-LEN)
                    NOT = SPACES AND
                    (WS-FIELD-INIT-VALUE(1:ADSD-FIELD-DATA-LEN)
                     NOT = ALL '_' OR
      * Field underscores are optional 06/04/99
                     (WS-FIELD-INIT-VALUE(1:ADSD-FIELD-DATA-LEN)
                     = ALL '_' AND
                     CSC-FIELD-UNDERSCORE-KEEP))
                    MOVE WS-FIELD-INIT-VALUE(1:ADSD-FIELD-DATA-LEN)
                      TO HTML-OUTPUT-AREA
                      (WS-HTML-OUT-IDX:ADSD-FIELD-DATA-LEN)
                    ADD ADSD-FIELD-DATA-LEN TO WS-HTML-OUT-IDX
                    SET WS-MOVED-DATA TO TRUE
                 END-IF
              END-IF
           ELSE
              IF WS-ADS-AREA(WS-ADS-IDX:ADSD-FIELD-DATA-LEN)
                    NOT = SPACES AND
                    (WS-ADS-AREA(WS-ADS-IDX:ADSD-FIELD-DATA-LEN)
                    NOT = ALL '_' OR
      * Field underscores are optional 06/04/99
                     (WS-ADS-AREA(WS-ADS-IDX:ADSD-FIELD-DATA-LEN)
                     = ALL '_' AND
                     CSC-FIELD-UNDERSCORE-KEEP))
                    MOVE WS-ADS-AREA(WS-ADS-IDX:ADSD-FIELD-DATA-LEN)
                         TO HTML-OUTPUT-AREA
                        (WS-HTML-OUT-IDX:ADSD-FIELD-DATA-LEN)
                    ADD ADSD-FIELD-DATA-LEN TO WS-HTML-OUT-IDX
                    SET WS-MOVED-DATA TO TRUE
              END-IF
           END-IF.

      * Truncate trailing spaces to fix MDT processing 06/08/99
           IF WS-MOVED-DATA
              SET WS-NO-MOVE TO TRUE
              MOVE ADSD-FIELD-DATA-LEN TO WS-FIELD-DATA-LEN
              SUBTRACT 1 FROM WS-HTML-OUT-IDX
              PERFORM
                 VARYING WS-FIELD-DATA-LEN FROM WS-FIELD-DATA-LEN BY -1
                 UNTIL HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:1) NOT = SPACES
                    OR WS-FIELD-DATA-LEN < 1
                 SUBTRACT 1 FROM WS-HTML-OUT-IDX
              END-PERFORM
              ADD 1 TO WS-HTML-OUT-IDX
           END-IF.
      * End Truncate trailing spaces to fix MDT processing 06/08/99

           MOVE '"' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:1).
           ADD 1 TO WS-HTML-OUT-IDX.
      * If a "hidden" field then insert ">"
           IF (PROT AND FSET) OR
      *       Generate Hidden Field 05/21/99
              (PROT AND DARK) OR
      *       Generate Password field instead 05/29/99
      *       (UNPROT AND FSET AND DARK) OR
              (WS-NO-BASE-ATTRB AND
              HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:20) =
              '<input type="hidden"')
              MOVE '>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:1)
              ADD 1 TO WS-HTML-OUT-IDX
           END-IF.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
      *
      * Find end of line line.
      *
      *     MOVE WS-HTML-TMPLT-IDX TO WS-EOL-IDX.
      *     SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX.
      *     SEARCH HTML-TEMPLATE-CHAR VARYING WS-SON-IDX
      *       AT END
      *          SET WS-TEMPLATE-ERR TO TRUE
      *          GO TO 1900-INSERT-INPUT-EXIT
      *       WHEN HTML-TEMPLATE-AREA(WS-SON-IDX:2) =
      *            x'0D25'
      *             ADD 2 TO WS-EOL-IDX
      *             MOVE WS-SON-IDX TO WS-START-MOVE-IDX
      *             MOVE WS-SON-IDX TO WS-HTML-TMPLT-IDX
      *       END-SEARCH.

       1900-INSERT-INPUT-EXIT.
           EXIT.

       2000-INSERT-SYMBOL.
           COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 1.
           MOVE WS-ADS-AREA(WS-ADS-IDX:2) TO WS-INPUT-FIELD-LENX.
           COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 4 +
                   ADSD-ATTRIBUTE-NUMBER.

      *
      * Check if field data supplied from program.
      * The CICS Programmers Guide says only the 1st byte
      * need be checked. If data not supplied by program and we have
      * initial data from BMS source then use it.
      *
           IF WS-ADS-AREA(WS-ADS-IDX:1) = LOW-VALUES OR
             (WS-RECEIVE-MAP AND WS-INPUT-FIELD-LEN = 0)
              MOVE SPACES TO HTML-OUTPUT-AREA
                   (WS-HTML-OUT-IDX:ADSD-FIELD-DATA-LEN)
              IF WS-INITIAL-DATA-FOUND
                 MOVE WS-FIELD-INIT-VALUE(1:ADSD-FIELD-DATA-LEN)
                      TO HTML-OUTPUT-AREA
                      (WS-HTML-OUT-IDX:ADSD-FIELD-DATA-LEN)
                      SET WS-MOVED-DATA TO TRUE
              END-IF
           ELSE
              MOVE WS-ADS-AREA(WS-ADS-IDX:ADSD-FIELD-DATA-LEN)
                   TO HTML-OUTPUT-AREA
                   (WS-HTML-OUT-IDX:ADSD-FIELD-DATA-LEN)
                   SET WS-MOVED-DATA TO TRUE
           END-IF.
           ADD ADSD-FIELD-DATA-LEN TO WS-HTML-OUT-IDX.

      * Truncate trailing spaces to fix MDT processing 06/08/99
           IF WS-MOVED-DATA
              SET WS-NO-MOVE TO TRUE
              MOVE ADSD-FIELD-DATA-LEN TO WS-FIELD-DATA-LEN
              SUBTRACT 1 FROM WS-HTML-OUT-IDX
              PERFORM
                 VARYING WS-FIELD-DATA-LEN FROM WS-FIELD-DATA-LEN BY -1
                 UNTIL HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:1) NOT = SPACES
                    OR WS-FIELD-DATA-LEN < 1
                 SUBTRACT 1 FROM WS-HTML-OUT-IDX
              END-PERFORM
              ADD 1 TO WS-HTML-OUT-IDX
           END-IF.
      * End Truncate trailing spaces to fix MDT processing 06/08/99

           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
       2000-INSERT-SYMBOL-EXIT.
           EXIT.

      * Delete unused code 09/15/99
      *2500-CUT-SPACES.
      *    SUBTRACT 1 FROM WS-HTML-OUT-IDX.
      *2500-CUT-SPACES-EXIT.
      *    EXIT.

       3500-MOVE-LINE.
      *
      * Move the line
      *
           SUBTRACT WS-HTML-TMPLT-IDX FROM WS-EOL-IDX
                    GIVING WS-MOVE-LEN.
           MOVE HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:WS-MOVE-LEN)
                TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN).
           ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX.
           MOVE WS-EOL-IDX TO WS-START-MOVE-IDX.
           MOVE WS-EOL-IDX TO WS-HTML-TMPLT-IDX.

       3500-MOVE-LINE-EXIT.
           EXIT.

       3600-OCCURS-COMPUTE.
      *
      * If DFHMDI specified the OCCURS clause the
      * generated HTML template may not have calculated
      * line breaks correctly
      *

      *
      * First check if there is already a <tr> next in the
      * template
      *
           IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:4) = '<tr>'
              GO TO 3600-OCCURS-COMPUTE-EXIT
           END-IF.
           COMPUTE WS-FIELDS-PER-LINE = ADSD-MAP-COLUMNS /
                  (ADSD-FIELD-DATA-LEN + 1 + ADSD-ATTRIBUTE-NUMBER).
           DIVIDE ADSD-OCCURS-INDEX BY WS-FIELDS-PER-LINE
                  GIVING WS-FIELDS-ON-LINE
                  REMAINDER WS-OCCURS-REMAINDER.

      *
      * If remainder = 0 this line is full so insert a line break
      * and an HTML data tag <td
      *
           IF WS-OCCURS-REMAINDER = 0
              MOVE '<tr>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:4)
              ADD 4 TO WS-HTML-OUT-IDX
              MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
              ADD 2 TO WS-HTML-OUT-IDX
              SUBTRACT WS-TD-START-IDX FROM WS-TD-END-IDX
                       GIVING WS-MOVE-LEN
              MOVE HTML-TEMPLATE-AREA(WS-TD-START-IDX:WS-MOVE-LEN)
                   TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
              ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
              GO TO 3600-OCCURS-COMPUTE-EXIT
           END-IF.

      *
      * If remainder not = 0 and this is not the 1st element in the
      * line then seperate fields with a space
      *

           IF WS-OCCURS-REMAINDER NOT = 0 AND
              WS-OCCURS-REMAINDER NOT = 1
              MOVE ' ' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:1)
              ADD 1 TO WS-HTML-OUT-IDX
              GO TO 3600-OCCURS-COMPUTE-EXIT
           END-IF.

      *
      * If remainder not = 0 this line is not full so if there is not
      * already a <td prsent then insert the
      * <td (table data) tag that we found just before the 1st element
      *
      *     IF HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:3) NOT = '<td'
      *        SUBTRACT WS-TD-START-IDX FROM WS-TD-END-IDX
      *                 GIVING WS-MOVE-LEN
      *        MOVE HTML-TEMPLATE-AREA(WS-TD-START-IDX:WS-MOVE-LEN)
      *             TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
      *        ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
      *        GO TO 3600-OCCURS-COMPUTE-EXIT
      *     END-IF.

       3600-OCCURS-COMPUTE-EXIT.
           EXIT.

       4000-FIND-FIELD-NAME.
           IF WS-FIELD-NAME NOT = ADSD-FIELD-NAME
              SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
                  ADDRESS OF ADSD-NEXT-FIELD
              GO TO 4000-FIND-FIELD-NAME-EXIT
           END-IF.
           IF WS-FOUND-OCCURS AND
              WS-OCCURS-ELEMENT NOT = ADSD-OCCURS-INDEX
              SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
                  ADDRESS OF ADSD-NEXT-FIELD
           END-IF.
       4000-FIND-FIELD-NAME-EXIT.
           EXIT.

       4500-MERGE-RECV-ADS.
      *
      * If we got here then the application did a RECEIVE MAP and
      * then a SEND MAP DATAONLY without the ERASE option.
      * So we must merge the screen input data from the RECEIVE MAP
      * with the screen output data from the SEND MAP.
      *
           COMPUTE WS-ADS-IDX = ADSD-FIELD-OFFSET + 1.
      * Fix to use input field length in receive field merge 09/01/99
           MOVE WS-RECV-ADS-AREA(WS-ADS-IDX:2) TO WS-INPUT-FIELD-LENX.
      *    MOVE WS-ADS-AREA(WS-ADS-IDX:2) TO WS-INPUT-FIELD-LENX.
           COMPUTE WS-RECV-ADS-IDX = ADSD-FIELD-OFFSET + 4 +
                   ADSD-ATTRIBUTE-NUMBER.

      *
      * If no screen input data for this field then exit
      *
           IF WS-RECV-ADS-CHAR(WS-RECV-ADS-IDX) = LOW-VALUES OR
              WS-INPUT-FIELD-LEN = 0
              SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
                  ADDRESS OF ADSD-NEXT-FIELD
              GO TO 4500-MERGE-RECV-ADS-EXIT
           END-IF.

      *
      * If application has supplied data for this field then exit
      *
           IF WS-ADS-CHAR(WS-RECV-ADS-IDX) NOT = LOW-VALUES
              SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
                  ADDRESS OF ADSD-NEXT-FIELD
              GO TO 4500-MERGE-RECV-ADS-EXIT
           END-IF.

      *
      * Move the screen input data to the output field
      *
           MOVE WS-RECV-ADS-AREA(WS-RECV-ADS-IDX:ADSD-FIELD-DATA-LEN)
                TO  WS-ADS-AREA(WS-RECV-ADS-IDX:ADSD-FIELD-DATA-LEN).

       4500-MERGE-RECV-ADS-EXIT.
           EXIT.

       4600-BUILD-RECV-ADS.

      *
      * Read the RECEIVE MAP HTML Template
      *
           MOVE BRXAR-MAPSET TO WS-BRXA-MAPSET.
           MOVE ADSDR-MAP-INDEX TO WS-ADSD-MAP-INDEX.
           PERFORM 600-READ-TEMPLATE
           THRU    600-READ-TEMPLATE-EXIT.

      *
      * If Template Read error then we can not
      * process, so return
      *
           IF WS-TEMPLATE-READ-ERR
              GO TO 4600-BUILD-RECV-ADS-EXIT
           END-IF.

      *
      * Scan the HTML input and move the header
      * to the HTML output area
      *
           PERFORM 4700-COPY-HTML-HEADER
           THRU    4700-COPY-HTML-HEADER-EXIT.

           IF WS-TABLE-ERR
              GO TO 4600-BUILD-RECV-ADS-EXIT
           END-IF.

           SET ADDRESS OF WS-ADS-AREA TO WS-ADSR-PTR.
           SET ADDRESS OF ADS-DESCRIPTOR TO WS-ADSDR-PTR.
           SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
               ADDRESS OF ADSD-FIRST-FIELD.
           SET WS-RECEIVE-MAP TO TRUE.
      *
      * Scan the HTML template and check the fields for
      * attribute overides from the application
      *
           MOVE 0 TO HTML-RESPONSE-LEN.
           SET WS-NOT-END-TABLE TO TRUE.
           PERFORM 500-HTML-SCAN
           THRU    500-HTML-SCAN-EXIT
           UNTIL   WS-TABLE-END OR
                   WS-TEMPLATE-ERR.
      *
      * If no template errors build the end of the template
      * (between end of table and end of form)
      * to the HTML output area
      *
           IF WS-TEMPLATE-OK
              PERFORM 550-BUILD-END-OF-FORM
              THRU    550-BUILD-END-OF-FORM-EXIT
              SET WS-EOF-BUILT TO TRUE
           END-IF.

           SET ADDRESS OF WS-ADS-AREA TO WS-ADS-PTR.
           SET ADDRESS OF ADS-DESCRIPTOR TO WS-ADSD-PTR.
           SET ADDRESS OF ADS-FIELD-DESCRIPTOR TO
               ADDRESS OF ADSD-FIRST-FIELD.
           SET WS-SEND-MAP TO TRUE.

       4600-BUILD-RECV-ADS-EXIT.
           EXIT.

       4650-GETMAIN-HTML-OUTPUT.

      *
      * Now getmain storage for the new HTML output area.
      * Make it long enough to insert extra HTML
      *
      *    Length value now set in working storage to comply with
      *    max length of BLIO mode (32661) given by Mark Pocock
      *    06/06/99
      *    MOVE 32771 TO WS-HTML-OUTPUT-LENGTH.
           EXEC CICS GETMAIN SET(WS-HTML-OUT-PTR)
                             FLENGTH(WS-HTML-OUTPUT-LENGTH)
                             NOSUSPEND
                             RESP(WS-RESP)
                             RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              SET WS-GETMAIN-ERR TO TRUE
              MOVE CPEM-GETMAIN-MSG TO WS-MSG-NUM
              MOVE CPEM-GETMAIN-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
              GO TO 4650-GETMAIN-HTML-OUTPUT-EXIT
           END-IF.

           SET ADDRESS OF HTML-OUT-AREA TO WS-HTML-OUT-PTR.

           MOVE 1 TO WS-HTML-OUT-IDX.


       4650-GETMAIN-HTML-OUTPUT-EXIT.
           EXIT.

       4700-COPY-HTML-HEADER.
      *
      * Scan the HTML input generated by DFHWBLT and move the header
      * to the HTML output area
      *

      *
      * Replace the macro generated JavaScript with logic to
      * select input fields 06/06/99
      *

      * Fix copy HTML header routines                      10/13/99
           PERFORM 4710-JAVASCRIPT
           THRU    4710-JAVASCRIPT-EXIT.
           IF WS-TABLE-ERR
              GO TO 4700-COPY-HTML-HEADER-EXIT
           END-IF.


      *
      * Replace CICS CSS links with embedded Style Sheets 06/13/99
      *

           IF CSC-RESOLVE-STYLE-MGMT
              PERFORM 4720-STYLE-MGMT
              THRU    4720-STYLE-MGMT-EXIT
              IF WS-TABLE-ERR
                 GO TO 4700-COPY-HTML-HEADER-EXIT
              END-IF
           END-IF.




      *
      * Find the first <table
      *
           MOVE 1 TO WS-HTML-IN-IDX.
      * Fix search indexes for AT END check                10/13/99
           SET HTML-IN-IDX TO WS-HTML-IN-IDX.
           SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4700-COPY-HTML-HEADER-EXIT
      * Fix search indexes for AT END check                10/13/99
      *           WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 10
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 6
                     SET WS-TABLE-ERR TO TRUE
                     GO TO 4700-COPY-HTML-HEADER-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:6) =
                            '<table'
                       COMPUTE WS-MOVE-LEN = WS-HTML-IN-IDX -
                               WS-START-MOVE-IDX
                       MOVE
                         HTML-INPUT-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                         TO
                         HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
                       ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
                       MOVE WS-HTML-OUT-IDX TO WS-SAVE-HTML-OUT-IDX
                       ADD 6 TO WS-HTML-IN-IDX
           END-SEARCH.

           SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4700-COPY-HTML-HEADER-EXIT
      * Fix search indexes for AT END check                10/13/99
      *           WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 10
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 1
                     SET WS-TABLE-ERR TO TRUE
                     GO TO 4700-COPY-HTML-HEADER-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:1) =
                            '>'
                       ADD 1 TO WS-HTML-IN-IDX

      *
      * Account for 4 byte length in
      * switch from HTML-OUT-AREA to HTML-OUTPUT-AREA
      *

                       MOVE WS-HTML-IN-IDX TO WS-SAVE-HTML-IN-IDX

           END-SEARCH.

      *
      * Scan the HTML template to position at the
      * start of the table
      *
           MOVE 1 TO WS-HTML-TMPLT-IDX.
           PERFORM 4750-FIND-HTML-TABLE
           THRU    4750-FIND-HTML-TABLE-EXIT.
       4700-COPY-HTML-HEADER-EXIT.
           EXIT.

       4710-JAVASCRIPT.
      *
      * Find the JavaScript function dfhinqcursor(n)
      *
           MOVE 1 TO WS-HTML-IN-IDX.
      * Fix search indexes for AT END check                10/13/99
           MOVE WS-HTML-IN-IDX TO WS-SAVE-HTML-IN-IDX.
           SET HTML-IN-IDX TO WS-HTML-IN-IDX.
           SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
      *                SET WS-TABLE-ERR TO TRUE
                       MOVE WS-SAVE-HTML-IN-IDX TO WS-HTML-IN-IDX
                       GO TO 4710-JAVASCRIPT-EXIT
      * Fix search indexes for AT END check                10/13/99
      *           WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 10
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 24
      *              SET WS-TABLE-ERR TO TRUE
                     MOVE WS-SAVE-HTML-IN-IDX TO WS-HTML-IN-IDX
                     GO TO 4710-JAVASCRIPT-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:24) =
                            'function dfhinqcursor(n)'
                       COMPUTE WS-MOVE-LEN = WS-HTML-IN-IDX - 1
                       MOVE HTML-INPUT-AREA(1:WS-MOVE-LEN) TO
                            HTML-OUT-AREA(1:WS-MOVE-LEN)
      * Account for 4 byte length in
      * switch from HTML-OUT-AREA to HTML-OUTPUT-AREA
                       COMPUTE  WS-HTML-OUT-IDX = WS-HTML-IN-IDX - 4
                       ADD 24 TO WS-HTML-IN-IDX
           END-SEARCH.

      * Revised to use correct bracket characters that
      * correspond to local code page         08/08/99
           MOVE CSC-BEGIN-BRACKET-CHAR TO WS-JS-2B
                                          WS-JS-3B
                                          WS-JS-3F
                                          WS-JS-4B
                                          WS-JS-4F.
           MOVE CSC-END-BRACKET-CHAR TO   WS-JS-2D
                                          WS-JS-3D
                                          WS-JS-3H
                                          WS-JS-4D
                                          WS-JS-4H.

           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE LENGTH OF WS-JS-1 TO WS-MOVE-LEN.
           MOVE WS-JS-1 TO HTML-OUTPUT-AREA
                           (WS-HTML-OUT-IDX:WS-MOVE-LEN).
           ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE LENGTH OF WS-JS-2 TO WS-MOVE-LEN.
           MOVE WS-JS-2 TO HTML-OUTPUT-AREA
                           (WS-HTML-OUT-IDX:WS-MOVE-LEN).
           ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE LENGTH OF WS-JS-3 TO WS-MOVE-LEN.
           MOVE WS-JS-3 TO HTML-OUTPUT-AREA
                           (WS-HTML-OUT-IDX:WS-MOVE-LEN).
           ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE LENGTH OF WS-JS-4 TO WS-MOVE-LEN.
           MOVE WS-JS-4 TO HTML-OUTPUT-AREA
                           (WS-HTML-OUT-IDX:WS-MOVE-LEN).
           ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.

           SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4710-JAVASCRIPT-EXIT
      * Fix search indexes for AT END check                10/13/99
      *           WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 10
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 6
                     SET WS-TABLE-ERR TO TRUE
                     GO TO 4710-JAVASCRIPT-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:6) =
                            '// -->'
                       MOVE WS-HTML-IN-IDX TO WS-START-MOVE-IDX
                       ADD 6 TO WS-HTML-IN-IDX
           END-SEARCH.

           MOVE WS-HTML-IN-IDX TO WS-SAVE-HTML-IN-IDX.
       4710-JAVASCRIPT-EXIT.
           EXIT.

       4720-STYLE-MGMT.
      *
      * Replace CICS CSS links with embedded Style Sheets 06/13/99
      *

           SET WS-NAME-MISSING TO TRUE.
           SET WS-LINK-STYLE-MISSING TO TRUE.
      * Fix search indexes for AT END check                10/13/99
           MOVE WS-HTML-IN-IDX TO WS-SAVE-HTML-IN-IDX.
           SET HTML-IN-IDX TO WS-HTML-IN-IDX.
           SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4720-STYLE-MGMT-EXIT
      * Fix search indexes for AT END check                10/13/99
      *           WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 10
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 7
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4720-STYLE-MGMT-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:7) =
                       '</head>'
                       MOVE WS-SAVE-HTML-IN-IDX TO WS-HTML-IN-IDX
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:22) =
                            '<link rel="stylesheet"'
                       COMPUTE WS-MOVE-LEN = WS-HTML-IN-IDX -
                               WS-START-MOVE-IDX
                       MOVE
                         HTML-INPUT-AREA(WS-START-MOVE-IDX:WS-MOVE-LEN)
                         TO
                         HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:WS-MOVE-LEN)
                       ADD WS-MOVE-LEN TO WS-HTML-OUT-IDX
                       MOVE WS-HTML-OUT-IDX TO WS-SAVE-HTML-OUT-IDX
                       ADD 22 TO WS-HTML-IN-IDX
                       SET WS-LINK-STYLE-FOUND TO TRUE
           END-SEARCH.

           IF WS-LINK-STYLE-FOUND
              SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4720-STYLE-MGMT-EXIT
      * Fix search indexes for AT END check                10/13/99
      *           WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 10
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 7
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4720-STYLE-MGMT-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:7) =
                       '</head>'
                       MOVE WS-SAVE-HTML-IN-IDX TO WS-HTML-IN-IDX
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:12) =
                       'STYLES/CWBA/'
                       ADD 12 TO WS-HTML-IN-IDX
                       MOVE WS-HTML-IN-IDX TO WS-NAME-IDX
                       MOVE WS-NAME-IDX TO WS-NAME-END-IDX
                       SET WS-NAME-FOUND TO TRUE
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:12) =
                       'STYLES/CSMI/'
                       ADD 12 TO WS-HTML-IN-IDX
                       MOVE WS-HTML-IN-IDX TO WS-NAME-IDX
                       MOVE WS-NAME-IDX TO WS-NAME-END-IDX
                       SET WS-NAME-FOUND TO TRUE
                 END-SEARCH
           END-IF.

           IF WS-NAME-FOUND
              SEARCH HTML-INPUT-CHAR VARYING WS-NAME-END-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4720-STYLE-MGMT-EXIT
      * Fix search indexes for AT END check                10/13/99
      *           WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 10
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 7
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4720-STYLE-MGMT-EXIT
                  WHEN HTML-INPUT-AREA(WS-NAME-END-IDX:7) =
                       '</head>'
                       MOVE WS-SAVE-HTML-IN-IDX TO WS-HTML-IN-IDX
                       SET WS-NAME-MISSING TO TRUE
                  WHEN HTML-INPUT-AREA(WS-NAME-END-IDX:1) = '"' OR
                       HTML-INPUT-AREA(WS-NAME-END-IDX:1) = '/'
                     SUBTRACT WS-NAME-IDX FROM WS-NAME-END-IDX
                              GIVING WS-MOVE-LEN
                     MOVE HTML-INPUT-AREA(WS-NAME-IDX:WS-MOVE-LEN)
                          TO CSS-STYLE-SHEET-NAME
                     ADD 1 TO WS-NAME-END-IDX
                     MOVE WS-NAME-END-IDX TO WS-HTML-IN-IDX
                 END-SEARCH
           END-IF.

           IF WS-NAME-FOUND
              SEARCH HTML-INPUT-CHAR VARYING WS-HTML-IN-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4720-STYLE-MGMT-EXIT
      * Fix search indexes for AT END check                10/13/99
      *           WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 10
                  WHEN WS-HTML-IN-IDX > HTML-INPUT-LEN - 7
                     SET WS-TABLE-ERR TO TRUE
                     GO TO 4720-STYLE-MGMT-EXIT
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:7) =
                       '</head>'
                       MOVE WS-SAVE-HTML-IN-IDX TO WS-HTML-IN-IDX
                       SET WS-NAME-MISSING TO TRUE
                       SET WS-LINK-STYLE-MISSING TO TRUE
                  WHEN HTML-INPUT-AREA(WS-HTML-IN-IDX:1) = '>'
                       ADD 1 TO WS-HTML-IN-IDX
                       MOVE WS-HTML-IN-IDX TO WS-START-MOVE-IDX
                       PERFORM 4730-READ-STYLE-SHEET
                       THRU    4730-READ-STYLE-SHEET-EXIT
                 END-SEARCH
           END-IF.
           SET WS-NAME-MISSING TO TRUE.
           SET WS-LINK-STYLE-MISSING TO TRUE.

       4720-STYLE-MGMT-EXIT.
           EXIT.

       4730-READ-STYLE-SHEET.
      *
      * Replace CICS CSS links with embedded Style Sheets 06/13/99
      *
           MOVE LENGTH OF CSS-STYLE-SHEET-NAME TO WS-KEYLENGTH.
           MOVE 6 TO CSS-LINE-COUNT.
           MOVE LENGTH OF CSS-STYLE-RECORD TO WS-RECLENGTH.
           EXEC CICS READ FILE(CSC-STYLES-FILE)
                          INTO(CSS-STYLE-RECORD)
                          LENGTH(WS-RECLENGTH)
                          RIDFLD(CSS-STYLE-SHEET-NAME)
                          KEYLENGTH(WS-KEYLENGTH)
                          EQUAL
                          RESP(WS-RESP)
                          RESP2(WS-RESP2)
           END-EXEC.

           IF WS-RESP NOT = DFHRESP(NORMAL)
              MOVE WS-SAVE-HTML-IN-IDX TO WS-HTML-IN-IDX
              MOVE CSS-STYLE-SHEET-NAME TO CPEM-READ-CSS-ID
              MOVE CPEM-READ-CSS-MSG TO WS-MSG-NUM
              MOVE CPEM-READ-CSS-ERR TO WS-CICS-ERROR-MSG
              PERFORM 8800-EXEC-CICS-ERROR
              THRU    8800-EXEC-CICS-ERROR-EXIT
           END-IF.

           MOVE '<style type="text/css">' TO
                HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:23).
           ADD 23 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE '<!--' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:4).
           ADD 4 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           PERFORM
              VARYING WS-LINE-IDX FROM 1 BY 1
              UNTIL WS-LINE-IDX > CSS-LINE-COUNT OR
                    CSS-TAG(WS-LINE-IDX) = SPACES
              MOVE CSS-TAG(WS-LINE-IDX) TO
                   HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:8)
              ADD 8 TO WS-HTML-OUT-IDX
              IF CSS-TAG-DETAIL1(WS-LINE-IDX) NOT = SPACES
                 MOVE CSS-TAG-DETAIL1(WS-LINE-IDX) TO
                      HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:70)
                 ADD 70 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
              END-IF
              IF CSS-TAG-DETAIL2(WS-LINE-IDX) NOT = SPACES
                 MOVE CSS-TAG-DETAIL2(WS-LINE-IDX) TO
                      HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:70)
                 ADD 70 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
              END-IF
              IF CSS-TAG-DETAIL3(WS-LINE-IDX) NOT = SPACES
                 MOVE CSS-TAG-DETAIL3(WS-LINE-IDX) TO
                      HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:70)
                 ADD 70 TO WS-HTML-OUT-IDX
                 MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2)
                 ADD 2 TO WS-HTML-OUT-IDX
              END-IF
           END-PERFORM.
           MOVE ' -->' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:4).
           ADD 4 TO WS-HTML-OUT-IDX.
           MOVE x'0D25' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:2).
           ADD 2 TO WS-HTML-OUT-IDX.
           MOVE '</style>' TO HTML-OUTPUT-AREA(WS-HTML-OUT-IDX:8).
           ADD 8 TO WS-HTML-OUT-IDX.
       4730-READ-STYLE-SHEET-EXIT.
           EXIT.

       4750-FIND-HTML-TABLE.
      *
      * Scan the HTML template to Find the last
      * undo table </table
      *
           MOVE 1 TO WS-HTML-TMPLT-IDX.
           SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-HTML-TMPLT-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4750-FIND-HTML-TABLE-EXIT
                  WHEN WS-HTML-TMPLT-IDX >
                            WBTL-TEMPLATE-BUFFER-LEN - 10
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4750-FIND-HTML-TABLE-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:7) =
                            '</table'
                       MOVE WS-HTML-TMPLT-IDX TO WS-LAST-TABLE-IDX
                       ADD 7 TO WS-HTML-TMPLT-IDX
           END-SEARCH.

       4750-FIND-LAST-HTML-TABLE.

           SEARCH HTML-TEMPLATE-CHAR VARYING WS-HTML-TMPLT-IDX
                  AT END
                     MOVE 1 TO WS-HTML-TMPLT-IDX
                  WHEN WS-HTML-TMPLT-IDX >
                            WBTL-TEMPLATE-BUFFER-LEN - 10
                       MOVE 1 TO WS-HTML-TMPLT-IDX
                       GO TO 4750-STOP-SEARCHING
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:7) =
                            '</table'
                       MOVE WS-HTML-TMPLT-IDX TO WS-LAST-TABLE-IDX
                       ADD 7 TO WS-HTML-TMPLT-IDX
                       GO TO 4750-FIND-LAST-HTML-TABLE
           END-SEARCH.

       4750-STOP-SEARCHING.

      *
      * Scan the HTTP header to find the HTTP Content Length field
      *
           MOVE 1 TO WS-HTTP-IDX.
           SET HTML-OUT-IDX TO WS-HTTP-IDX.
           SEARCH HTML-OUTPUT-CHAR VARYING WS-HTTP-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4750-FIND-HTML-TABLE-EXIT
                  WHEN HTML-OUTPUT-AREA(WS-HTTP-IDX:16) =
                            'Content-length: '
                       ADD 16 TO WS-HTTP-IDX
                       MOVE WS-HTTP-IDX TO WS-CONTENT-LENGTH-IDX
           END-SEARCH.
      *
      * Scan the HTTP header to find the end of the HTTP header
      *

           SET HTML-OUT-IDX TO WS-HTTP-IDX.
           SEARCH HTML-OUTPUT-CHAR VARYING WS-HTTP-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4750-FIND-HTML-TABLE-EXIT
                  WHEN HTML-OUTPUT-AREA(WS-HTTP-IDX:4) =
                            x'0D250D25'
                       ADD 4 TO WS-HTTP-IDX
                       MOVE WS-HTTP-IDX TO WS-HTTP-END-IDX
           END-SEARCH.

      *
      * Scan the HTML template to position at the
      * start of the table
      *
           MOVE 1 TO WS-HTML-TMPLT-IDX.
           SET HTML-TMPLT-IDX TO WS-HTML-TMPLT-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-HTML-TMPLT-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4750-FIND-HTML-TABLE-EXIT
                  WHEN WS-HTML-TMPLT-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     SET WS-TABLE-ERR TO TRUE
                     GO TO 4750-FIND-HTML-TABLE-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:6) =
                            '<table'
                       MOVE WS-HTML-TMPLT-IDX TO WS-START-MOVE-IDX
                       ADD 6 TO WS-HTML-TMPLT-IDX
           END-SEARCH.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-HTML-TMPLT-IDX
                  AT END
                       SET WS-TABLE-ERR TO TRUE
                       GO TO 4750-FIND-HTML-TABLE-EXIT
                  WHEN WS-HTML-TMPLT-IDX >
                     WBTL-TEMPLATE-BUFFER-LEN - 10
                     SET WS-TABLE-ERR TO TRUE
                     GO TO 4750-FIND-HTML-TABLE-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-HTML-TMPLT-IDX:1) =
                            '>'
                       ADD 1 TO WS-HTML-TMPLT-IDX
                       COMPUTE WS-MOVE-LEN = WS-HTML-TMPLT-IDX -
                               WS-START-MOVE-IDX
      *                COMPUTE WS-START-MOVE-IDX =
      *                        WS-HTML-TMPLT-IDX
           END-SEARCH.


       4750-FIND-HTML-TABLE-EXIT.
           EXIT.

      * Support HTML Special Characters 09/08/99
       4800-FIND-HTML-SPECIAL.
           SET WS-NO-HTML-SPECIAL TO TRUE.
           MOVE WS-SYMBOL-IDX TO WS-SYMBOL-END-IDX.
           SET HTML-TMPLT-IDX TO WS-SYMBOL-END-IDX.
           SEARCH HTML-TEMPLATE-CHAR VARYING WS-SYMBOL-END-IDX
                  AT END
                     SET HTML-TMPLT-IDX TO WS-SYMBOL-IDX
                     GO TO 4800-FIND-HTML-SPECIAL-EXIT
                  WHEN WS-SYMBOL-END-IDX - WS-SYMBOL-IDX > 8
                     SET HTML-TMPLT-IDX TO WS-SYMBOL-IDX
                     GO TO 4800-FIND-HTML-SPECIAL-EXIT
                  WHEN HTML-TEMPLATE-AREA(WS-SYMBOL-END-IDX:1) = ';'
                     COMPUTE WS-MOVE-LEN = WS-SYMBOL-END-IDX -
                             WS-SYMBOL-IDX + 1
           END-SEARCH.
           SET HTML-TMPLT-IDX TO WS-SYMBOL-IDX.
           IF WS-MOVE-LEN > 8
              GO TO 4800-FIND-HTML-SPECIAL-EXIT
           END-IF.
           MOVE SPACES TO WS-HTML-SPECIAL-CHAR.
           MOVE HTML-TEMPLATE-AREA(WS-SYMBOL-IDX:WS-MOVE-LEN) TO
                WS-HTML-SPECIAL-CHAR.

           SET CSC-HTML-SPECIAL-IDX TO 1.
           SEARCH CSC-HTML-SPECIAL-CHAR VARYING CSC-HTML-SPECIAL-IDX
                  AT END
                       GO TO 4800-FIND-HTML-SPECIAL-EXIT
                  WHEN CSC-HTML-SPECIAL-CHAR(CSC-HTML-SPECIAL-IDX) =
                       SPACES
                       GO TO 4800-FIND-HTML-SPECIAL-EXIT
                  WHEN CSC-HTML-SPECIAL-CHAR(CSC-HTML-SPECIAL-IDX) =
                       WS-HTML-SPECIAL-CHAR
                       SET WS-HTML-SPECIAL-FOUND TO TRUE
           END-SEARCH.
       4800-FIND-HTML-SPECIAL-EXIT.
           EXIT.



       5000-DECODE.
      ***************

      *    SET ADDRESS OF returned-data TO DECODE-DATA-PTR.

           MOVE URP-OK TO CONVERTER-RESPONSE.

       5000-DECODE-EXIT.
           EXIT.




       6000-ASKTIME.
           EXEC CICS ASKTIME ABSTIME(WS-ABSTIME)
                             RESP(WS-RESP)
           END-EXEC.
           EXEC CICS FORMATTIME ABSTIME(WS-ABSTIME)
                                TIME(WS-LOG-TIME)
                                TIMESEP(':')
                                RESP(WS-RESP)
           END-EXEC.
           EXEC CICS FORMATTIME ABSTIME(WS-ABSTIME)
                                TIME(WS-TIME-8)
                                YYYYMMDD(WS-DATE-10)
                                RESP(WS-RESP)
           END-EXEC.

      *    WS-TIMESTAMP-OFF IS CHECKED TO AVOID RECURSIVE LOOP
           IF WS-RESP NOT = DFHRESP(NORMAL)
              AND WS-TIMESTAMP-OFF
              MOVE CPEM-FORMATTIME-MSG TO WS-MSG-NUM
              MOVE CPEM-FORMATTIME-ERR TO WS-CICS-ERROR-MSG
      *       PERFORM 8800-EXEC-CICS-ERROR
      *       THRU    8800-EXEC-CICS-ERROR-EXIT
           END-IF.
           IF WS-RESP NOT = DFHRESP(NORMAL)
              EXEC CICS RETURN END-EXEC
           END-IF.
       6000-ASKTIME-EXIT.
           EXIT.



      * LOG ERROR
       8000-LOG-ERROR.
           MOVE WS-ERROR-MSG TO WS-LOG-BUFFER.
           MOVE LENGTH OF WS-ERROR-MSG TO WS-LOG-LENGTH.
           PERFORM 8100-LOG
           THRU    8100-LOG-EXIT.
       8000-LOG-ERROR-EXIT.
           EXIT.


      * LOG THE ERROR
       8100-LOG.
      *    WS-TIMESTAMP-OFF IS SET TO AVOID RECURSIVE LOOP
           MOVE 1 TO WS-TIMESTAMP-SW.
           PERFORM 6000-ASKTIME
           THRU    6000-ASKTIME-EXIT.
           MOVE 0 TO WS-TIMESTAMP-SW.
           MOVE CSC-ACAC-MSG TO WS-MSG-PGM-NUM.
      *    ADD LENGTH OF MESSAGE NUMBER AND TIMESTAMP
           ADD 19 TO WS-LOG-LENGTH.
           IF WS-LOG-LENGTH > CSC-MAX-LOG-LEN
              MOVE CSC-MAX-LOG-LEN TO WS-LOG-LENGTH
           END-IF.
           EXEC CICS WRITEQ TD QUEUE(CSC-ERROR-LOG)
                               FROM(WS-TIME-LOG)
                               LENGTH(WS-LOG-LENGTH)
                               RESP(WS-RESP)
                               RESP2(WS-RESP2)
           END-EXEC.
       8100-LOG-EXIT.
           EXIT.



       8800-EXEC-CICS-ERROR.
      * HANDLES CONDITIONS FOR:
      *         ASKTIME
      *         DELAY
      *         DELETEQ TS
      *         DEQ
      *         ENQ
      *         FORMATTIME
      *         GETMAIN
      *         INQUIRE TERMINAL
      *         LINK
      *         READ  VSAM
      *         READQ TD
      *         READQ TS
      *         RETRIEVE
      *         START
      *         WRITE OPERATOR
      *         WRITEQ TD
      *         WRITEQ TS
      *         WRITE VSAM
           MOVE '????????' TO WS-CICS-RESP.
           IF WS-RESP = DFHRESP(DISABLED)
              MOVE 'DISABLED' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(DUPKEY)
              MOVE 'DUPKEY' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(DUPREC)
              MOVE 'DUPREC' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(ENDDATA)
              MOVE 'ENDDATA' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(ENVDEFERR)
              MOVE 'ENVDEFERR' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(ENQBUSY)
              MOVE 'ENQBUSY' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(EXPIRED)
              MOVE 'EXPIRED' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(FILENOTFOUND)
              MOVE 'FILENOTFND' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(ILLOGIC)
              MOVE 'ILLOGIC' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(INVREQ)
              MOVE 'INVREQ' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(INVTSREQ)
              MOVE 'INVTSREQ' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(IOERR)
              MOVE 'IOERR' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(ISCINVREQ)
              MOVE 'ISCINVREQ' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(ITEMERR)
              MOVE 'ITEMERR' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(LENGERR)
              MOVE 'LENGERR' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(NORMAL)
              MOVE 'NORMAL' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(NOSTG)
              MOVE 'NOSTG' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(NOTAUTH)
              MOVE 'NOTAUTH' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(NOTFND)
              MOVE 'NOTFND' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(NOSPACE)
              MOVE 'NOSPACE' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(NOTFND)
              MOVE 'NOTFND' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(NOTOPEN)
              MOVE 'NOTOPEN' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(PGMIDERR)
              MOVE 'PGMIDERR' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(QBUSY)
              MOVE 'QBUSY' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(QIDERR)
              MOVE 'QIDERR' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(QZERO)
              MOVE 'QZERO' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(SYSIDERR)
              MOVE 'SYSIDERR' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(TERMIDERR)
              MOVE 'TERMIDERR' TO WS-CICS-RESP
           END-IF.
           IF WS-RESP = DFHRESP(TRANSIDERR)
              MOVE 'TRANSIDERR' TO WS-CICS-RESP
           END-IF.
           MOVE SPACES TO WS-ERROR-MSG.
           MOVE WS-RESP2 TO WS-RESP2-DSPLY.
           STRING WS-CICS-ERROR-MSG DELIMITED BY ';'                    *
                  WS-CICS-RESP DELIMITED BY SPACE                       *
                  WS-RESP2-DSPLY DELIMITED BY SIZE                      *
                  INTO WS-ERROR-MSG
           END-STRING.
           PERFORM 8000-LOG-ERROR
           THRU    8000-LOG-ERROR-EXIT.
       8800-EXEC-CICS-ERROR-EXIT.
           EXIT.
